commit 0e3dc92b07430b0626443524ca88f34f64ae1778
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Oct 23 14:10:27 2018 +0200

    NEWS: update

 docs/NEWS.txt | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit 222068b408660013fb89eda366f249eefb028e46
Author: Ell <ell_se@yahoo.com>
Date:   Mon Oct 22 11:39:52 2018 -0400

    Partially revert "buffer: fix source rect passed to
    gegl_resample_{linear,boxfilter}()"

    Commit a7c730cf6e841a46d3b4546b86a234ae59206e9c trimmed the sample-
    buffer padding from the source-rect passed to the resampling
    functions.  This isn't strictly necessary, and has the negative
    effect of preventing the same padding from being present in the
    converted sample-buffer when using any of the _generic() resampling
    functions, causing artifacts.

    Revert the trimming of the resampling source-rect, though keep
    avoiding reading padding-region data from the source buffer, which
    should still be unnecessary.

 gegl/buffer/gegl-buffer-access.c | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit ed3cc6124cb7832eecaf4e3ff22d158fddf75e19
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Oct 22 17:18:48 2018 +0200

    jp2-load: remove unnedd cast in g_clear_pointer

 operations/external/jp2-load.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a1804b75fdad12b729055a45a5e0f0b76c9dbda3
Author: Rodrigo Lledó <rodhos92@gmail.com>
Date:   Mon Oct 22 09:22:36 2018 +0000

    Update Spanish translation

 po/es.po | 189
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 98 insertions(+), 91 deletions(-)

commit 8c6ab9b0fd59e62c2563f32b969595df6700d589
Author: Ell <ell_se@yahoo.com>
Date:   Thu Oct 18 01:51:59 2018 -0400

    tests: update mipmap reference images after last commit

 tests/mipmap/invert-crop-reference.png  | Bin 13038 -> 13016 bytes
 tests/mipmap/invert-reference.png       | Bin 62604 -> 62491 bytes
 tests/mipmap/rotate-crop-reference.png  | Bin 16182 -> 16115 bytes
 tests/mipmap/rotate-reference.png       | Bin 84631 -> 84718 bytes
 tests/mipmap/unsharp-crop-reference.png | Bin 14698 -> 14777 bytes
 tests/mipmap/unsharp-reference.png      | Bin 92440 -> 92449 bytes
 6 files changed, 0 insertions(+), 0 deletions(-)

commit 950dc34789c05f5c4da31b6988f19983ecbfca08
Author: Ell <ell_se@yahoo.com>
Date:   Wed Oct 17 10:29:20 2018 -0400

    buffer: apply gamma curve to alpha component during filtering

    Disable the _alpha() variant of
    gegl_{boxfilter,bilinear,downscale_2x2}_u8_nl(), and use the non-
    alpha one instead, applying the same gamma curve to the alpha
    components as we do for the color components.  This is a temporary
    hack, meant to avoid producing over-saturated pixels when using
    these functions with premultiplied-alpha formats (in particular,
    cairo-ARGB32), which can lead, most notably, to visual artifacts in
    cairo during compositing (see issue #104).

 gegl/buffer/gegl-algorithms.c | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

commit ab4b599e62f3035b85b4c5c82b80f465948a0fe7
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Oct 16 18:37:15 2018 +0200

    post-release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bb37399a9fd7fa375336b5754bdcd03e1a9b4243
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Oct 16 18:36:24 2018 +0200

    release 0.4.10

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 367fee50e0c2e7557ff9c956fcdacc63287f7566
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Oct 16 18:06:30 2018 +0200

    NEWS: update

 docs/NEWS.txt | 14 ++++++++++++--
 1 file changed, 12 insertions(+), 2 deletions(-)

commit 21f7d15ae957edb08aca61b214c08300198b9ab3
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Oct 15 19:55:44 2018 +0200

    unsharp-mask: raise max radius to max of gaussian-blur

    Very large radiuses for unsharp mask are useful as a crude tonemapper,
    maxing out the possible value, this doesn't change the default
    ui range,
    only the max permitted value.

 operations/common/unsharp-mask.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3114a74c6d7cb42293b68b3cfed3c77d1522e6b1
Author: Ell <ell_se@yahoo.com>
Date:   Mon Oct 15 03:05:25 2018 -0400

    buffer: round alpha component during u8 bilinear/box filtering

    In gegl_{bilinear,boxfilter}_u8_nl_alpha(), round the resulting
    alpha component to the nearest integer, instead of truncating it.
    This improves the numerical stability of the algothims, and, in
    particular, avoids potential discrepancies between the color and
    alpha components, which can be particularly problematic with
    premultiplied-alpha formats.

 gegl/buffer/gegl-algorithms.c | 28 ++++++++++++++++------------
 1 file changed, 16 insertions(+), 12 deletions(-)

commit 06ffd331fd484b9b9178265170f5e07394c80ded
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Oct 14 17:24:37 2018 +0200

    Update Polish translation

 po/pl.po | 245
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 127 insertions(+), 118 deletions(-)

commit cb0acb7c7b4f60bfc4573e7a56b83800e7e2b44a
Author: Ell <ell_se@yahoo.com>
Date:   Sun Oct 14 08:14:50 2018 -0400

    buffer: avoid allocation/chunking when downsampling by a power of 2

    In _gegl_buffer_get_unlocked(), we already avoid filtering when
    downsampling by a power of 2, but let's also avoid allocating a
    sample buffer and chunking altogether.

 gegl/buffer/gegl-buffer-access.c | 52
 +++++++++++++++++++++++-----------------
 1 file changed, 30 insertions(+), 22 deletions(-)

commit e7cfe11973e6dadda1532bdf25fd9469304a9934
Author: Ell <ell_se@yahoo.com>
Date:   Sun Oct 14 07:39:30 2018 -0400

    buffer: only zero border pixels when performing filtering

    In _gegl_buffer_get_unlocked(), don't use g_malloc0() when
    allocating the sample buffer while performing linear- or box-
    filtering.  Rather, always use g_malloc(), and only zero the non-
    sampled "border" pixels in these cases, to avoid unnecessarily
    zeroing pixels that would be overwritten.

 gegl/buffer/gegl-buffer-access.c | 57
 ++++++++++++++++++++++++++++++----------
 1 file changed, 43 insertions(+), 14 deletions(-)

commit a7c730cf6e841a46d3b4546b86a234ae59206e9c
Author: Ell <ell_se@yahoo.com>
Date:   Sun Oct 14 07:32:57 2018 -0400

    buffer: fix source rect passed to gegl_resample_{linear,boxfilter}()

    In _gegl_buffer_get_unlocked(), when performing linear- or box-
    filtering, don't include the source-buffer "border" pixels in the
    source rect passed to gegl_resample_linear() and
    gegl_resample_boxfilter(), respectively.  These pixels are needed
    since they might be involved in the arithmeric, but they shouldn't
    be taken into account when transforming coordinates between the
    source and destination coordinate systems.

    Update affected mipmap test output.

 gegl/buffer/gegl-buffer-access.c  |  16 +++++++---------
 tests/mipmap/rotate-reference.png | Bin 84628 -> 84631 bytes
 2 files changed, 7 insertions(+), 9 deletions(-)

commit 687508cc37902287e0b66d291320a65d47315ed7
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Oct 12 15:44:37 2018 +0200

    buffer: fix 32bit integer boxfilter overflow

    In the existing implementation we overflow due to the imprecision
    introduced by
    using single precision floating point in the template. We introduce
    a temp type
    that can be used for computations, as well as do an upper bounds
    check when
    doing the rounding/converting of the final result. This fixes
    overflows but not
    the imprecision; that only applies for 32bit integer precision and
    in code
    paths primarily used for display rather than processing.

    Fixing issue #103

 gegl/buffer/gegl-algorithms-boxfilter.inc | 70
 ++++++++++++++++---------------
 gegl/buffer/gegl-algorithms.c             | 19 ++++++++-
 2 files changed, 54 insertions(+), 35 deletions(-)

commit 8a91950c23206630ce73f728e09ccadb2b52850a
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Oct 11 22:37:17 2018 +0200

    NEWS: update

 docs/NEWS.txt | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit 1cf35de73509aaca26a834e75c7035622268514f
Author: Jehan <jehan@girinstud.io>
Date:   Thu Oct 11 09:22:41 2018 +0200

    operations: improve gegl:watershed-transform description.

    It is completely unobvious how to use the operation without looking at
    the code (in particular the fact that it uses the alpha channel to
    detect what is labelled or not, and also the babl formats it will work
    on since you likely don't want your labels converted). Let's add a
    slightly more descriptive text.

 operations/common/watershed-transform.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit e15be793ac2ee605cc288b95e0b1b04aa43f45a0
Author: Marco Ciampa <ciampix@posteo.net>
Date:   Wed Oct 10 14:47:43 2018 +0200

    Updated Italian translation

 po/it.po | 936
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 484 insertions(+), 452 deletions(-)

commit d74f6fb4c7e93908f7fb81671554d7972faf383a
Author: Massimo Valentini <mvalentini@src.gnome.org>
Date:   Tue Oct 9 13:39:57 2018 +0200

    maniuk06: use double precision variables, functions and constants

    When computing 'l_min' and 'l_max' fixing #94

 operations/common/mantiuk06.c | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit fa55a1800273486ffe44b2cb53a64184df7848a8
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Oct 5 16:23:30 2018 +0200

    build: depend on babl-0.1.58

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b0060e71f18485fac3050a661d5af1c024b5c53b
Author: Massimo Valentini <mvalentini@src.gnome.org>
Date:   Tue Oct 2 17:03:57 2018 +0200

    opencl: regenerate files

 opencl/alien-map.cl.h             | 2 +-
 opencl/bilateral-filter-fast.cl.h | 2 +-
 opencl/color-exchange.cl.h        | 2 +-
 opencl/colors-8bit-lut.cl.h       | 2 +-
 opencl/colors.cl.h                | 2 +-
 opencl/contrast-curve.cl.h        | 2 +-
 opencl/gblur-1d.cl.h              | 2 +-
 opencl/motion-blur-linear.cl.h    | 1 -
 opencl/noise-hsv.cl.h             | 2 +-
 opencl/noise-hurl.cl.h            | 2 +-
 opencl/pixelize.cl.h              | 2 +-
 opencl/posterize.cl.h             | 2 +-
 opencl/random.cl.h                | 2 +-
 opencl/red-eye-removal.cl.h       | 2 +-
 opencl/stretch-contrast.cl.h      | 2 +-
 15 files changed, 14 insertions(+), 15 deletions(-)

commit 2d0cf0e9e87292c7f01357e5bfe6f21746dcf977
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Oct 2 16:58:29 2018 +0200

    gif-load: add libs/cflags fixing build on some platforms

 operations/external/Makefile.am | 3 +++
 1 file changed, 3 insertions(+)

commit a426db1a275926d8b1ae14b4300670a2a59c714b
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Oct 1 18:39:57 2018 +0200

    Update POTFILES.in

 po/POTFILES.in | 1 +
 1 file changed, 1 insertion(+)

commit cc7028d85db62e89bdccaa94704c574414a7da03
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Oct 1 14:43:33 2018 +0200

    buffer: move definitions of GeglRectangle and buffer enums to buffer

    This reverts earlier indentation breaking changes when GeglRectangle
    was
    renamed GeglBufferRectangle this change also retains the existing
    released API
    and ABI more exactly.

 gegl/Makefile.am                           |   2 +
 gegl/buffer/Makefile.am                    |   4 +
 gegl/buffer/gegl-algorithms-bilinear.inc   |  12 +-
 gegl/buffer/gegl-algorithms-boxfilter.inc  |  12 +-
 gegl/buffer/gegl-algorithms.c              | 146 +++++----
 gegl/buffer/gegl-algorithms.h              | 231 +++++++-------
 gegl/buffer/gegl-buffer-access.c           | 463
 +++++++++++++++--------------
 gegl/buffer/gegl-buffer-backend.h          |   5 +-
 gegl/buffer/gegl-buffer-config.c           |   3 +-
 gegl/buffer/gegl-buffer-enums.c            | 107 +++++++
 gegl/buffer/gegl-buffer-enums.h            |  92 ++++++
 gegl/buffer/gegl-buffer-formats.h          |   7 +-
 gegl/buffer/gegl-buffer-iterator.c         |  61 ++--
 gegl/buffer/gegl-buffer-iterator.h         |  32 +-
 gegl/buffer/gegl-buffer-iterator2.c        |  74 ++---
 gegl/buffer/gegl-buffer-iterator2.h        |  34 +--
 gegl/buffer/gegl-buffer-linear.c           |  35 +--
 gegl/buffer/gegl-buffer-load.c             |   2 +-
 gegl/buffer/gegl-buffer-private.h          |  73 +++--
 gegl/buffer/gegl-buffer-save.c             |   8 +-
 gegl/buffer/gegl-buffer-types.h            |  22 +-
 gegl/buffer/gegl-buffer.c                  |  60 ++--
 gegl/buffer/gegl-buffer.h                  | 206 +++++++------
 gegl/buffer/gegl-rectangle.c               | 367 +++++++++++++++++++++++
 gegl/buffer/gegl-rectangle.h               | 261 ++++++++++++++++
 gegl/buffer/gegl-sampler-cubic.c           |   2 +-
 gegl/buffer/gegl-sampler-linear.c          |   2 +-
 gegl/buffer/gegl-sampler-lohalo.c          |   2 +-
 gegl/buffer/gegl-sampler-nearest.c         |   4 +-
 gegl/buffer/gegl-sampler-nohalo.c          |   2 +-
 gegl/buffer/gegl-sampler.c                 |  29 +-
 gegl/buffer/gegl-sampler.h                 |  18 +-
 gegl/buffer/gegl-tile-backend-buffer.c     |   2 +-
 gegl/buffer/gegl-tile-backend-file-async.c |   8 +-
 gegl/buffer/gegl-tile-backend-swap.c       |   2 +-
 gegl/buffer/gegl-tile-backend.c            |   6 +-
 gegl/buffer/gegl-tile-backend.h            |   7 +-
 gegl/buffer/gegl-tile-handler.c            |   4 +-
 gegl/buffer/gegl-tile-handler.h            |   4 +-
 gegl/buffer/gegl-tile.c                    |   2 +-
 gegl/gegl-enums.c                          |  84 ------
 gegl/gegl-enums.h                          |  53 ----
 gegl/gegl-types.h                          |  30 --
 gegl/gegl-utils.c                          | 342 ---------------------
 gegl/gegl-utils.h                          | 250 +---------------
 gegl/graph/gegl-cache.c                    |   1 +
 gegl/graph/gegl-cache.h                    |   1 +
 47 files changed, 1645 insertions(+), 1529 deletions(-)

commit e98f33c377ec2f3afda9548188443b333357e421
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Sat Sep 29 17:19:17 2018 +0300

    Update NEWS

 docs/NEWS.txt | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 54b340cbd64e7fb1027cc130f439a780ed927936
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Fri Sep 28 21:11:52 2018 +0000

    Update Swedish translation

 po/sv.po | 969
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 506 insertions(+), 463 deletions(-)

commit 4fdf9ebfb4f852d2e7e32ddf95b6041d90c21757
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Sep 27 23:19:36 2018 +0200

    buffer: add gegl-buffer-formats.h and gegl-bufefr-matrix2.h

    The 2x2 matrix is only used by GeglBuffer and its API, gimp-2.10
    does not
    use the symbols - we are remaining abi compatible but are rearranging
    locations of symbols.

 gegl/Makefile.am                            |  1 +
 gegl/buffer/Makefile.am                     |  3 ++
 gegl/buffer/gegl-algorithms.c               |  2 +-
 gegl/buffer/gegl-buffer-access.c            |  2 +-
 gegl/buffer/gegl-buffer-formats.h           | 84
 +++++++++++++++++++++++++++++
 gegl/buffer/gegl-buffer-linear.c            |  2 +-
 gegl/buffer/gegl-buffer-matrix2.c           | 35 ++++++++++++
 gegl/buffer/gegl-buffer-matrix2.h           | 56 +++++++++++++++++++
 gegl/buffer/gegl-buffer.c                   |  6 +--
 gegl/buffer/gegl-buffer.h                   | 71 +++++++++++-------------
 gegl/buffer/gegl-sampler-cubic.c            | 16 +++---
 gegl/buffer/gegl-sampler-linear.c           | 12 ++---
 gegl/buffer/gegl-sampler-lohalo.c           |  6 +--
 gegl/buffer/gegl-sampler-nearest.c          |  6 +--
 gegl/buffer/gegl-sampler-nohalo.c           |  6 +--
 gegl/buffer/gegl-sampler.c                  | 66 +++++++++++------------
 gegl/buffer/gegl-sampler.h                  |  6 +--
 gegl/gegl-matrix.c                          | 14 -----
 gegl/gegl-matrix.h                          | 26 +--------
 gegl/gegl-utils.h                           | 13 +++++
 operations/common-gpl3+/fractal-trace.c     |  2 +-
 operations/common-gpl3+/polar-coordinates.c |  2 +-
 operations/common-gpl3+/whirl-pinch.c       |  2 +-
 operations/common/little-planet.c           |  4 +-
 operations/common/panorama-projection.c     |  4 +-
 operations/transform/transform-core.c       |  4 +-
 26 files changed, 295 insertions(+), 156 deletions(-)

commit a6a6ba6ff5c8e75a85e7c3bb8108fd16cd2f6b35
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Sep 27 18:07:49 2018 +0200

    buffer: use GeglBufferRectangle inside GeglBuffer

    The typedef for GeglRectangle is now:
      typedef struct _GeglBufferRectangle GeglRectangle;

 gegl/buffer/gegl-algorithms.c              | 145 ++++-----
 gegl/buffer/gegl-algorithms.h              | 230 +++++++--------
 gegl/buffer/gegl-buffer-access.c           | 459
 ++++++++++++++---------------
 gegl/buffer/gegl-buffer-iterator.c         |  58 ++--
 gegl/buffer/gegl-buffer-iterator.h         |  32 +-
 gegl/buffer/gegl-buffer-iterator2.c        |  62 ++--
 gegl/buffer/gegl-buffer-iterator2.h        |  34 +--
 gegl/buffer/gegl-buffer-linear.c           |  32 +-
 gegl/buffer/gegl-buffer-private.h          |  72 ++---
 gegl/buffer/gegl-buffer-save.c             |   6 +-
 gegl/buffer/gegl-buffer-types.h            |  21 +-
 gegl/buffer/gegl-buffer.c                  |  58 ++--
 gegl/buffer/gegl-buffer.h                  | 160 ++++++----
 gegl/buffer/gegl-sampler-nearest.c         |   2 +-
 gegl/buffer/gegl-sampler.c                 |  26 +-
 gegl/buffer/gegl-sampler.h                 |  18 +-
 gegl/buffer/gegl-tile-backend-buffer.c     |   2 +-
 gegl/buffer/gegl-tile-backend-file-async.c |   6 +-
 gegl/buffer/gegl-tile-backend.c            |   6 +-
 gegl/buffer/gegl-tile-backend.h            |  10 +-
 gegl/buffer/gegl-tile-handler.c            |   4 +-
 gegl/buffer/gegl-tile-handler.h            |   4 +-
 gegl/gegl-types.h                          |  64 ++--
 23 files changed, 771 insertions(+), 740 deletions(-)

commit 125aa873eaea0a9b81dbe2db94f339573181ceeb
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Sep 27 14:27:27 2018 +0200

    buffer: move gegl_buffer_set_color out of geglbuffer.so

 gegl/buffer/gegl-buffer-access.c | 14 --------------
 gegl/buffer/gegl-buffer.h        |  1 -
 gegl/gegl-utils.c                | 17 +++++++++++++++++
 3 files changed, 17 insertions(+), 15 deletions(-)

commit 443e0c1c3b80fe05b6b6c01b5857dfc570fe65c5
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Sep 27 14:22:16 2018 +0200

    buffer: make gegl_buffer_set_color_from_pixel public

 gegl/buffer/gegl-buffer-access.c | 19 ++++++++++---------
 gegl/buffer/gegl-buffer.h        | 17 +++++++++++++++++
 2 files changed, 27 insertions(+), 9 deletions(-)

commit 0fc355ef195626f1074f8921bdacc312c2970c7f
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Sep 27 13:42:51 2018 +0200

    gegl/buffer: shuffle types between gegl and buffer headers

 gegl/buffer/gegl-buffer-types.h        |  2 --
 gegl/buffer/gegl-buffer.c              |  2 +-
 gegl/buffer/gegl-buffer.h              | 17 +++++++++++++++++
 gegl/buffer/gegl-tile-backend-buffer.c |  1 +
 gegl/buffer/gegl-tile-backend-ram.c    |  1 +
 gegl/buffer/gegl-tile-backend.c        |  1 +
 gegl/buffer/gegl-tile-handler-chain.c  |  1 +
 gegl/buffer/gegl-tile-handler-empty.c  |  1 +
 gegl/buffer/gegl-tile-handler-log.c    |  1 +
 gegl/buffer/gegl-tile-handler-zoom.c   |  1 +
 gegl/buffer/gegl-tile-handler.c        |  1 +
 gegl/buffer/gegl-tile-source.c         |  1 +
 gegl/buffer/gegl-tile-storage.c        |  1 +
 gegl/buffer/gegl-tile-storage.h        |  1 +
 gegl/buffer/gegl-tile.c                |  1 +
 gegl/gegl-types-internal.h             |  3 ++-
 gegl/gegl-types.h                      | 12 ++----------
 gegl/graph/gegl-region.h               |  2 +-
 18 files changed, 35 insertions(+), 15 deletions(-)

commit b5541fd169b5ead15bbcb088310ea783ed4dc464
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Sep 27 13:16:59 2018 +0200

    buffer: abstract gegl_buffer_set_value out of  gegl_buffer_set_color

    Avoding to use the type GeglColor in GeglBuffer's API will further
    reduce
    coupling.

 gegl/buffer/gegl-buffer-access.c | 32 ++++++++++++++++++++++----------
 1 file changed, 22 insertions(+), 10 deletions(-)

commit 6aa889ca49170d5ea294505d6934f11b57cec901
Author: Marco Ciampa <ciampix@posteo.net>
Date:   Tue Sep 25 22:40:49 2018 +0200

    Updated Italian translation

 po/it.po | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

commit 8557f2f8787cfad649631af0927db247e163d339
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 24 18:59:17 2018 +0200

    gegl: move region code from buffer subdir to graph

 gegl/buffer/Makefile.am                      | 3 ---
 gegl/buffer/gegl-buffer-types.h              | 1 -
 gegl/gegl-types-internal.h                   | 1 +
 gegl/graph/Makefile.am                       | 3 +++
 gegl/graph/gegl-cache.c                      | 1 +
 gegl/graph/gegl-cache.h                      | 1 +
 gegl/graph/gegl-node.c                       | 2 +-
 gegl/{buffer => graph}/gegl-region-generic.c | 0
 gegl/{buffer => graph}/gegl-region-generic.h | 0
 gegl/{buffer => graph}/gegl-region.h         | 0
 gegl/process/gegl-graph-traversal.c          | 2 +-
 gegl/process/gegl-processor.c                | 2 +-
 12 files changed, 9 insertions(+), 7 deletions(-)

commit 9458b55c0262fdc16aaf4ee29330ae31276d4733
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 24 17:10:22 2018 +0200

    gegl: move gegl-cache.[ch] to more proper location in tree

    Even if it derives from buffer, where it is used by node/the graph
    code, no
    code in the buffer link nor make use of this cache code.

 gegl/buffer/Makefile.am             | 2 --
 gegl/graph/Makefile.am              | 2 ++
 gegl/{buffer => graph}/gegl-cache.c | 0
 gegl/{buffer => graph}/gegl-cache.h | 0
 4 files changed, 2 insertions(+), 2 deletions(-)

commit d3be2b44ad023c8d9e0a7ce3b316ba313dedd9fd
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 24 16:59:08 2018 +0200

    gegl: drop internal gegl_clear_pointer and use g_clear_pointer
    directly

    The warnings were due to excessive casting in the call invoking
    g_clear_pointer
    previously.

 gegl/gegl-utils.h                | 8 --------
 gegl/module/geglmodule.c         | 2 +-
 gegl/process/gegl-eval-manager.c | 2 +-
 gegl/process/gegl-processor.c    | 6 +++---
 4 files changed, 5 insertions(+), 13 deletions(-)

commit d903c54895972ac6849c8c4414f765ad279d95d2
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 24 15:49:37 2018 +0200

    buffer: add files missing from previous commit

 gegl/buffer/gegl-buffer-config.c | 206
 +++++++++++++++++++++++++++++++++++++++
 gegl/buffer/gegl-buffer-config.h |  62 ++++++++++++
 2 files changed, 268 insertions(+)

commit d6dcdd6617afc9f29391932bf38005f960b14664
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Sep 20 23:15:21 2018 +0200

    buffer: use a separate config object for gegl buffer

    A config object similar to GEGLs GeglConfig has been added for
    gegl-buffer, making the files in the buffer directory more
    independent of the rest of the GEGL code base. All properties
    of GeglBufferConfig are bi-directionally bound to their
    counterparts in GeglConfig

 gegl/buffer/Makefile.am                    |  2 ++
 gegl/buffer/gegl-buffer.c                  |  8 ++++----
 gegl/buffer/gegl-tile-backend-file-async.c |  6 +++---
 gegl/buffer/gegl-tile-backend-swap.c       | 10 +++++-----
 gegl/buffer/gegl-tile-backend.c            |  4 ++--
 gegl/buffer/gegl-tile-handler-cache.c      | 22 +++++++++++-----------
 gegl/gegl-config.c                         | 11 +++++++++++
 7 files changed, 38 insertions(+), 25 deletions(-)

commit bc88517514dfa2c172f97ec8f5db46b9b2318bb3
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 24 15:07:29 2018 +0200

    lcms-from-profile: use new iterator api

 operations/external/lcms-from-profile.c | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 7517e42ed0cb5dee70e74595cca414462ffc1878
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 24 15:05:10 2018 +0200

    tiff-load: use new iterator API

 operations/external/tiff-load.c | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit b96b515c8c12590a5aa4c332ea64bdae49de9387
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 24 15:01:49 2018 +0200

    raw-load: avoid warning instances of g_clear_pointer

 operations/external/raw-load.c | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 77382d0cbb03805372f4ebd83898057d7a8ace78
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 24 14:55:10 2018 +0200

    gegl: use gegl_clear_pointer instead of some g_clear_pointer

    Thus avoding warnings on types caused by stricter expectation in glib
    implementation.

 gegl/gegl-utils.h                | 9 +++++++++
 gegl/module/geglmodule.c         | 2 +-
 gegl/process/gegl-eval-manager.c | 2 +-
 gegl/process/gegl-processor.c    | 7 ++++---
 4 files changed, 15 insertions(+), 5 deletions(-)

commit 106390f6d58a87bff9f24bcbeab00b918b7a2ace
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 24 14:54:04 2018 +0200

    webp-load: avoid warning by not using g_clear_pointer

 operations/external/webp-load.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit a419173bc4b054c194c23413444e8bf3889e9eca
Author: Rodrigo Lledó <rodhos92@gmail.com>
Date:   Mon Sep 24 10:22:24 2018 +0000

    Update Spanish translation

 po/es.po | 798
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 415 insertions(+), 383 deletions(-)

commit bc0ac5f5482b156230c61a33e2de6f1be554c816
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Sep 22 16:42:29 2018 +0200

    NEWS: update

 docs/NEWS.txt | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit d315fe35b34ba835119e10d2a21542668359f958
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Sep 20 22:55:00 2018 +0200

    Revert "gegl-config: remove tile_width/tile_height"

    This reverts commit 628887b53b6811eaf3e47b122e1b69424fe174ad.

    Will do this in a different manner, using a config object for
    gegl-buffer.

 gegl/buffer/gegl-buffer.c | 33 ++++++++++-----------------------
 gegl/gegl-config.c        | 33 +++++++++++++++++++++++++++++++++
 gegl/gegl-config.h        |  2 ++
 gegl/gegl-init.c          | 23 +++++++++++++++++++++++
 4 files changed, 68 insertions(+), 23 deletions(-)

commit 64e1cf2f57a22b348e86a01d44d877f3c5a6e8bc
Author: Ell <ell_se@yahoo.com>
Date:   Fri Sep 21 03:29:11 2018 -0400

    tests: don't use GeglConfig::tile-{width,height}

    ... which were removed in commit
    628887b53b6811eaf3e47b122e1b69424fe174ad.

 tests/simple/test-buffer-hot-tile.c          | 15 ++++----
 tests/simple/test-buffer-iterator-aliasing.c | 51
 ++++++++++++++++++----------
 tests/simple/test-buffer-unaligned-access.c  | 20 ++++++-----
 3 files changed, 53 insertions(+), 33 deletions(-)

commit 897a692fd25c5d88b72ca9e11e625892e9e0b05c
Author: Ell <ell_se@yahoo.com>
Date:   Fri Sep 21 03:25:39 2018 -0400

    buffer: match source buffer more closely in gegl_buffer_dup()

    In gegl_buffer_dup(), use the same abyss, shift, and tile size for
    the duplicated buffer, in addition to the same extent and format,
    so that we use COW even when these properties don't use the default
    values.

 gegl/buffer/gegl-buffer-access.c | 18 +++++++++++++++++-
 1 file changed, 17 insertions(+), 1 deletion(-)

commit b36b064c4ffcf91b62c147995582fa945a172ccb
Author: Ell <ell_se@yahoo.com>
Date:   Fri Sep 21 01:54:11 2018 -0400

    long-shadow: *actually* disable fixed-rate fading style

    Should have been part of last commit.

 operations/common/long-shadow.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c6d03fc4d82dd27927787d61365e6900e7363135
Author: Ell <ell_se@yahoo.com>
Date:   Fri Sep 21 01:41:47 2018 -0400

    long-shadow: disable fixed-rate fading style

    The fixed-rate fading shadow style's interaction with the midpoint
    parameter is problematic, having a discontinuity at midpoint=1.  It
    may also be problematic w.r.t. some future directions for the op.
    Let's disable it for now, especially since the fixed-length fading
    style is probably the more useful one.

    Note that the code for the fixed-rate style is all still there,
    it's simply made inaccessible.

 operations/common/long-shadow.c | 31 ++++++++++++++++++++++---------
 1 file changed, 22 insertions(+), 9 deletions(-)

commit 0ccccc1f389b26372efed42167caac65aceb1cf4
Author: Ell <ell_se@yahoo.com>
Date:   Fri Sep 21 01:35:36 2018 -0400

    gegl: in gegl-op.h, add enum_value_skip() macro

    ... which defines an enum value, without registring it with GLib.
    Can be useful for defining internal enum values, or for temporarily
    disabling the availability of enum values without changing the
    code.

 gegl/gegl-op.h | 6 ++++++
 1 file changed, 6 insertions(+)

commit 040e9490b9128955f32ba79de64c9797cc385206
Author: Ell <ell_se@yahoo.com>
Date:   Thu Sep 20 11:15:56 2018 -0400

    gegl: don't use g_type_class_add_private() ...

    ... and G_TYPE_INSTANCE_GET_PRIVATE()

    g_type_class_add_private() and G_TYPE_INSTANCE_GET_PRIVATE() were
    deprecated in GLib 2.58.  Instead, use
    G_DEFINE_TYPE_WITH_PRIVATE(), and G_ADD_PRIVATE(), and the
    implictly-defined foo_get_instance_private() functions, all of
    which are available in the GLib version we depend on.

 gegl/buffer/gegl-tile-backend.c           |  9 +++------
 gegl/buffer/gegl-tile-handler.c           |  9 +++------
 gegl/gegl-dot-visitor.c                   | 10 +++-------
 gegl/gegl-dot-visitor.h                   |  8 ++++----
 gegl/graph/gegl-node.c                    |  7 ++-----
 gegl/operation/gegl-operation-temporal.c  |  9 +++------
 gegl/property-types/gegl-audio-fragment.c |  7 +++----
 gegl/property-types/gegl-color.c          |  6 ++----
 gegl/property-types/gegl-curve.c          |  8 +++-----
 gegl/property-types/gegl-path.c           |  9 ++++-----
 10 files changed, 30 insertions(+), 52 deletions(-)

commit 628887b53b6811eaf3e47b122e1b69424fe174ad
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Sep 19 22:54:12 2018 +0200

    gegl-config: remove tile_width/tile_height

    The default tile_width/tile_height can still be set with the
    environment
    variable GEGL_TILE_SIZE as before, it is however now initialized
    locally
    in GeglBuffer instead of looked up via gegl_config()

 gegl/buffer/gegl-buffer.c | 33 +++++++++++++++++++++++----------
 gegl/gegl-config.c        | 33 ---------------------------------
 gegl/gegl-config.h        |  2 --
 gegl/gegl-init.c          | 23 -----------------------
 4 files changed, 23 insertions(+), 68 deletions(-)

commit 50fe0e6202892c698017b9d3d9f7ab8ff6e0bbd6
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Sep 19 22:53:32 2018 +0200

    buffer: fix documentation strings to be separate from other iterator

 gegl/buffer/gegl-buffer-iterator2.h | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit c8a0b9eff07c8d9122f55f7b7527d51788ae4575
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Sep 19 15:56:23 2018 +0200

    gegl-buffer: always do locking

    This reduces the throughpput of gegl buffer accessors and more
    slightly in
    the single-threaded case, which is now becoming rare - at least
    when GEGL
    is operated through GIMP.

    Relying less on this dynamically changing parameter from gegl_config()
    will also make it easier to split GeglBuffer out in its own project.

 gegl/buffer/gegl-buffer-access.c       | 73
 +++++++++++-----------------------
 gegl/buffer/gegl-buffer-iterator.c     |  5 ---
 gegl/buffer/gegl-buffer-iterator2.c    |  5 ---
 gegl/buffer/gegl-buffer.c              | 54 ++++++++-----------------
 gegl/buffer/gegl-sampler-nearest.c     |  7 +---
 gegl/buffer/gegl-sampler.c             |  1 -
 gegl/buffer/gegl-tile-backend-buffer.c | 14 ++-----
 gegl/buffer/gegl-tile-handler-cache.c  | 11 ++---
 gegl/buffer/gegl-tile-handler.c        |  7 +---
 gegl/buffer/gegl-tile-storage.c        | 55 ++++++-------------------
 gegl/buffer/gegl-tile.c                | 23 ++++-------
 11 files changed, 74 insertions(+), 181 deletions(-)

commit bf9b962935c5e947bff85a2bff596aaf276eaad5
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Sep 19 15:22:18 2018 +0200

    libs/libnsgif: add libnsgif files to tarball

 libs/Makefile.am | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 987b32a03838201036fa35c1e92c05ff8608613a
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Sep 19 13:07:49 2018 +0200

    update NEWS

 docs/NEWS.txt | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)

commit 6ae52c3f87a84fc1e9e85c11160279e6ed80558f
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Sep 19 12:45:47 2018 +0200

    move gif-load from workshop to external

 operations/external/Makefile.am              | 2 ++
 operations/{workshop => external}/gif-load.c | 0
 operations/workshop/Makefile.am              | 1 -
 po/POTFILES.in                               | 2 +-
 4 files changed, 3 insertions(+), 2 deletions(-)

commit 55999d4a06617791634140820dee58f886cfc9ac
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Sep 19 12:41:01 2018 +0200

    libs: improvements to animated gif handling

    Deal with frame delays and automatically loop in the gegl commandline
    image viewer. A copy of libnsgif now lives in the libs folder, with
    minimal modifications from upstream.

 bin/ui.c                       |   50 +-
 libs/libnsgif/COPYING          |   20 +
 libs/libnsgif/README           |   36 ++
 libs/libnsgif/libnsgif.c       | 1169 +++++++++++++++++++++++++++++++++++
 libs/libnsgif/libnsgif.h       |  183 ++++++
 libs/libnsgif/libnsgif.pc.in   |   10 +
 libs/libnsgif/log.h            |   21 +
 libs/libnsgif/lzw.c            |  377 ++++++++++++
 libs/libnsgif/lzw.h            |  105 ++++
 operations/workshop/gif-load.c |    7 +-
 operations/workshop/libnsgif.c | 1308
 ----------------------------------------
 operations/workshop/libnsgif.h |  108 ----
 12 files changed, 1968 insertions(+), 1426 deletions(-)

commit edeb35ebbf486d703584ccb4264e64c323e9f41a
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 17 23:25:27 2018 +0200

    docs: fix a typo

 docs/index.txt.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 83f1a2a80fb213595b0fd97cff86596ebdb83cf8
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:   Tue Sep 18 13:22:54 2018 +0300

    Updated Greek translation

 po/el.po | 1858
 ++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 1078 insertions(+), 780 deletions(-)

commit 4294bad2e543040a9d7443e4eaa6c926ac4715dd
Author: Ell <ell_se@yahoo.com>
Date:   Mon Sep 17 13:40:26 2018 -0400

    buffer, tests: specify iterator aliasing rules, and prevent deadlocks

    Specify the rules under which aliased buffers, i.e., buffers
    sharing the same tile storage, may be added to the same iterator.
    The rules state that if a buffer is acessed for writing, then the
    iterated-over areas of each of its aliases must either overlap its
    iterated-over area completely, or not at all, and that none of the
    other overlapping aliases may be accessed for writing as well.

    Make sure that when these rules are followed, no deadlocks occur
    during iteration, regardless of the order in which the buffers are
    added to the iterator.  This is done by locking all the write-
    accessed tiles before the read-accessed tiles, and unlocking all
    the read-accessed tiles before unlocking/gegl_buffer_set()ing the
    write-accessed tiles.

    Add a test case, checking that no deadlocks occur.

 gegl/buffer/gegl-buffer-iterator2.c          | 159 +++++++++++++--------
 gegl/buffer/gegl-buffer-iterator2.h          |  10 ++
 tests/simple/Makefile.am                     |   1 +
 tests/simple/test-buffer-iterator-aliasing.c | 205
 +++++++++++++++++++++++++++
 4 files changed, 317 insertions(+), 58 deletions(-)

commit 3693cda248bd016ae4a7821bf19d9a63c426dbf6
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Sep 16 17:21:24 2018 +0200

    Update Polish translation

 po/pl.po | 762
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 395 insertions(+), 367 deletions(-)

commit 7d7875d86f2221db0e5947fbc4b7c46c7bc59b9a
Author: Tim Sabsch <tim@sabsch.com>
Date:   Sat Sep 15 22:27:37 2018 +0000

    Update German translation

 po/de.po | 839
 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 450 insertions(+), 389 deletions(-)

commit cf7eacb750dc469356b13019564bc1b929133905
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Sep 12 18:04:05 2018 +0200

    gif-load: return decoded frames duration in an out property

 operations/workshop/gif-load.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 92a3408ceb871341d7dd2cf602fb3609369ce25a
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Sep 12 17:28:22 2018 +0200

    workshop: add gif-load using libnsgif

    Also including a version of libnsgif that has been made self-contained
    by
    inlining (might be old and not contain the latest fixes in libnsgif)
    the few
    source files it depends on, having a direct copy of the libnsgif
    directory in
    the gegl source tree might be better, unless distributions start
    packaging
    libnsgif.

 bin/gegl.c                      |    4 +-
 operations/workshop/Makefile.am |    1 +
 operations/workshop/gif-load.c  |  245 ++++++++
 operations/workshop/libnsgif.c  | 1308
 +++++++++++++++++++++++++++++++++++++++
 operations/workshop/libnsgif.h  |  108 ++++
 po/POTFILES.in                  |    1 +
 6 files changed, 1665 insertions(+), 2 deletions(-)

commit dfdec2063f0053e1e30527c0c90c219ddd3db153
Author: Ell <ell_se@yahoo.com>
Date:   Tue Sep 11 13:34:53 2018 -0400

    Issue #97 - Drop Shadow crashes GIMP if opacity is adjusted to
    1.000 ...

    ... with the GUI arrow buttons

    In gegl:opacity, use fuzzy comparisson for checking if the "value"
    property equals 1, and the op is a pass-through.

    This test was previously performed using exact comparison, in a
    context where "value" is a double, and then later asserted-on in a
    context where "value" is a float, which could lead to a different
    result, aborting the program.  This commit performs all such tests
    with "value" as a float, and removes the assertion.

 operations/common/opacity.c | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

commit 96e601a6a3a7382bbbb5f4e11319aa61c3e97867
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Sep 11 02:41:28 2018 +0200

    workshop: migrate ops to new iterator api

 operations/workshop/enlarge.c        |  1 +
 operations/workshop/inpaint.c        |  1 +
 operations/workshop/pixel-duster.h   | 14 +++++++-------
 operations/workshop/segment-kmeans.c | 13 +++++++------
 4 files changed, 16 insertions(+), 13 deletions(-)

commit 749443cc2a517fed1e5677a767018196965fae17
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Sep 11 00:13:25 2018 +0200

    buffer: fix migration define for gegl_buffer_iterator_empty_new

 gegl/buffer/gegl-buffer-iterator.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6475cc8d480b3d9c3696ac82badedf9ca0551b1a
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 10 23:36:13 2018 +0200

    buffer: mark old gegl_buffer_iterator_new function as deprecated

    The way to get rid of deprecation warnings is to, at the top of the
    file before
    gegl-buffer-iterator2.h the 2 suffix is not to be used, effectively
    this means
    that the constructor now takes an additional argument which is
    the maximum
    number of buffers the iterator should be allocated to support,
    and access to
    roi/data members need to be adjusted to be fields of the new array
    items.

    When we've gotten rid of all warnings in GIMP the following release
    of GEGL,
    gegl-buffer-iterator2.h will be copied over gegl-buffer-iterator.h
    and the
    macro will no longer add the 2 suffix.

 gegl/buffer/gegl-buffer-iterator.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8fa0839798846b5a7d7b7deb93ebc7397c13fea7
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 10 23:34:57 2018 +0200

    gegl: install gegl-buffer-iterator2.h header

 gegl/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 6cb220dcbb97d9dfda28a584ef0bc88aa1bb9bca
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 10 22:36:23 2018 +0200

    watershed-transform: use new iterator api

 operations/common/watershed-transform.c | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

commit c5afbb9ad0fb837d6d644095b76eafa219fdfa77
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 10 22:36:23 2018 +0200

    waterpixels: use new iterator api

 operations/common/waterpixels.c | 22 ++++++++++++----------
 1 file changed, 12 insertions(+), 10 deletions(-)

commit c24189004206dd3431b21af845aa4b9e9f7f5d56
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 10 22:36:23 2018 +0200

    tile-seamless: use new iterator api

 operations/common/tile-seamless.c | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

commit 277896696fe9e83546f127fa79b4f6f0fce3e4dc
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 10 22:36:23 2018 +0200

    stretch-contrast: use new iterator api

 operations/common/stretch-contrast.c | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit 76eddedd1bcf5e9d4582539f76d5ef1bd03abbfb
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 10 22:36:23 2018 +0200

    stretch-contrast-hsv: use new iterator api

 operations/common/stretch-contrast-hsv.c | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit 2d89ea9cfd79286ccaab26e3f08017a087567ecd
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 10 22:36:23 2018 +0200

    stress: use new iterator api

 operations/common/stress.c | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

commit bbe98ed79df18c77c434f582f2f517452cd3999e
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 10 22:36:23 2018 +0200

    spherize: use new iterator api

 operations/common/spherize.c | 16 +++++++++-------
 1 file changed, 9 insertions(+), 7 deletions(-)

commit 7dcd5a31231d105c9522bd3d19266ae17229e24d
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 10 22:36:23 2018 +0200

    slic: use new iterator api

 operations/common/slic.c | 26 ++++++++++++++------------
 1 file changed, 14 insertions(+), 12 deletions(-)

commit 6c972721d7e2a5f1796005e2135a02b4c80f80dc
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 10 22:36:23 2018 +0200

    pixelize: use new iterator api

 operations/common/pixelize.c | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit 5c7c753859fb703f965fec9f3329b171b1f1e047
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 10 22:36:23 2018 +0200

    panorama-projection: use new iterator api

 operations/common/panorama-projection.c | 16 +++++++++-------
 1 file changed, 9 insertions(+), 7 deletions(-)

commit 2333dc36cb34907b2f5b415a77078fbb1a9fb82e
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 10 22:36:23 2018 +0200

    noise-spread: use new iterator api

 operations/common/noise-spread.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 078b87d62f5a37103e7fb17239b37b0a55f1904f
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 10 22:36:23 2018 +0200

    noise-simplex: use new iterator api

 operations/common/noise-simplex.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 581afb02ccce5e8279f323cba61abd96077316b5
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 10 22:36:23 2018 +0200

    noise-pick: use new iterator api

 operations/common/noise-pick.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit ab6ada5f225080bfdb1f783dc1eaecf2cbae7725
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 10 22:36:23 2018 +0200

    noise-cell: use new iterator api

 operations/common/noise-cell.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit dc67729637ff5fb743784e4a3735e7134beb5a43
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 10 22:36:23 2018 +0200

    map-relative: use new iterator api

 operations/common/map-relative.c | 18 ++++++++++--------
 1 file changed, 10 insertions(+), 8 deletions(-)

commit 005a2a442d8d42fdf09f58f8d06200e4760770ea
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 10 22:36:23 2018 +0200

    map-absolute: use new iterator api

 operations/common/map-absolute.c | 18 ++++++++++--------
 1 file changed, 10 insertions(+), 8 deletions(-)

commit 2f2de1037cdf09fed895d81625b665a5d5fbf50d
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 10 22:36:23 2018 +0200

    little-planet: use new iterator api

 operations/common/little-planet.c | 15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)

commit be29cdab3b7f948788771738bd8fe900a46b9cf8
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 10 22:36:23 2018 +0200

    image-compare: use new iterator api

 operations/common/image-compare.c | 15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)

commit 53b966675a3b9a74967754e3857ab51a8c781e52
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 10 22:36:23 2018 +0200

    dither: use new iterator api

 operations/common/dither.c | 120
 ++++++++++++++++++++++++---------------------
 1 file changed, 65 insertions(+), 55 deletions(-)

commit d4c171d5aee6d7038c970b97dbaa064a0cfd437d
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 10 22:36:23 2018 +0200

    color-enhance: use new iterator api

 operations/common/color-enhance.c | 15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)

commit c0d609ff88ebf3ebb8d1b5f2f422ecc30d6ef356
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 10 22:36:23 2018 +0200

    checkerboard: use new iterator api

 operations/common/checkerboard.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit b2383b6a716915307a10c9600b825120ea8a709a
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 10 22:36:23 2018 +0200

    c2g: use new iterator api

 operations/common/c2g.c | 20 ++++++++++++--------
 1 file changed, 12 insertions(+), 8 deletions(-)

commit 00dc89096c0a28665df7cc2bdb9cb29d11314847
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 10 22:35:09 2018 +0200

    transform-ops: use new iterator api

 operations/transform/transform-core.c | 20 +++++++++++---------
 1 file changed, 11 insertions(+), 9 deletions(-)

commit 4b8d34a1c47dfc2ac54a37b3bd74f47636b8835c
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 10 22:34:45 2018 +0200

    seamless-clone: use new iterator api

 seamless-clone/sc-context.c | 29 +++++++++++++++--------------
 1 file changed, 15 insertions(+), 14 deletions(-)

commit e88f7adbe62a6a988d0e725a7ef47e25ea14ecea
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 10 17:23:46 2018 +0200

    examples: use new buffer iterator api in sdl-draw

 examples/sdl-draw.c | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit 37092fc81194d0216a8163e3b789b3961c3ba5eb
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 10 17:22:05 2018 +0200

    gcut: use new buffer iterator api

 gcut/iconographer.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit a73ed991efc618bfa22c05f08b0ce7435a503d37
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 10 16:49:06 2018 +0200

    waves: use new iterator api

 operations/common-gpl3+/waves.c | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit c5098419df29c64c6698cd07d4ea650fa3057172
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 10 16:49:06 2018 +0200

    tile-paper: use new iterator api

 operations/common-gpl3+/tile-paper.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 03005d3e13c03ed414b6b9a46197a8f4558f53c3
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 10 16:49:06 2018 +0200

    softglow: use new iterator api

 operations/common-gpl3+/softglow.c | 15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)

commit 5f19191c55bf5cd2ef146f51e1784e2eb1cbcf2e
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 10 16:49:05 2018 +0200

    ripple: use new iterator api

 operations/common-gpl3+/ripple.c | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit ff1ddcbeef76e607b9ef4709120dcb140c2f64b3
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 10 16:49:05 2018 +0200

    photocopy: use new iterator api

 operations/common-gpl3+/photocopy.c | 16 +++++++++-------
 1 file changed, 9 insertions(+), 7 deletions(-)

commit 2b92ff7fec6f3f5b68ce02becb1819639db5a4d4
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 10 16:49:05 2018 +0200

    noise-solid: use new iterator api

 operations/common-gpl3+/noise-solid.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit ecca28cfcffcc415acf3b5a33f01433cd76af380
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 10 16:49:05 2018 +0200

    noise-slur: use new iterator api

 operations/common-gpl3+/noise-slur.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit e99ca7c5abb5ac5a3394f15df4d66520e8425b9e
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 10 16:49:05 2018 +0200

    illusion: use new iterator api

 operations/common-gpl3+/illusion.c | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit feefefcb67364fbe8863425bbdb419432479a163
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 10 16:49:05 2018 +0200

    displace: use new iterator api

 operations/common-gpl3+/displace.c | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

commit 61ec1adf10ce94353b3c89cc1535343e750ed794
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 10 16:49:05 2018 +0200

    diffraction-patterns: use new iterator api

 operations/common-gpl3+/diffraction-patterns.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit b7a557d2e01b4b1580655fd136fdd2c19e045c04
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 10 16:49:05 2018 +0200

    cartoon: use new iterator api

 operations/common-gpl3+/cartoon.c | 17 +++++++++--------
 1 file changed, 9 insertions(+), 8 deletions(-)

commit 5a6cbb987cd74ad2544df6a85a6c0509a572170a
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 10 16:49:05 2018 +0200

    apply-lens: use new iterator api

 operations/common-gpl3+/apply-lens.c | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit b41748b517a26deae60cffd2835b06933460e7fc
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 10 16:27:21 2018 +0200

    buffer: remove references to cl headers in Makefile.am

 gegl/buffer/Makefile.am | 2 --
 1 file changed, 2 deletions(-)

commit 0c678671e509ec39ecc01059332476a134622a6e
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 10 16:24:35 2018 +0200

    tests: port test suite to new iterator api

 tests/buffer/buffer-test.c                  |  6 ++++--
 tests/buffer/tests/buffer_linear_iter.c     |  8 +++++---
 tests/buffer/tests/buffer_linear_iter2.c    |  8 +++++---
 tests/buffer/tests/buffer_multcopy.c        |  9 ++++++---
 tests/buffer/tests/linear_shift.c           | 20 ++++++++++++--------
 tests/buffer/tests/mipmap_iterator.c        |  4 ++--
 tests/buffer/tests/mipmap_iterator2.c       |  4 ++--
 tests/buffer/tests/mipmap_sampler.c         |  8 ++++----
 tests/simple/test-buffer-changes.c          |  4 ++--
 tests/simple/test-buffer-unaligned-access.c |  7 ++++---
 10 files changed, 46 insertions(+), 32 deletions(-)

commit b849ee4bad0999057275584fe549d1c33bc2d810
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 10 16:08:49 2018 +0200

    gegl: use new iterator API in point op base classes

 gegl/operation/gegl-operation-point-composer.c  | 19 +++++++++++--------
 gegl/operation/gegl-operation-point-composer3.c | 21
 +++++++++++----------
 gegl/operation/gegl-operation-point-filter.c    | 13 +++++++------
 gegl/operation/gegl-operation-point-render.c    |  5 +++--
 4 files changed, 32 insertions(+), 26 deletions(-)

commit 72d32620f615bc0a10718672f1ea99d3ad042d03
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 10 16:08:21 2018 +0200

    buffer: use new iterator api internally

 gegl/buffer/gegl-buffer-access.c | 16 +++++++++-------
 1 file changed, 9 insertions(+), 7 deletions(-)

commit a84f1a58e52e41a72cb5f8112f550632bc1ed5cf
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Jul 23 18:18:29 2018 +0200

    buffer: add new iterator api that can take more buffers

    if GEGL_ITERATOR2_API is defined before inclusion of the GEGL
    headers a new iterator API with restructured public struct that
    permits using more buffers is used, all code should be migrated
    over to the new API, before the meaning of the old symbols also
    change to the new state in a couple of releases - and the symbols
    should be adopted again.

 gegl/buffer/Makefile.am             |   2 +
 gegl/buffer/gegl-buffer-iterator.h  |  18 +-
 gegl/buffer/gegl-buffer-iterator2.c | 743
 ++++++++++++++++++++++++++++++++++++
 gegl/buffer/gegl-buffer-iterator2.h | 137 +++++++
 4 files changed, 898 insertions(+), 2 deletions(-)

commit 66dd86d9c60e579539f984a96a12943cbaae0207
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 10 15:20:51 2018 +0200

    buffer: move non-sampler scaling algorithms into buffer

    They are only used here, thus bundling them with buffer makes sense
    for later
    using external GeglBuffer.

 gegl/Makefile.am                                    | 5 +----
 gegl/buffer/Makefile.am                             | 3 +++
 gegl/{ => buffer}/gegl-algorithms-2x2-downscale.inc | 0
 gegl/{ => buffer}/gegl-algorithms-bilinear.inc      | 0
 gegl/{ => buffer}/gegl-algorithms-boxfilter.inc     | 0
 gegl/{ => buffer}/gegl-algorithms.c                 | 0
 gegl/{ => buffer}/gegl-algorithms.h                 | 0
 7 files changed, 4 insertions(+), 4 deletions(-)

commit e3b29ef5fa3d38a9f04747434ea077ee8719ee1b
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 10 15:12:44 2018 +0200

    buffer: add gegl_buffer_flush_ext

    This is the call to be used externally where the explicit opencl cache
    flushing was used before. In code that uses opencl existing checks for
    opencl can be used around it - but do not have to, since it is a no-op
    with no flush_ext vfuncs set, like it is with no opencl in operation.

 gegl/buffer/gegl-buffer-access.c                |  9 +++++++++
 gegl/buffer/gegl-buffer.h                       | 14 ++++++++++++++
 gegl/operation/gegl-operation-point-composer.c  |  4 ++--
 gegl/operation/gegl-operation-point-composer3.c |  6 +++---
 gegl/operation/gegl-operation-point-filter.c    |  2 +-
 operations/transform/transform-core.c           |  3 +--
 6 files changed, 30 insertions(+), 8 deletions(-)

commit 6f5df0c023055922e62241b344cd88121132dabb
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 10 14:33:46 2018 +0200

    transform: fix build with moved internal headers

 operations/transform/transform-core.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6638803d37159f1f4b67f7ab542bfff58841594d
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 10 14:24:23 2018 +0200

    build: patch up breakage introduced in prior commit

    Ooops, the header files for buffer are installed from the parent dir.

 gegl/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c3c9b63f5fcca2b023d64177d959079215e889b8
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 10 14:05:50 2018 +0200

    buffer,opencl: split opencl code from GeglBuffer

    The integration between the opencl buffer cache and GeglBuffer
    consists of
    two (three) function calls that are conditionally done for updates are
    correctly propagated between opencl / cpu.

    This commit in work towards making GeglBuffer possible to reuse as
    a separate
    libraryt without needing to link and load opencl replaces these
    conditionals
    with a check whether a function pointer is set, and if it is set it
    uses it.
    The opencl code sets/unsets the function pointers depending on
    whether it is
    active.

 gegl/buffer/Makefile.am                           |  2 --
 gegl/buffer/gegl-buffer-access.c                  | 16 +++++++++-------
 gegl/buffer/gegl-buffer-iterator.c                |  9 ++++-----
 gegl/buffer/gegl-buffer-private.h                 |  6 ++++++
 gegl/buffer/gegl-buffer.c                         | 17 +++++++++++++----
 gegl/buffer/gegl-sampler.c                        | 14 +++++++-------
 gegl/buffer/gegl-tile-handler-cache.c             | 15 +++++++--------
 gegl/opencl/Makefile.am                           |  6 +++++-
 gegl/{buffer => opencl}/gegl-buffer-cl-cache.c    |  0
 gegl/{buffer => opencl}/gegl-buffer-cl-cache.h    |  0
 gegl/{buffer => opencl}/gegl-buffer-cl-iterator.c |  0
 gegl/{buffer => opencl}/gegl-buffer-cl-iterator.h |  0
 gegl/opencl/gegl-cl-init.c                        | 17 +++++++++++++++++
 13 files changed, 68 insertions(+), 34 deletions(-)

commit bbbf18ece3f53f3e423c529a086753f216604792
Author: Rodrigo Lledó <rodhos92@gmail.com>
Date:   Mon Sep 10 08:29:02 2018 +0000

    Update Spanish translation

 po/es.po | 37 ++++++++++++++++++++++++-------------
 1 file changed, 24 insertions(+), 13 deletions(-)

commit d77fd17e0afde1df2f35979929b7d8d5e29ad022
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Thu Sep 6 09:06:42 2018 +0200

    Fix the type casts for babl_space_from_icc

    For reference, here's the signature of babl_space_from_icc:
    const Babl *babl_space_from_icc (const char       *icc_data,
                                     int               icc_length,
                                     BablIccIntent     intent,
                                     const char      **error);

    ... and JOCTET can be defined as either a signed or unsigned char:
    #ifdef HAVE_UNSIGNED_CHAR
    typedef unsigned char JOCTET;
    #define GETJOCTET(value)  (value)
    #else /* not HAVE_UNSIGNED_CHAR */
    typedef char JOCTET;
    #ifdef __CHAR_UNSIGNED__
    #define GETJOCTET(value)  (value)
    #else
    #define GETJOCTET(value)  ((value) & 0xFF)
    #endif /* __CHAR_UNSIGNED__ */
    #endif /* HAVE_UNSIGNED_CHAR */

 bin/mrg-gegl.c                  | 2 +-
 operations/core/cast-space.c    | 2 +-
 operations/core/convert-space.c | 2 +-
 operations/external/jpg-load.c  | 6 +++---
 operations/external/png-load.c  | 2 +-
 operations/external/tiff-load.c | 2 +-
 6 files changed, 8 insertions(+), 8 deletions(-)

commit 722f8d2224eae1ace76b4f68fb7412e35f4c35a9
Author: Marco Ciampa <ciampix@posteo.net>
Date:   Wed Sep 5 17:10:54 2018 +0200

    Updated Italian translation

 po/it.po | 210
 +++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 137 insertions(+), 73 deletions(-)

commit cdbdd9426a5ce2ab7e79dd9fefafcbe33339f295
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Sep 4 20:56:04 2018 +0200

    invert-gamma: update reference hash

 operations/common/invert-gamma.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 69ced71fa0f2ba01c5718cf47c9774734ee4912d
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Sep 4 19:50:26 2018 +0200

    tests: bail out of simple svg test earlier

 tests/simple/test-svg-abyss.c | 1 +
 1 file changed, 1 insertion(+)

commit 42b6d1371796c2606507cfbfef08af126b9fcc67
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Sep 4 19:25:53 2018 +0200

    alien-map: update reference hash

 operations/common/alien-map.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4386984020bcb4bc606991f72a65660c2cc9364a
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Sep 1 20:00:29 2018 +0200

    Update Polish translation

 po/pl.po | 28 ++++++++++++++++++----------
 1 file changed, 18 insertions(+), 10 deletions(-)

commit b0f1fb52229b1ee1345ad65c3d6e65b7b02f81ca
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Aug 31 15:10:30 2018 +0200

    snn-mean: update reference hash

 operations/common/snn-mean.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1b68392c7064b8b2794f264e3f4770ce1ae56bd6
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Aug 31 14:52:33 2018 +0200

    reference hash updates

 operations/common-gpl3+/emboss.c               | 2 +-
 operations/common-gpl3+/motion-blur-circular.c | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit e7389bdc02278151b5be538e623242f0eef6bd29
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Aug 31 13:35:16 2018 +0200

    reference hash updates

 bin/ui.c                                       |    8 +-
 docs/operations.html                           | 2652
 ------------------------
 operations/common-gpl3+/antialias.c            |    2 +-
 operations/common-gpl3+/cartoon.c              |    2 +-
 operations/common-gpl3+/channel-mixer.c        |    1 +
 operations/common-gpl3+/color-exchange.c       |    1 +
 operations/common-gpl3+/cubism.c               |    2 +-
 operations/common-gpl3+/deinterlace.c          |    2 +-
 operations/common-gpl3+/edge-laplace.c         |    2 +-
 operations/common-gpl3+/edge.c                 |    2 +-
 operations/common-gpl3+/emboss.c               |    2 +-
 operations/common-gpl3+/fractal-trace.c        |    2 +-
 operations/common-gpl3+/illusion.c             |    2 +-
 operations/common-gpl3+/lens-flare.c           |    2 +-
 operations/common-gpl3+/mosaic.c               |    2 +-
 operations/common-gpl3+/motion-blur-circular.c |    2 +-
 operations/common-gpl3+/motion-blur-zoom.c     |    2 +-
 operations/common-gpl3+/oilify.c               |    2 +-
 operations/common-gpl3+/photocopy.c            |    2 +-
 operations/common-gpl3+/red-eye-removal.c      |    2 +-
 operations/common-gpl3+/ripple.c               |    2 +-
 operations/common-gpl3+/shift.c                |    2 +-
 operations/common-gpl3+/softglow.c             |    2 +-
 operations/common-gpl3+/tile-glass.c           |    2 +-
 operations/common-gpl3+/value-propagate.c      |    2 +-
 operations/common-gpl3+/waves.c                |    2 +-
 operations/common/alien-map.c                  |    2 +-
 operations/common/bilateral-filter.c           |    2 +-
 operations/common/contrast-curve.c             |    2 +-
 operations/common/convolution-matrix.c         |    2 +-
 operations/common/edge-sobel.c                 |    2 +-
 operations/common/image-gradient.c             |    2 +-
 operations/common/invert-gamma.c               |    2 +-
 operations/common/mean-curvature-blur.c        |    2 +-
 operations/common/mono-mixer.c                 |    2 +-
 operations/common/noise-cie-lch.c              |    2 +-
 operations/common/noise-hsv.c                  |    2 +-
 operations/common/noise-pick.c                 |    2 +-
 operations/common/noise-reduction.c            |    2 +-
 operations/common/noise-rgb.c                  |    2 +-
 operations/common/noise-spread.c               |    2 +-
 operations/common/posterize.c                  |    2 +-
 operations/common/rgb-clip.c                   |    2 +-
 operations/common/saturation.c                 |    2 +-
 operations/common/sepia.c                      |    2 +-
 operations/common/snn-mean.c                   |    2 +-
 operations/common/value-invert.c               |    2 +-
 operations/common/vignette.c                   |    2 +-
 operations/common/wavelet-blur-1d.c            |    2 +-
 49 files changed, 53 insertions(+), 2699 deletions(-)

commit 2f245174eee1634a4f9dc106a3911ad718beb21d
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Aug 31 13:03:56 2018 +0200

    mosaic: fix typo in output pad

 operations/common-gpl3+/mosaic.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0c6eb26f85aa418e5fd042669b8fa6cbb5f41ee3
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Aug 31 11:57:28 2018 +0200

    tests: do not let test-svg-abyss failing break build

 tests/simple/test-svg-abyss.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 7db46716cce53bea1d3188c996e76fe3b0ad2ce9
Author: Rodrigo Lledó <rodhos92@gmail.com>
Date:   Fri Aug 31 08:11:27 2018 +0000

    Update Spanish translation

 po/es.po | 198
 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 97 insertions(+), 101 deletions(-)

commit 828597e33b178017d3187f58917075c55bd537b3
Author: Ell <ell_se@yahoo.com>
Date:   Thu Aug 30 04:16:44 2018 -0400

    long-shadow: fix accelerating fading-fixed-length shadow value
    calculation

    In shadow_[collation_]value(), don't scale the current shadow value
    by the fade-curve LUT when the value is 0, and just return 0
    directly.  When the value is 0, the shadow is "inactive" and its
    y-coordinate is meaningless, which can result in an out-of-bounds
    access to the LUT.

 operations/common/long-shadow.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 74a673cf6031ae57baa5acc65b8e7c4472c0e492
Author: Ell <ell_se@yahoo.com>
Date:   Wed Aug 29 12:51:21 2018 -0400

    long-shadow: add midpoint parameter to finite fading styles

    Add a "midpoint-rel" property, which acts as the fade midpoint
    parameter, instead of the "midpoint" property, for the fadinig-
    fixed-length and fading-fixed-rate styles.  Unlike the latter,
    "midpoint-rel" is specified as a factor of the shadow length,
    instead of as an absolute distance.  When using GUM, as GIMP does,
    the label of both properties is "midpoint", so they appear to be a
    single property.

    The midpoint value determines the gamma curve to use as the drop-
    off function of the shadow.  When it is 0.5, the drop-off is
    linear, as before; when it is < 0.5, the drop-off decelerates; and,
    when it is > 0.5, the drop-off accelerates.

    Note that in the fixed-rate style, higher midpoint values result in
    darker but *shorter* shadows, and a 1.0 midpoint results in no
    shadow at all.

 operations/common/long-shadow.c | 576
 +++++++++++++++++++++++++++++++---------
 1 file changed, 449 insertions(+), 127 deletions(-)

commit 52dfeb54f5acaeee1df09931498411815180ca92
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Aug 26 18:19:27 2018 +0200

    Update Polish translation

 po/pl.po | 187
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 97 insertions(+), 90 deletions(-)

commit dc32b3525530944ab5e47cc45f5be3c81623ed58
Author: Ell <ell_se@yahoo.com>
Date:   Wed Aug 22 14:03:48 2018 -0400

    color-overlay: fix output for semi-transparent color parameters

    Premultiply the color-parameter components by the alpha before
    processing.  Got lost during space invasion.

 operations/common/color-overlay.c | 4 ++++
 1 file changed, 4 insertions(+)

commit c1c3541caab485384087bbbcf1c83ef2d5bd4d43
Author: Hussam Al-Tayeb <me@hussam.eu.org>
Date:   Wed Aug 22 14:55:31 2018 +0200

    exr-save: avoid hard-coding Imath_2_2 name space

 operations/external/exr-save.cc | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit 7febad8a98cb4e779977bcce84e656a351457284
Author: Ell <ell_se@yahoo.com>
Date:   Wed Aug 22 04:37:39 2018 -0400

    long-shadow: add "fading-fixed-length" and "fading-fixed-rate" styles

    Add two finite fading shadow styles: "fading-fixed-length", and
    "fading-fixed-rate".  Both styles produce the same result for
    fully-opaque input pixels, but diverge for partially-transparent
    pixels.  "fading-fixed-length" produces a shadow of the same length
    regardless of the input pixel's alpha value, such that the shadow
    fading rate of pixels with lower alpha values is lower, while
    "fading-fixed-rate" produces a shadow with a fixed fade rate,
    regardless of the input pixel's alpha value, such that the shadow
    of pixels with lower alpha values is shorter.

    Currently, finite fading shadows don't support user-defined
    midpoint values, and their drop-off curve is always linear (as if
    the midpoint were 0.5, in relative terms).  Nonlinear fixed-length
    fading shadows break some of the algorithm's invariants, and
    addressing that would increase the computational complexity.

 operations/common/long-shadow.c | 313
 +++++++++++++++++++++++++++++++---------
 1 file changed, 243 insertions(+), 70 deletions(-)

commit 525f9ef02d9d93e156a76a291e98bb57ac1acc6d
Author: Ell <ell_se@yahoo.com>
Date:   Wed Aug 22 03:57:53 2018 -0400

    text: fix bounding box when wrap-height is specified

    Take the "vertical-wrap" and "vertical-alignment" properties into
    account when deciding if the bounding box needs to be recalculated.

 operations/external/text.c | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit 627d9bc85edc2a8153580ddac04da917b484af7e
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Tue Aug 21 03:22:01 2018 +0300

    Update Russian translation

 po/ru.po | 267
 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 122 insertions(+), 145 deletions(-)

commit 35806a4e9d1bd430a06e803d9ddee10464e52994
Author: Ell <ell_se@yahoo.com>
Date:   Sun Aug 19 19:38:12 2018 -0400

    buffer: use gegl_tile_backend_command() in tile backends

    In all tile-backend command handlers, forward unhandled commands to
    gegl_tile_backend_command(), instead of asserting that the command
    is within range.  See the previous commit for a rationale.

 gegl/buffer/gegl-tile-backend-buffer.c     | 6 ++----
 gegl/buffer/gegl-tile-backend-file-async.c | 7 ++++---
 gegl/buffer/gegl-tile-backend-ram.c        | 7 ++++---
 gegl/buffer/gegl-tile-backend-swap.c       | 7 +++----
 4 files changed, 13 insertions(+), 14 deletions(-)

commit 30047e65723ebb44fcde9c6b5f60ceecb43b0895
Author: Ell <ell_se@yahoo.com>
Date:   Sun Aug 19 19:19:37 2018 -0400

    buffer: add gegl_tile_backend_command(); pre-0.4.10 compatibility

    Tile backends currently assert in their command handlers that the
    input command is between 0 and GEGL_TILE_LAST_COMMAND (this is true
    for the built-in backends, but we can assume it's also true for
    custom backends.)  This prevents us from adding new tile commands
    without breaking the ABI.

    Instead, add a new gegl_tile_backend_command() function, which acts
    as a default command handler for tile backends, and to which their
    handlers should forward unhandled commands (this function currently
    simply performs the range check for the command -- however, against
    the GEGL_TILE_LAST_COMMAND value of the runtime GEGL -- and returns
    NULL; we can add differet default behaviors for different commands
    as necessary.)

    In order to remain backward compatible with tile backends compiled
    against older versions of GEGL, which still contain the above
    assertion, we replace the subclass's command handler with a thunk
    upon construction, which tests whether the original handler
    forwards unhandled commands to gegl_tile_backend_command(), and re-
    replaces the handler with either the original handler if it does,
    or a compatibility shim, which only forwards pre-0.4.10 commands to
    the original handler, if it doesn't.

 gegl/buffer/gegl-buffer-backend.h |   6 ++-
 gegl/buffer/gegl-buffer-types.h   |  20 +++----
 gegl/buffer/gegl-tile-backend.c   | 108
 ++++++++++++++++++++++++++++++++++++++
 gegl/buffer/gegl-tile-backend.h   |  21 ++++++++
 4 files changed, 145 insertions(+), 10 deletions(-)

commit 64021786ee067cf66c038622719acc590e6341db
Author: Ell <ell_se@yahoo.com>
Date:   Fri Aug 17 20:49:25 2018 -0400

    buffer, stats: limit maximal pending data size in the swap backend
    queue

    In GeglTileBackendSwap, limit the maximal data size allowed to be
    pending in the queue at any given time.  The limit is currently set
    to 10% of the cache size.  If data is attempted to be written to
    the swap while the queue is full, the operation blocks until the
    queued data size drops below the limit.

    Add new "swap-queue-total", "swap-queue-full", and "swap-queue-
    stalls" properties to GeglStats, reporting the total queued data
    size, whether or not the queue is full, and the number of times a
    write operation has been blocked due to a full queue, respectively.

 gegl/buffer/gegl-tile-backend-swap.c | 244
 ++++++++++++++++++++++++-----------
 gegl/buffer/gegl-tile-backend-swap.h |   3 +
 gegl/gegl-stats.c                    |  39 ++++++
 3 files changed, 212 insertions(+), 74 deletions(-)

commit 04011ae6d09f3ee194334da0e70ae65bb0e403b4
Author: Ell <ell_se@yahoo.com>
Date:   Tue Aug 14 13:06:10 2018 -0400

    buffer: implement TILE_COPY in the buffer backend

    In GeglTileBackendBuffer, implement the TILE_COPY command, by
    simply forwarding it to the underlying buffer (unless the
    underlying buffer has user-provided tile handlers, in which case we
    can't use TILE_COPY for the same reason as in gegl_buffer_copy()).

 gegl/buffer/gegl-tile-backend-buffer.c | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit 185f4450f2a51690b39112973c61f894c1ec3e41
Author: Ell <ell_se@yahoo.com>
Date:   Tue Aug 14 12:55:02 2018 -0400

    buffer, stats: implement TILE_COPY in the swap backend; cleanup;
    new stat

    In GeglTileBackendSwap, implement the TILE_COPY command between a
    pair of swap backends, but decoupling swap data blocks,
    representing an allocated block in the common swap file, from swap
    entries, representing stored tiles in an individual swap backend.
    Have data blocks be ref-counted, such that each swap entry
    corresponds to a single data block, but each data block may be
    shared among multiple entries.  When copying a tile, we simply
    assign the data block of the source entry to the destination entry,
    and increment its reference count.  When modifying a tile, upon a
    TILE_SET command, if the corresponding data block isn't uniquely
    owned by the entry (i.e., if its ref-count is greater than 1), we
    allocate a new data block for the tile.

    Some all-around cleanup in gegl-tile-backend-swap.c.

    In GeglStats, add a "swap-total-uncloned" stat, analogous to
    "cache-total-uncloned", reporting the total size of the data that
    would have been stored in the swap, if each tile occupied a unique
    data block.

 gegl/buffer/gegl-tile-backend-swap.c | 523
 +++++++++++++++++++++++------------
 gegl/buffer/gegl-tile-backend-swap.h |  19 +-
 gegl/gegl-stats.c                    |  12 +
 3 files changed, 368 insertions(+), 186 deletions(-)

commit e9dce12c96d8c1d0dc72067f94044ae87ed5c7e5
Author: Ell <ell_se@yahoo.com>
Date:   Tue Aug 14 11:32:41 2018 -0400

    buffer: implement TILE_COPY in the cache handler

    If the tile exists in the cache, we start by copying it directly to
    the destination.  Then, if the tile doesn't exist in the cache, or
    if it's already stored -- i.e., if it might exist in the backend in
    an up-to-date state -- we try letting the backend copy the tile as
    well, and, if this succeeds, we either mark the tile copied from
    the cache as stored, or void any existing tile in the destination
    cache.  The copy is considered successful if either the cache or
    the backend copied the tile.

 gegl/buffer/gegl-tile-handler-cache.c | 181
 +++++++++++++++++++++++++++-------
 1 file changed, 148 insertions(+), 33 deletions(-)

commit 44c258bf8797464151d80fec8235fd149e3f7ac6
Author: Ell <ell_se@yahoo.com>
Date:   Tue Aug 14 10:41:09 2018 -0400

    buffer: use TILE_COPY in gegl_buffer_copy()

    In gegl_buffer_copy(), use the TILE_COPY command, added in the
    previous commit, when copying tiles directly between the buffers,
    and fall back to a simple TILE_GET + cache_insert() if the
    TILE_COPY command fails.  See the previous commit for a rationale.

    We currently avoid this optimization for source buffers that have
    user-provided tile handlers, since they might interfere with the
    TILE_COPY mechanism.  See the comment in the code for more
    details.

    Additionally, lock/unlock the source buffer's tile-storage mutex
    before/after copying the entire set of tiles, and use an unlocked
    gegl_tile_source_get_tile() call to fetch the tiles, instead of
    locking the mutex once per tile.  In addition to being more
    efficient, this allows us to properly order the source/destination
    buffer locks, to avoid a potential deadlock when copying between
    two swapped pairs of buffers concurrently.

 gegl/buffer/gegl-buffer-access.c | 62
 +++++++++++++++++++++++++++++++---------
 gegl/buffer/gegl-tile-storage.c  |  4 +++
 gegl/buffer/gegl-tile-storage.h  |  3 ++
 3 files changed, 55 insertions(+), 14 deletions(-)

commit c5045711164ee44b0ce9e585e98266a3e6cbb9da
Author: Ell <ell_se@yahoo.com>
Date:   Tue Aug 14 10:00:31 2018 -0400

    buffer: add GEGL_TILE_COPY tile-source command

    GEGL_TILE_COPY requests a tile source to copy a tile to a given
    destination buffer (or to the same buffer to which the tile source
    belongs), at given destination tile coordinates.  The tile source
    and the destination buffer are assumed to be tile-compatible (i.e.,
    having the same tile dimensions and format).  The tile source
    should return a boolean value, indicating whether the tile has been
    copied.

    This is mostly meant to be implemented by the cache handler, and by
    tile backends (the swap backend, in particular).  It allows
    backends to implement a cheap copy operation, avoiding the need to
    actually fetch the tile.  For example, at the moment, copying a
    swapped-out tile between two buffers, both of which are using the
    swap backend, requires reading the tile from disk into memory
    first, only to COW the result.  This might not be an issue if the
    same tile is known to be accessed shortly after, but when doing a
    tentative copy, usually of an entire buffer (as is done in GIMP in
    several cases), this incurs a very noticeable overhead.

 gegl/buffer/gegl-buffer-backend.h | 10 ++++++++++
 gegl/buffer/gegl-tile-source.h    | 40
 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 50 insertions(+)

commit 5488b282927b7abbaf6f357099def2121638ec48
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Aug 18 12:40:22 2018 +0200

    post release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4d634fe907eb7973c732b34b0d5641943f93e086
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Aug 18 12:11:56 2018 +0200

    release 0.4.6

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d9cec1cd9bd1beb90813d857e3fe8f522ba3ca27
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Aug 18 12:12:52 2018 +0200

    update NEWS

 docs/NEWS.txt | 1 +
 1 file changed, 1 insertion(+)

commit 17b34df868844fdbdbbcf9284da2ee29e8bff9d0
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Aug 18 12:18:22 2018 +0200

    configure: add warning about enabling of workshop to --help

 configure.ac                  | 2 +-
 operations/workshop/inpaint.c | 3 ++-
 2 files changed, 3 insertions(+), 2 deletions(-)

commit c5c8198b2e45d9c98f7d3922d4a643f6d2844227
Author: Tim Sabsch <tim@sabsch.com>
Date:   Fri Aug 17 16:48:22 2018 +0000

    Update German translation

 po/de.po | 1842
 ++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 1081 insertions(+), 761 deletions(-)

commit 0ba3d30aa2e087886fb79ab3d1da9daa754ab7fe
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Aug 17 11:58:05 2018 +0200

    NEWS: update

 docs/NEWS.txt | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

commit 14fc79698ffdd17665a09632a11c547071638e8f
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Aug 17 11:47:14 2018 +0200

    bin: update with api changes in mrg

 bin/ui.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9463fe1082b1614dd7969599b602baf6b718ab05
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Aug 17 11:46:38 2018 +0200

    examples: update lua/gobject introspection draft

 examples/{lgi.lua => lgitest.lua} | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 33fef8a4b4ab0dac35f7d261ca0289312e4f7c04
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Aug 16 19:58:03 2018 +0200

    Update MSGID_BUGS_ADDRESS in po/Makevars

 po/Makevars | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9bd3d353057156975fefc9b67d00751150ab8248
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Aug 16 16:31:29 2018 +0200

    little-planet: fix reference composition, and add a compat-name

    permit gegl:little-planet in addition to gegl:stereographic-projection
    also use this op in its reference composition - it was still rendering
    panorama-projection.

 operations/common/little-planet.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 76c5f69bb15fb2f17c19d639b055a3c0de3818bf
Author: Ell <ell_se@yahoo.com>
Date:   Thu Aug 16 07:37:15 2018 -0400

    buffer: improve swap backend shutdown

    When shutting down the swap backend, cleanly exit the writer thread
    and free the queue/gap list even when the swap wasn't actually
    used, and no swap file was created.

    Additionally, when shutting down the writer thread, lock the queue
    mutex while setting the exit_thread flag and signalling the queue
    condition variable, to avoid a potential deadlock while joining the
    thread.

 gegl/buffer/gegl-tile-backend-swap.c | 57
 +++++++++++++++++++++++-------------
 1 file changed, 36 insertions(+), 21 deletions(-)

commit 7ab21c10084984fe8b8beebb83561c6b28766cf1
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Aug 14 18:32:32 2018 +0200

    configure: depend on babl 0.1.56

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f6b5b17ac3435c607d54ab6f1b3c3ca84c62cdea
Author: Ell <ell_se@yahoo.com>
Date:   Tue Aug 14 03:54:51 2018 -0400

    buffer: don't store empty tiles in the swap

    In GeglTileBackendSwap, void any existing tile upon SETting an
    empty tile, instead of writing the empty tile data to disk.  The
    empty tile will be recreated by the empty-tile handler upon
    request.

 gegl/buffer/gegl-tile-backend-swap.c | 38
 ++++++++++++++++++++++++------------
 1 file changed, 25 insertions(+), 13 deletions(-)

commit 5a8c84e7711636099efedce70bd4c34c459cafdf
Author: Ell <ell_se@yahoo.com>
Date:   Tue Aug 14 03:42:03 2018 -0400

    buffer: always increase revision of duplicate tiles, even empty

    In gegl_tile_dup(), increate the revision of the newly-created
    duplicate tile unconditionally, even if it's empty, so that it gets
    stored.

    Instead of special-casing empty tiles in the above function, mark
    newly-craeted empty tiles as stored in the empty-tile handler.
    This way, newly-created empty tiles are not stored, but copied
    empty tiles are, since we might need them to replace outdated data
    in the tile backend.  Tile backends may, in turn, test for empty
    tiles upon a SET command, and drop the existing tile instead of
    storing the empty tile.

    Remove the now-unnecessary revision bump in gegl_buffer_copy().

 gegl/buffer/gegl-buffer-access.c      | 1 -
 gegl/buffer/gegl-tile-handler-empty.c | 9 ++++++++-
 gegl/buffer/gegl-tile.c               | 8 +++-----
 3 files changed, 11 insertions(+), 7 deletions(-)

commit 3275239e26e659b48933ba415a3c7c165f57a31f
Author: Ell <ell_se@yahoo.com>
Date:   Sat Aug 11 09:13:22 2018 -0400

    buffer: in GeglTileBackendSwap, move reused OP_DESTROY to the top

    In gegl_tile_backend_swap_entry_destroy(), when reusing an existing
    queued op as an OP_DESTROY, move the op to the top of the queue, so
    that the corresponding storage is reclaimed before any pending
    WRITE ops.  This used to be the behavior before last commit, which
    accidentally removed it.

 gegl/buffer/gegl-tile-backend-swap.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 4241b0fd5b39cee9bd9e84cdbc30a31e50ff8bf9
Author: Ell <ell_se@yahoo.com>
Date:   Sat Aug 11 08:37:22 2018 -0400

    buffer: fix potential race condition during tile-swap entry
    destruction

    In gegl_tile_backend_swap_entry_destroy(), don't free the entry in
    the calling thread when it has a pending op in the queue, but no
    allocated storage, since the test for whether the entry has
    allocated storage introduces a race condition between the calling
    thread and the writer thread, where storage allocation happens.
    Instead, always convert the existing op to an OP_DESTROY.

    In particular, this could lead to a use-after-free and/or swap-
    space leak, if a TILE_SET command is issued for a tile while it is
    being written to the swap by the writer thread (after the
    corresponding OP_WRITE has been dequeued).  In this case, another
    OP_WRITE is pushed to the queue.  If the corresponding entry
    doesn't have storage allocated yet, and is then destroyed, the
    entry will be freed while the writer thread is still potentially
    using it while serving the earlier OP_WRITE, and the storage
    subsequently allocated for it will never be reclaimed.

 gegl/buffer/gegl-tile-backend-swap.c | 28 ++++++----------------------
 1 file changed, 6 insertions(+), 22 deletions(-)

commit 02a1288c480c8e8372fc81b3006ab14b1ac5f570
Author: Martin Srebotnjak <miles@filmsi.net>
Date:   Fri Aug 10 20:48:09 2018 +0200

    Updated Slovenian translation

 po/sl.po | 455
 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 248 insertions(+), 207 deletions(-)

commit 95b0f79124b7c4508538aa03c9b6bf01241ce8e4
Author: Ell <ell_se@yahoo.com>
Date:   Fri Aug 10 09:14:41 2018 -0400

    long-shadow: process output in-place

    After commit a5ce7c7051b98dc6b7149bd1c08d69bb79df0197b, we no
    longer use a sampler in the finite-shadow case, and so we can
    process the output in-place in this case too, which allows us to
    safely set GeglOperation::want_in_place to TRUE.

 operations/common/long-shadow.c | 9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

commit d16ed56a738371bb7de64f703323b136fdd59f8f
Author: Ell <ell_se@yahoo.com>
Date:   Thu Aug 9 18:45:18 2018 -0400

    long-shadow: add reference hash

 operations/common/long-shadow.c | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit 59d3b76a609f0f480e0c725390b2c2bb4831337f
Author: Ell <ell_se@yahoo.com>
Date:   Thu Aug 9 18:36:30 2018 -0400

    long-shadow: move from workshop to common

 operations/common/Makefile.am                 | 1 +
 operations/{workshop => common}/long-shadow.c | 0
 operations/workshop/Makefile.am               | 1 -
 po/POTFILES.in                                | 2 +-
 4 files changed, 2 insertions(+), 2 deletions(-)

commit a5ce7c7051b98dc6b7149bd1c08d69bb79df0197
Author: Ell <ell_se@yahoo.com>
Date:   Thu Aug 9 18:27:19 2018 -0400

    long-shadow: various fixes and improvements

    A bunch of logic fixes and speed improvements, before moving to
    common.

 operations/workshop/long-shadow.c | 392
 ++++++++++++++++++++------------------
 1 file changed, 205 insertions(+), 187 deletions(-)

commit 827d5b024e0045c632d417ace013bbfd81ea51d8
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Thu Aug 9 18:23:21 2018 +0000

    Update Swedish translation

 po/sv.po | 21 ++++++++-------------
 1 file changed, 8 insertions(+), 13 deletions(-)

commit a36e6fa4e74489d0f763b43531cf5168cfa76e1e
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Thu Aug 9 13:07:26 2018 +0000

    Update Swedish translation

 po/sv.po | 1527
 ++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 888 insertions(+), 639 deletions(-)

commit 46fbf15eaf730ded64af684f400db3600619b376
Author: Ell <ell_se@yahoo.com>
Date:   Mon Aug 6 10:07:51 2018 -0400

    long-shadow: fix output for level > 0

    ... by incorporating the scale factor into the image <-> filter
    coordinate transformation.

 operations/workshop/long-shadow.c | 54
 +++++++++++++++++++++++++++++++--------
 1 file changed, 43 insertions(+), 11 deletions(-)

commit 1fad8a77b6f1961402d24cb4211af2c8274d8def
Author: Ell <ell_se@yahoo.com>
Date:   Mon Aug 6 10:06:06 2018 -0400

    long-shadow: avoid writing preprocessing rows to output buffer

 operations/workshop/long-shadow.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit b46a008ae7faccde52b0de3d0e075db613bd2899
Author: Ell <ell_se@yahoo.com>
Date:   Mon Aug 6 10:05:36 2018 -0400

    long-shadow: indentation fix

 operations/workshop/long-shadow.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 14399fed3b7ac762dea499603d8bd27145fc8786
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Aug 5 19:04:00 2018 +0200

    Update Polish translation

 po/pl.po | 390
 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 229 insertions(+), 161 deletions(-)

commit bf846eca27c2f14581cae3794defdf9f40936ae9
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Fri Aug 3 12:18:25 2018 +0200

    Added Slovenian translation

 po/sl.po | 8893
 +++++++++++++++++++++++++++++++++++++++++++++-----------------
 1 file changed, 6479 insertions(+), 2414 deletions(-)

commit 1d4f11de1898f8c5260f953dd42c992faa406126
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Thu Aug 2 23:56:02 2018 +0300

    Update Russian translation

 po/ru.po | 1109
 ++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 648 insertions(+), 461 deletions(-)

commit da936eceee1fce32e27ed13ec3adcc9da2022b96
Author: Ell <ell_se@yahoo.com>
Date:   Tue Jul 31 08:39:03 2018 -0400

    long-shadow: fix finite shadow accumulation

    For finite shadows, when replacing the current shadow value of a
    screen pixel, clear the pixel's now-irrelevant shadow queue, and
    correct the active-pixel count.  Note that failing to do either of
    these doesn't actually produce wrong results, but performance
    should be better in some cases now.

 operations/workshop/long-shadow.c | 39
 ++++++++++++++++++++++++---------------
 1 file changed, 24 insertions(+), 15 deletions(-)

commit e4ac3f454347665ba0b61f2788f394343ea63d7f
Author: Rodrigo Lledó <rodhos92@gmail.com>
Date:   Tue Jul 31 10:07:37 2018 +0000

    Update Spanish translation

 po/es.po | 128
 +++++++++++++++++++++++++++++++++++++++++++++++++--------------
 1 file changed, 101 insertions(+), 27 deletions(-)

commit d13895edc11fcd1c88a404a6401e2b9dc41d45e4
Author: Ell <ell_se@yahoo.com>
Date:   Mon Jul 30 13:58:10 2018 -0400

    long-shadow: fix buffer overflow; add "needs-alpha" key

 operations/workshop/long-shadow.c | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit ef6a3e948eedcee271b7fa5a6aa7d77654bddd99
Author: Ell <ell_se@yahoo.com>
Date:   Mon Jul 30 11:51:54 2018 -0400

    long-shadow: add new operation to workshop

    Add a gegl:long-shadow operation, which (surprise surprise) creates
    a long-shadow effect.  The operation supports three shadow styles:
    finite, infinite, and fading.  The shadow's color, angle, length
    (for finite shadows), and midpoint (for fading shadows) are
    controllable.

    Additionally, the output composition is also controllable, and can
    be one of:

      - Shadow plus image:  Both the shadow and the input image are
        included in the output.

      - Shadow only:  Only the shadow is included in the output.

      - Shadow minus image:  Only the parts of the shadow that aren't
        obscured by the input image are included in the input.  In
        GIMP, such output can be combined with the original layer using
        "Merge" layer mode, to achieve the same result as "Shadow plus
        image", using separate layers for the image and the shadow.

    The operation preserves partial-transparency, and produces anti-
    aliased results.

 operations/workshop/Makefile.am   |    1 +
 operations/workshop/long-shadow.c | 1106
 +++++++++++++++++++++++++++++++++++++
 po/POTFILES.in                    |    1 +
 3 files changed, 1108 insertions(+)

commit 31ee079d114547172fbecb8f319cf865e48cf11a
Author: Ell <ell_se@yahoo.com>
Date:   Mon Jul 30 07:12:29 2018 -0400

    median-blur: add "abyss-policy" property

    Add an "abyss-policy" property to gegl:median-blur, which controls
    the input's abyss policy, and can be one of NONE or CLAMP, for now.
    When the abyss policy is NONE, the op's bounding box is expanded
    according to the blur radius, while when the abyss policy is CLAMP,
    the op's bounding box is clamped to the input bounding box.

    The default abyss policy is CLAMP, to keep the current behavior.

 operations/common/median-blur.c | 57
 ++++++++++++++++++++++++++++++++---------
 1 file changed, 45 insertions(+), 12 deletions(-)

commit 43979a097b6ab4af8ee381556b7a1075103ed686
Author: Rodrigo Lledó <rodhos92@gmail.com>
Date:   Mon Jul 30 11:07:49 2018 +0000

    Update Spanish translation

 po/es.po | 49 +++++++++++++++++++++++++++++--------------------
 1 file changed, 29 insertions(+), 20 deletions(-)

commit ff0ff63650370db8a431ac62bc9edc3dcf207431
Author: Rodrigo Lledó <rodhos92@gmail.com>
Date:   Mon Jul 30 09:54:57 2018 +0000

    Update Spanish translation

 po/es.po | 135
 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 74 insertions(+), 61 deletions(-)

commit e6512cd4218d791934f8837f342749074b545ab6
Author: Marco Ciampa <ciampix@posteo.net>
Date:   Sat Jul 28 17:47:38 2018 +0200

    Updated Italian translation

 po/it.po | 323
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 168 insertions(+), 155 deletions(-)

commit b8e50821c5561dba285a41fdc1bbd00e17a4bf1f
Author: Rodrigo Lledó <rodhos92@gmail.com>
Date:   Fri Jul 27 11:04:41 2018 +0000

    Update Spanish translation

 po/es.po | 280
 +++++++++++++++++++--------------------------------------------
 1 file changed, 83 insertions(+), 197 deletions(-)

commit 6350185eb7d3caef8f083fc0bf374efab2ef4cba
Author: Rodrigo Lledó <rodhos92@gmail.com>
Date:   Thu Jul 26 10:18:51 2018 +0000

    Update Spanish translation

 po/es.po | 214
 +++++++++++++++++++++++++++------------------------------------
 1 file changed, 90 insertions(+), 124 deletions(-)

commit 5c1f698ba64e4cb953fec81ea77203dd23dbd29e
Author: Rodrigo Lledó <rodhos92@gmail.com>
Date:   Wed Jul 25 13:00:07 2018 +0000

    Update Spanish translation

 po/es.po | 207
 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 96 insertions(+), 111 deletions(-)

commit ddefb289ed5629643640af7a789c5a8a6121e911
Author: Rodrigo Lledó <rodhos92@gmail.com>
Date:   Tue Jul 24 10:30:16 2018 +0000

    Update Spanish translation

 po/es.po | 373
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 192 insertions(+), 181 deletions(-)

commit ef13a5b59149721a448292972ddd6660d5c5ab6f
Author: Daniel Mustieles <daniel.mustieles.contractor@bbva.com>
Date:   Tue Jul 24 10:20:09 2018 +0200

    Updated Spanish translation

 po/es.po | 60
 ++++++++++++++++++++++++++----------------------------------
 1 file changed, 26 insertions(+), 34 deletions(-)

commit 3248572b79f5f0c4c43a514cab6aa5d75de93942
Author: Ell <ell_se@yahoo.com>
Date:   Tue Jul 24 01:39:38 2018 -0400

    motion-blur-circular: fix "angle" property range

    Change the range of the "angle" property of
    gegl:motion-blur-circular from [-180,180] to [0,360] -- it's not
    directional, so negative values don't make sense for it.

 operations/common-gpl3+/motion-blur-circular.c | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit 7b0578073a0f20334b5a8a8fe57b649d9f302454
Author: Ell <ell_se@yahoo.com>
Date:   Tue Jul 24 01:34:19 2018 -0400

    operations: annotate angle properties with "direction" ui-meta

    Annotate all directional angle properties with a "direction" UI-
    meta, specifying whether the angle is measured clockwise ("cw") or
    counter-clockwise ("ccw").  This allows directionality-dependent
    UI, such as GIMP's dial widget, to use the correct direction.

 operations/common-gpl3+/bump-map.c          | 1 +
 operations/common-gpl3+/emboss.c            | 1 +
 operations/common-gpl3+/mosaic.c            | 1 +
 operations/common-gpl3+/polar-coordinates.c | 1 +
 operations/common-gpl3+/ripple.c            | 1 +
 operations/common-gpl3+/spiral.c            | 1 +
 operations/common-gpl3+/whirl-pinch.c       | 1 +
 operations/common/little-planet.c           | 3 +++
 operations/common/mirrors.c                 | 2 ++
 operations/common/motion-blur-linear.c      | 1 +
 operations/common/newsprint.c               | 4 ++++
 operations/common/panorama-projection.c     | 3 +++
 operations/common/vignette.c                | 1 +
 operations/transform/rotate.c               | 1 +
 operations/workshop/linear-sinusoid.c       | 2 ++
 15 files changed, 24 insertions(+)

commit 2e0f4234e43618a02c76539b9189361469b56954
Author: Rodrigo Lledó <rodhos92@gmail.com>
Date:   Mon Jul 23 12:54:38 2018 +0000

    Update Spanish translation

 po/es.po | 147
 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 72 insertions(+), 75 deletions(-)

commit 4e4f796a2dce6a1765cbd9fb09b07ffe3e13f8c6
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Jul 23 04:31:16 2018 +0200

    postrelease version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0c404a826c5ada5b5120983491bc09ddc05b250b
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Jul 23 04:15:47 2018 +0200

    release GEGL 0.4.6

 configure.ac  |  2 +-
 docs/NEWS.txt | 19 +++++++++++++------
 2 files changed, 14 insertions(+), 7 deletions(-)

commit 986504cf8eadb8e8cdd2da78e23af399c4bbf7c4
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Jul 23 04:04:04 2018 +0200

    configure: depend on babl 0.1.54

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 664869fcdfc7ff59e44216d7336568de5f3f0b05
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Jul 22 19:53:48 2018 +0200

    Update Polish translation

 po/pl.po | 171
 +++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 113 insertions(+), 58 deletions(-)

commit 1b2634494ddc9cc62d127907e8d5d518e7e67224
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Jul 22 19:00:16 2018 +0200

    NEWS: update

 docs/NEWS.txt | 57
 +++++++++++++++++++++++++++++++++------------------------
 1 file changed, 33 insertions(+), 24 deletions(-)

commit 6087f4218e84f0d177dcb017bc80b312dcf0b73f
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Jul 21 13:25:43 2018 +0200

    filmic: rename to aces-rrt

    The ACES RRT is a filmic look, but a specific one hard-coded for ACES
    workflows, renaming to show the intent of it becoming a parametric
    implementation of the ACES RRT, update description.

 operations/workshop/Makefile.am              |  2 +-
 operations/workshop/{filmic.c => aces-rrt.c} | 66
 ++++++++++++++++++++++++----
 po/POTFILES.in                               |  2 +-
 3 files changed, 60 insertions(+), 10 deletions(-)

commit 7bdab46b774bf09842fed05c9947b09a3b78226b
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Jul 21 13:37:58 2018 +0200

    gegl: store backpointer to hashtable of contexts in each context

    This will permit simpler code in many scenarios, and enables storage
    of data in the context.

 gegl/operation/gegl-operation-context-private.h |  7 ++++++-
 gegl/operation/gegl-operation-context.c         | 14 +++++++++++++-
 gegl/operation/gegl-operation-context.h         |  4 ++++
 gegl/process/gegl-graph-traversal.c             |  3 ++-
 gegl/process/gegl-processor.c                   |  2 +-
 5 files changed, 26 insertions(+), 4 deletions(-)

commit 569bc4adb0751075ca3dd94992ffffec73454838
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Jul 22 12:34:28 2018 +0200

    NEWS: more space invasion news tweaks

 docs/NEWS.txt | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 17d4571bcd23d57e79fe710edb333a3e64d69bcc
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 20 18:25:31 2018 +0200

    NEWS: update

 docs/NEWS.txt | 15 +++++++++------
 1 file changed, 9 insertions(+), 6 deletions(-)

commit a1add18e38a371ed6e7efc034987d0b790f1b52f
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 20 14:32:51 2018 +0200

    NEWS: update

 docs/NEWS.txt | 23 +++++++++--------------
 1 file changed, 9 insertions(+), 14 deletions(-)

commit 026658235495d158942f2c2ecf9152a517d10934
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 20 14:04:24 2018 +0200

    NEWS: update

 docs/NEWS.txt | 150
 ++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 94 insertions(+), 56 deletions(-)

commit f6bfb5f2aff3b45c7aa26c4394562200a035a3f0
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 20 12:33:42 2018 +0200

    tools: simplify introspect graph

    This clears up a warning about target not being regular file
    when building the docs.

 tools/introspect.c | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit d97122ed2a2d262f2c00647d6bb3692276b9fc6e
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 20 12:03:18 2018 +0200

    gegl: gegl-algorithms.c clean up old workaround for broken babl
    behavior

    An workaround for an older babl is triggering reported segfaults
    during GIMP
    builds on OSX.  Simplify this code assuming that babl does the right
    thing -
    The result of the calls should be equivalen, but this refactoring
    might help
    issue #75.

 gegl/gegl-algorithms.c | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

commit aa3dff2ebbd65e13bf7cb9261983a284a7970895
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 20 11:42:39 2018 +0200

    vignette: extend usable range of gamma property

    Values between 1.0 and 2 were treated as 2.0, also extend permitted
    value range down to 0.0, fixing issue #93

 opencl/vignette.cl           | 2 +-
 opencl/vignette.cl.h         | 2 +-
 operations/common/vignette.c | 7 ++++---
 3 files changed, 6 insertions(+), 5 deletions(-)

commit b2fe647f09a7010b60ebdb677a24fcafa7b0a9d4
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 20 11:41:40 2018 +0200

    docs/website: remove version from title

    Fixing issue #92.

 docs/index.txt.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 4bf2e5c05e9a3362f81c1b392ac7ff531230d7ce
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 20 00:51:19 2018 +0200

    docs: update download folder location

    it was still pointing to the 0.3 location. Fixing issue #91 (when
    website soon next gets synced from generated docs).

 docs/index.txt.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d08ce90cf8815ee646812742c9100236c16fb72c
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Jul 19 12:19:42 2018 +0000

    Update Spanish translation

 po/es.po | 231
 +++++++++++++++++++++++----------------------------------------
 1 file changed, 85 insertions(+), 146 deletions(-)

commit c2bd1fe8e49a12da14f1b27e47d28b3c9a878c32
Author: Rodrigo <rodhos92@gmail.com>
Date:   Thu Jul 19 09:11:16 2018 +0000

    Update Spanish translation

 po/es.po | 437
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 225 insertions(+), 212 deletions(-)

commit 92f522ab254354ddfb59170b2be2d59d9bee1cf4
Author: Marco Ciampa <ciampix@posteo.net>
Date:   Wed Jul 18 23:42:14 2018 +0200

    Updated Italian translation

 po/it.po | 918
 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 525 insertions(+), 393 deletions(-)

commit 1d6f8563b5088618a0249850f94b732087fb782b
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Jul 18 16:46:36 2018 +0200

    NEWS: update

 docs/NEWS.txt | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit 8886f3db5e25e913468bdd483ecab6f5294e12a4
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Jul 17 22:46:28 2018 +0200

    filmic: update description

 operations/workshop/filmic.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 853a7daf2ed0491f8dbff87e21720c8fee269208
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Jul 17 18:41:17 2018 +0200

    NEWS: update

 docs/NEWS.txt | 45 ++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 44 insertions(+), 1 deletion(-)

commit c9c439c7f17499278ddddec1e804e92aecd12b5a
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Jul 17 18:05:20 2018 +0200

    png-save: only save icc profile for RGB images

 operations/external/png-save.c | 94
 +++++++++++++++++++++++-------------------
 1 file changed, 51 insertions(+), 43 deletions(-)

commit 356fdc9420e5dabb2c3f3fa0308305b6db45a529
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Jul 17 18:02:27 2018 +0200

    filmic: fix syntax typo

 operations/workshop/filmic.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 18db3c27ea38e837a84f3e5796d150c54235e50a
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Jul 17 15:46:50 2018 +0200

    filmic: add ACES based filmic HDR to SDR proofing filter

 operations/workshop/Makefile.am |  1 +
 operations/workshop/filmic.c    | 91
 +++++++++++++++++++++++++++++++++++++++++
 po/POTFILES.in                  |  1 +
 3 files changed, 93 insertions(+)

commit 33d64bb65d3d0bf923a2a074c5dadc6afb9c00f8
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Jul 17 00:04:23 2018 +0200

    docs: update gegl-chain docs

 docs/gegl-chain.txt | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 7083df080254307c6ced47e2717e811f962be0bd
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Jul 16 23:58:42 2018 +0200

    docs: document impact of space invasion on commandline interface

    This documents how to replace, convert, export and otherwise
    interact with
    the color space through a gegl-chain.

    The concepts as documented here also applies to programmatic use of
    GEGL, then
    one can also pass const Babl *space pointers to cast-space and
    convert-space as
    well.

 docs/gegl-chain.txt | 59
 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 59 insertions(+)

commit e2c52833769250fade35bbbe429f63a4450bf8d4
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Jul 16 23:42:19 2018 +0200

    bin: s/babl_icc_make_space/babl_space_from_icc/

 bin/mrg-gegl.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ec6456fb1265c1efa2ee7ae1e7fd08de461ff8c3
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Jul 16 18:35:38 2018 +0200

    cast-space: use babl_space_from_icc instead of icc_make_space

 operations/core/cast-space.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0876671148757a31c946c7fa258e6d945f41be85
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Jul 16 18:35:25 2018 +0200

    convert-space: use babl_space_from_icc instead of icc_make_space

 operations/core/convert-space.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3d992dac18a6dba4052b0826b766820241b560b9
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Jul 16 18:34:50 2018 +0200

    *-load: update with tweaks to recent babl APIs

 operations/external/exr-load.cpp |  2 +-
 operations/external/jp2-load.c   |  4 ++--
 operations/external/jpg-load.c   |  2 +-
 operations/external/png-load.c   | 18 +++++++++---------
 operations/external/tiff-load.c  |  2 +-
 5 files changed, 14 insertions(+), 14 deletions(-)

commit c7583e5d02cfd26f73d2cf167398de493505bc8b
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Jul 16 11:53:18 2018 +0200

    raw-load: add property for specifying color space

    libraw has support for loading into various predefined RGB spaces,
    up until now
    we've been using sRGB, to avoid changing results of existing
    pipelines sRGB
    remains the default space for now. Also change to want linear data
    out of
    libraw - and make relevant changes to requested formats, thus
    mimicking also
    how EXR with predominantly linear data behaves.

 operations/external/raw-load.c | 50
 ++++++++++++++++++++++++++++++++++++------
 1 file changed, 43 insertions(+), 7 deletions(-)

commit 9682c3f454fb53164c25f9951fbc4b9c12383d58
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Jul 15 21:47:16 2018 +0200

    operations: move cast-space and convert-space out of workshop

 operations/core/Makefile.am                        |  2 +
 operations/{workshop => core}/cast-space.c         | 30 ++++++------
 .../{workshop/set-space.c => core/convert-space.c} | 54
 ++++++++++------------
 operations/workshop/Makefile.am                    |  2 -
 operations/workshop/ditto.c                        |  7 ++-
 po/POTFILES.in                                     |  4 +-
 6 files changed, 45 insertions(+), 54 deletions(-)

commit bc9a9a59c23750d248d3920eb3b9d2abf91c876d
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Jul 15 19:49:23 2018 +0200

    Update Polish translation

 po/pl.po | 96
 +++++++++++++++++++++++++++++++++++++++++++++++++++-------------
 1 file changed, 77 insertions(+), 19 deletions(-)

commit 5452ac49dc876bae84a9e13abf83a837ae507db3
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Sun Jul 15 17:37:33 2018 +0000

    Update Ukrainian translation

 po/uk.po | 917
 +++++++++++++++++++++++++++------------------------------------
 1 file changed, 387 insertions(+), 530 deletions(-)

commit 494234cd3e4e1ac88b9062bb5f9d94e11083e5e0
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Jul 15 15:30:12 2018 +0200

    png-load: do not reinterpret gamma when using ICC profile

 operations/external/png-load.c | 3 +++
 1 file changed, 3 insertions(+)

commit 21b0300b2f57365537d9f17624468b4c58d7cea8
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Fri Jul 13 12:02:02 2018 +0000

    Update Spanish translation

 po/es.po | 9180
 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 4799 insertions(+), 4381 deletions(-)

commit 8b1705a083f586feabc1d2070d1b6f3e669836b3
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 13 12:21:37 2018 +0200

    png-save: only look for "linear" variant of 1.0 trc

 operations/external/png-save.c | 33 ++++++++++++++++++++++++++++++++-
 1 file changed, 32 insertions(+), 1 deletion(-)

commit f6212f1fd3485ea410e953700229e75e261c7d4f
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 12 17:06:08 2018 +0200

    tiff-save: simplify code with babl_model_is

 operations/external/tiff-save.c | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit d9c7aeb7296329a8200b5d6497e52b6541cddeeb
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 12 00:26:34 2018 +0200

    rgb-clip: use babl_model_is

 operations/common/rgb-clip.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 758b21f68438c53496078fb5cf177166f32e603a
Author: Michael Natterer <mitch@gimp.org>
Date:   Thu Jul 12 00:04:13 2018 +0200

    Change the license URL from http://www.gnu.org/licenses/ to https://

 COPYING                                                 | 4 ++--
 bin/gegl-options.c                                      | 2 +-
 bin/gegl-options.h                                      | 2 +-
 bin/gegl-path-smooth.c                                  | 2 +-
 bin/gegl-path-spiro.c                                   | 2 +-
 bin/gegl.c                                              | 2 +-
 bin/mrg-gegl.c                                          | 2 +-
 bin/ui.c                                                | 2 +-
 docs/operations.html                                    | 2 +-
 gegl/buffer/gegl-buffer-access.c                        | 2 +-
 gegl/buffer/gegl-buffer-backend.h                       | 2 +-
 gegl/buffer/gegl-buffer-cl-cache.c                      | 2 +-
 gegl/buffer/gegl-buffer-cl-cache.h                      | 2 +-
 gegl/buffer/gegl-buffer-cl-iterator.c                   | 2 +-
 gegl/buffer/gegl-buffer-cl-iterator.h                   | 2 +-
 gegl/buffer/gegl-buffer-iterator-private.h              | 2 +-
 gegl/buffer/gegl-buffer-iterator.c                      | 2 +-
 gegl/buffer/gegl-buffer-iterator.h                      | 2 +-
 gegl/buffer/gegl-buffer-load.c                          | 2 +-
 gegl/buffer/gegl-buffer-private.h                       | 2 +-
 gegl/buffer/gegl-buffer-save.c                          | 2 +-
 gegl/buffer/gegl-buffer-types.h                         | 2 +-
 gegl/buffer/gegl-buffer.c                               | 2 +-
 gegl/buffer/gegl-buffer.h                               | 2 +-
 gegl/buffer/gegl-cache.c                                | 2 +-
 gegl/buffer/gegl-cache.h                                | 2 +-
 gegl/buffer/gegl-region.h                               | 2 +-
 gegl/buffer/gegl-sampler-cubic.c                        | 2 +-
 gegl/buffer/gegl-sampler-cubic.h                        | 2 +-
 gegl/buffer/gegl-sampler-linear.c                       | 2 +-
 gegl/buffer/gegl-sampler-linear.h                       | 2 +-
 gegl/buffer/gegl-sampler-lohalo.c                       | 2 +-
 gegl/buffer/gegl-sampler-lohalo.h                       | 2 +-
 gegl/buffer/gegl-sampler-nearest.c                      | 2 +-
 gegl/buffer/gegl-sampler-nearest.h                      | 2 +-
 gegl/buffer/gegl-sampler-nohalo.c                       | 2 +-
 gegl/buffer/gegl-sampler-nohalo.h                       | 2 +-
 gegl/buffer/gegl-sampler.c                              | 2 +-
 gegl/buffer/gegl-sampler.h                              | 2 +-
 gegl/buffer/gegl-tile-backend-buffer.c                  | 2 +-
 gegl/buffer/gegl-tile-backend-buffer.h                  | 2 +-
 gegl/buffer/gegl-tile-backend-file-async.c              | 2 +-
 gegl/buffer/gegl-tile-backend-file.h                    | 2 +-
 gegl/buffer/gegl-tile-backend-ram.c                     | 2 +-
 gegl/buffer/gegl-tile-backend-ram.h                     | 2 +-
 gegl/buffer/gegl-tile-backend-swap.c                    | 2 +-
 gegl/buffer/gegl-tile-backend-swap.h                    | 2 +-
 gegl/buffer/gegl-tile-backend.c                         | 2 +-
 gegl/buffer/gegl-tile-backend.h                         | 2 +-
 gegl/buffer/gegl-tile-handler-cache.c                   | 2 +-
 gegl/buffer/gegl-tile-handler-cache.h                   | 2 +-
 gegl/buffer/gegl-tile-handler-chain.c                   | 2 +-
 gegl/buffer/gegl-tile-handler-chain.h                   | 2 +-
 gegl/buffer/gegl-tile-handler-empty.c                   | 2 +-
 gegl/buffer/gegl-tile-handler-empty.h                   | 2 +-
 gegl/buffer/gegl-tile-handler-log.c                     | 2 +-
 gegl/buffer/gegl-tile-handler-log.h                     | 2 +-
 gegl/buffer/gegl-tile-handler-private.h                 | 2 +-
 gegl/buffer/gegl-tile-handler-zoom.c                    | 2 +-
 gegl/buffer/gegl-tile-handler-zoom.h                    | 2 +-
 gegl/buffer/gegl-tile-handler.c                         | 2 +-
 gegl/buffer/gegl-tile-handler.h                         | 2 +-
 gegl/buffer/gegl-tile-source.c                          | 2 +-
 gegl/buffer/gegl-tile-source.h                          | 2 +-
 gegl/buffer/gegl-tile-storage.c                         | 2 +-
 gegl/buffer/gegl-tile-storage.h                         | 2 +-
 gegl/buffer/gegl-tile.c                                 | 2 +-
 gegl/buffer/gegl-tile.h                                 | 2 +-
 gegl/gegl-algorithms.c                                  | 2 +-
 gegl/gegl-algorithms.h                                  | 2 +-
 gegl/gegl-apply.c                                       | 2 +-
 gegl/gegl-apply.h                                       | 2 +-
 gegl/gegl-config.c                                      | 2 +-
 gegl/gegl-config.h                                      | 2 +-
 gegl/gegl-dot-visitor.c                                 | 2 +-
 gegl/gegl-dot-visitor.h                                 | 2 +-
 gegl/gegl-dot.h                                         | 2 +-
 gegl/gegl-enums.c                                       | 2 +-
 gegl/gegl-enums.h                                       | 2 +-
 gegl/gegl-gio-private.h                                 | 2 +-
 gegl/gegl-gio.c                                         | 2 +-
 gegl/gegl-init-private.h                                | 2 +-
 gegl/gegl-init.c                                        | 2 +-
 gegl/gegl-init.h                                        | 2 +-
 gegl/gegl-instrument.c                                  | 2 +-
 gegl/gegl-instrument.h                                  | 2 +-
 gegl/gegl-introspection-support.c                       | 2 +-
 gegl/gegl-introspection-support.h                       | 2 +-
 gegl/gegl-lookup.c                                      | 2 +-
 gegl/gegl-lookup.h                                      | 2 +-
 gegl/gegl-matrix.c                                      | 2 +-
 gegl/gegl-matrix.h                                      | 2 +-
 gegl/gegl-module.h                                      | 2 +-
 gegl/gegl-op.h                                          | 2 +-
 gegl/gegl-operations-util.h                             | 2 +-
 gegl/gegl-plugin.h                                      | 2 +-
 gegl/gegl-random-private.h                              | 2 +-
 gegl/gegl-random.c                                      | 2 +-
 gegl/gegl-random.h                                      | 2 +-
 gegl/gegl-serialize.c                                   | 2 +-
 gegl/gegl-stats.c                                       | 2 +-
 gegl/gegl-stats.h                                       | 2 +-
 gegl/gegl-types-internal.h                              | 2 +-
 gegl/gegl-types.h                                       | 2 +-
 gegl/gegl-utils.c                                       | 2 +-
 gegl/gegl-utils.h                                       | 2 +-
 gegl/gegl-version.h.in                                  | 2 +-
 gegl/gegl-xml.c                                         | 2 +-
 gegl/gegl-xml.h                                         | 2 +-
 gegl/gegl.h                                             | 2 +-
 gegl/graph/gegl-callback-visitor.c                      | 2 +-
 gegl/graph/gegl-callback-visitor.h                      | 2 +-
 gegl/graph/gegl-connection.c                            | 2 +-
 gegl/graph/gegl-connection.h                            | 2 +-
 gegl/graph/gegl-node-output-visitable.c                 | 2 +-
 gegl/graph/gegl-node-output-visitable.h                 | 2 +-
 gegl/graph/gegl-node-private.h                          | 2 +-
 gegl/graph/gegl-node.c                                  | 2 +-
 gegl/graph/gegl-node.h                                  | 2 +-
 gegl/graph/gegl-pad.c                                   | 2 +-
 gegl/graph/gegl-pad.h                                   | 2 +-
 gegl/graph/gegl-visitable.c                             | 2 +-
 gegl/graph/gegl-visitable.h                             | 2 +-
 gegl/graph/gegl-visitor.c                               | 2 +-
 gegl/graph/gegl-visitor.h                               | 2 +-
 gegl/module/gegldatafiles.c                             | 2 +-
 gegl/module/gegldatafiles.h                             | 2 +-
 gegl/module/geglmodule.c                                | 2 +-
 gegl/module/geglmodule.h                                | 2 +-
 gegl/module/geglmoduledb.c                              | 2 +-
 gegl/module/geglmoduledb.h                              | 2 +-
 gegl/opencl/gegl-cl-color.c                             | 2 +-
 gegl/opencl/gegl-cl-color.h                             | 2 +-
 gegl/opencl/gegl-cl-init.c                              | 2 +-
 gegl/opencl/gegl-cl-init.h                              | 2 +-
 gegl/opencl/gegl-cl-random.c                            | 2 +-
 gegl/opencl/gegl-cl-random.h                            | 2 +-
 gegl/opencl/gegl-cl-types.h                             | 2 +-
 gegl/opencl/gegl-cl.h                                   | 2 +-
 gegl/operation/gegl-extension-handler.c                 | 2 +-
 gegl/operation/gegl-extension-handler.h                 | 2 +-
 gegl/operation/gegl-operation-area-filter.c             | 2 +-
 gegl/operation/gegl-operation-area-filter.h             | 2 +-
 gegl/operation/gegl-operation-composer.c                | 2 +-
 gegl/operation/gegl-operation-composer.h                | 2 +-
 gegl/operation/gegl-operation-composer3.c               | 2 +-
 gegl/operation/gegl-operation-composer3.h               | 2 +-
 gegl/operation/gegl-operation-context-private.h         | 2 +-
 gegl/operation/gegl-operation-context.c                 | 2 +-
 gegl/operation/gegl-operation-context.h                 | 2 +-
 gegl/operation/gegl-operation-filter.c                  | 2 +-
 gegl/operation/gegl-operation-filter.h                  | 2 +-
 gegl/operation/gegl-operation-handlers-private.h        | 2 +-
 gegl/operation/gegl-operation-handlers.c                | 2 +-
 gegl/operation/gegl-operation-handlers.h                | 2 +-
 gegl/operation/gegl-operation-meta-json.c               | 2 +-
 gegl/operation/gegl-operation-meta-json.h               | 2 +-
 gegl/operation/gegl-operation-meta.c                    | 2 +-
 gegl/operation/gegl-operation-meta.h                    | 2 +-
 gegl/operation/gegl-operation-point-composer.c          | 2 +-
 gegl/operation/gegl-operation-point-composer.h          | 2 +-
 gegl/operation/gegl-operation-point-composer3.c         | 2 +-
 gegl/operation/gegl-operation-point-composer3.h         | 2 +-
 gegl/operation/gegl-operation-point-filter.c            | 2 +-
 gegl/operation/gegl-operation-point-filter.h            | 2 +-
 gegl/operation/gegl-operation-point-render.c            | 2 +-
 gegl/operation/gegl-operation-point-render.h            | 2 +-
 gegl/operation/gegl-operation-property-keys.c           | 2 +-
 gegl/operation/gegl-operation-property-keys.h           | 2 +-
 gegl/operation/gegl-operation-sink.c                    | 2 +-
 gegl/operation/gegl-operation-sink.h                    | 2 +-
 gegl/operation/gegl-operation-source.c                  | 2 +-
 gegl/operation/gegl-operation-source.h                  | 2 +-
 gegl/operation/gegl-operation-temporal.c                | 2 +-
 gegl/operation/gegl-operation-temporal.h                | 2 +-
 gegl/operation/gegl-operation.c                         | 2 +-
 gegl/operation/gegl-operation.h                         | 2 +-
 gegl/operation/gegl-operations.c                        | 2 +-
 gegl/operation/gegl-operations.h                        | 2 +-
 gegl/process/gegl-eval-manager.c                        | 2 +-
 gegl/process/gegl-eval-manager.h                        | 2 +-
 gegl/process/gegl-graph-debug.h                         | 2 +-
 gegl/process/gegl-graph-traversal-debug.c               | 2 +-
 gegl/process/gegl-graph-traversal-private.h             | 2 +-
 gegl/process/gegl-graph-traversal.c                     | 2 +-
 gegl/process/gegl-graph-traversal.h                     | 2 +-
 gegl/process/gegl-processor-private.h                   | 2 +-
 gegl/process/gegl-processor.c                           | 2 +-
 gegl/process/gegl-processor.h                           | 2 +-
 gegl/property-types/gegl-audio-fragment.c               | 2 +-
 gegl/property-types/gegl-audio-fragment.h               | 2 +-
 gegl/property-types/gegl-color.c                        | 2 +-
 gegl/property-types/gegl-color.h                        | 2 +-
 gegl/property-types/gegl-curve.c                        | 2 +-
 gegl/property-types/gegl-curve.h                        | 2 +-
 gegl/property-types/gegl-paramspecs.c                   | 2 +-
 gegl/property-types/gegl-paramspecs.h                   | 2 +-
 gegl/property-types/gegl-path.c                         | 2 +-
 gegl/property-types/gegl-path.h                         | 2 +-
 libs/npd/deformation.c                                  | 2 +-
 libs/npd/deformation.h                                  | 2 +-
 libs/npd/graphics.c                                     | 2 +-
 libs/npd/graphics.h                                     | 2 +-
 libs/npd/lattice_cut.c                                  | 2 +-
 libs/npd/lattice_cut.h                                  | 2 +-
 libs/npd/npd.h                                          | 2 +-
 libs/npd/npd_common.c                                   | 2 +-
 libs/npd/npd_common.h                                   | 2 +-
 libs/npd/npd_debug.c                                    | 2 +-
 libs/npd/npd_debug.h                                    | 2 +-
 libs/npd/npd_gegl.c                                     | 2 +-
 libs/npd/npd_gegl.h                                     | 2 +-
 libs/npd/npd_math.c                                     | 2 +-
 libs/npd/npd_math.h                                     | 2 +-
 libs/rgbe/rgbe.c                                        | 2 +-
 libs/rgbe/rgbe.h                                        | 2 +-
 opencl/alien-map.cl                                     | 2 +-
 opencl/alien-map.cl.h                                   | 2 +-
 opencl/bilateral-filter-fast.cl                         | 2 +-
 opencl/bilateral-filter-fast.cl.h                       | 2 +-
 opencl/color-exchange.cl                                | 2 +-
 opencl/color-exchange.cl.h                              | 2 +-
 opencl/colors-8bit-lut.cl                               | 2 +-
 opencl/colors-8bit-lut.cl.h                             | 2 +-
 opencl/colors.cl                                        | 2 +-
 opencl/colors.cl.h                                      | 2 +-
 opencl/contrast-curve.cl                                | 2 +-
 opencl/contrast-curve.cl.h                              | 2 +-
 opencl/gblur-1d.cl                                      | 2 +-
 opencl/gblur-1d.cl.h                                    | 2 +-
 opencl/noise-hsv.cl                                     | 2 +-
 opencl/noise-hsv.cl.h                                   | 2 +-
 opencl/noise-hurl.cl                                    | 2 +-
 opencl/noise-hurl.cl.h                                  | 2 +-
 opencl/pixelize.cl                                      | 2 +-
 opencl/pixelize.cl.h                                    | 2 +-
 opencl/posterize.cl                                     | 2 +-
 opencl/posterize.cl.h                                   | 2 +-
 opencl/random.cl                                        | 2 +-
 opencl/random.cl.h                                      | 2 +-
 opencl/red-eye-removal.cl                               | 2 +-
 opencl/red-eye-removal.cl.h                             | 2 +-
 opencl/stretch-contrast.cl                              | 2 +-
 opencl/stretch-contrast.cl.h                            | 2 +-
 operations/common-gpl3+/antialias.c                     | 2 +-
 operations/common-gpl3+/apply-lens.c                    | 2 +-
 operations/common-gpl3+/bump-map.c                      | 2 +-
 operations/common-gpl3+/cartoon.c                       | 4 ++--
 operations/common-gpl3+/channel-mixer.c                 | 2 +-
 operations/common-gpl3+/color-exchange.c                | 2 +-
 operations/common-gpl3+/color-to-alpha.c                | 2 +-
 operations/common-gpl3+/cubism.c                        | 2 +-
 operations/common-gpl3+/deinterlace.c                   | 2 +-
 operations/common-gpl3+/diffraction-patterns.c          | 2 +-
 operations/common-gpl3+/displace.c                      | 2 +-
 operations/common-gpl3+/edge-laplace.c                  | 2 +-
 operations/common-gpl3+/edge.c                          | 2 +-
 operations/common-gpl3+/emboss.c                        | 2 +-
 operations/common-gpl3+/engrave.c                       | 2 +-
 operations/common-gpl3+/fractal-explorer.c              | 4 ++--
 operations/common-gpl3+/fractal-trace.c                 | 2 +-
 operations/common-gpl3+/gaussian-blur-selective.c       | 2 +-
 operations/common-gpl3+/illusion.c                      | 2 +-
 operations/common-gpl3+/lens-distortion.c               | 2 +-
 operations/common-gpl3+/lens-flare.c                    | 2 +-
 operations/common-gpl3+/maze.c                          | 2 +-
 operations/common-gpl3+/mosaic.c                        | 2 +-
 operations/common-gpl3+/motion-blur-circular.c          | 2 +-
 operations/common-gpl3+/motion-blur-zoom.c              | 2 +-
 operations/common-gpl3+/noise-slur.c                    | 2 +-
 operations/common-gpl3+/noise-solid.c                   | 2 +-
 operations/common-gpl3+/oilify.c                        | 2 +-
 operations/common-gpl3+/photocopy.c                     | 2 +-
 operations/common-gpl3+/plasma.c                        | 2 +-
 operations/common-gpl3+/polar-coordinates.c             | 2 +-
 operations/common-gpl3+/red-eye-removal.c               | 2 +-
 operations/common-gpl3+/ripple.c                        | 2 +-
 operations/common-gpl3+/shadows-highlights-correction.c | 2 +-
 operations/common-gpl3+/shadows-highlights.c            | 2 +-
 operations/common-gpl3+/shift.c                         | 2 +-
 operations/common-gpl3+/sinus.c                         | 2 +-
 operations/common-gpl3+/softglow.c                      | 2 +-
 operations/common-gpl3+/spiral.c                        | 2 +-
 operations/common-gpl3+/supernova.c                     | 2 +-
 operations/common-gpl3+/texturize-canvas.c              | 2 +-
 operations/common-gpl3+/tile-glass.c                    | 2 +-
 operations/common-gpl3+/tile-paper.c                    | 2 +-
 operations/common-gpl3+/value-propagate.c               | 2 +-
 operations/common-gpl3+/video-degradation.c             | 2 +-
 operations/common-gpl3+/waves.c                         | 2 +-
 operations/common-gpl3+/whirl-pinch.c                   | 2 +-
 operations/common-gpl3+/wind.c                          | 2 +-
 operations/common/absolute.c                            | 2 +-
 operations/common/alien-map.c                           | 2 +-
 operations/common/bilateral-filter.c                    | 2 +-
 operations/common/box-blur.c                            | 2 +-
 operations/common/brightness-contrast.c                 | 2 +-
 operations/common/buffer-sink.c                         | 2 +-
 operations/common/buffer-source.c                       | 2 +-
 operations/common/c2g.c                                 | 2 +-
 operations/common/checkerboard.c                        | 2 +-
 operations/common/color-enhance.c                       | 2 +-
 operations/common/color-overlay.c                       | 2 +-
 operations/common/color-rotate.c                        | 2 +-
 operations/common/color-temperature.c                   | 2 +-
 operations/common/color-warp.c                          | 4 ++--
 operations/common/color.c                               | 2 +-
 operations/common/component-extract.c                   | 2 +-
 operations/common/contrast-curve.c                      | 2 +-
 operations/common/convolution-matrix.c                  | 2 +-
 operations/common/copy-buffer.c                         | 2 +-
 operations/common/difference-of-gaussians.c             | 2 +-
 operations/common/display.c                             | 2 +-
 operations/common/distance-transform.c                  | 2 +-
 operations/common/dither.c                              | 2 +-
 operations/common/dropshadow.c                          | 2 +-
 operations/common/edge-neon.c                           | 2 +-
 operations/common/edge-sobel.c                          | 2 +-
 operations/common/envelopes.h                           | 2 +-
 operations/common/exp-combine.c                         | 2 +-
 operations/common/exposure.c                            | 2 +-
 operations/common/fattal02.c                            | 2 +-
 operations/common/gaussian-blur.c                       | 2 +-
 operations/common/gblur-1d.c                            | 2 +-
 operations/common/gegl-buffer-load-op.c                 | 2 +-
 operations/common/gegl-buffer-save-op.c                 | 2 +-
 operations/common/gegl.c                                | 2 +-
 operations/common/grey.c                                | 2 +-
 operations/common/grid.c                                | 2 +-
 operations/common/high-pass.c                           | 2 +-
 operations/common/hue-chroma.c                          | 2 +-
 operations/common/icc-save.c                            | 2 +-
 operations/common/image-compare.c                       | 2 +-
 operations/common/image-gradient.c                      | 2 +-
 operations/common/introspect.c                          | 2 +-
 operations/common/invert-gamma.c                        | 2 +-
 operations/common/invert-linear.c                       | 2 +-
 operations/common/layer.c                               | 2 +-
 operations/common/levels.c                              | 2 +-
 operations/common/linear-gradient.c                     | 2 +-
 operations/common/little-planet.c                       | 2 +-
 operations/common/magick-load.c                         | 2 +-
 operations/common/mantiuk06.c                           | 2 +-
 operations/common/map-absolute.c                        | 2 +-
 operations/common/map-relative.c                        | 2 +-
 operations/common/matting-global.c                      | 2 +-
 operations/common/mblur.c                               | 2 +-
 operations/common/mean-curvature-blur.c                 | 2 +-
 operations/common/median-blur.c                         | 2 +-
 operations/common/mirrors.c                             | 2 +-
 operations/common/mix.c                                 | 2 +-
 operations/common/mono-mixer.c                          | 2 +-
 operations/common/motion-blur-linear.c                  | 2 +-
 operations/common/newsprint.c                           | 2 +-
 operations/common/noise-cell.c                          | 2 +-
 operations/common/noise-cie-lch.c                       | 2 +-
 operations/common/noise-hsv.c                           | 2 +-
 operations/common/noise-hurl.c                          | 2 +-
 operations/common/noise-perlin.c                        | 2 +-
 operations/common/noise-pick.c                          | 2 +-
 operations/common/noise-reduction.c                     | 2 +-
 operations/common/noise-rgb.c                           | 2 +-
 operations/common/noise-simplex.c                       | 2 +-
 operations/common/noise-spread.c                        | 2 +-
 operations/common/opacity.c                             | 2 +-
 operations/common/open-buffer.c                         | 2 +-
 operations/common/over.c                                | 2 +-
 operations/common/panorama-projection.c                 | 2 +-
 operations/common/pixelize.c                            | 2 +-
 operations/common/posterize.c                           | 2 +-
 operations/common/radial-gradient.c                     | 2 +-
 operations/common/rectangle.c                           | 2 +-
 operations/common/recursive-transform.c                 | 2 +-
 operations/common/reinhard05.c                          | 2 +-
 operations/common/remap.c                               | 2 +-
 operations/common/rgb-clip.c                            | 2 +-
 operations/common/saturation.c                          | 2 +-
 operations/common/save.c                                | 2 +-
 operations/common/sepia.c                               | 2 +-
 operations/common/slic.c                                | 2 +-
 operations/common/snn-mean.c                            | 2 +-
 operations/common/spherize.c                            | 2 +-
 operations/common/stress.c                              | 2 +-
 operations/common/stretch-contrast-hsv.c                | 2 +-
 operations/common/stretch-contrast.c                    | 2 +-
 operations/common/svg-huerotate.c                       | 2 +-
 operations/common/svg-luminancetoalpha.c                | 2 +-
 operations/common/svg-matrix.c                          | 2 +-
 operations/common/svg-saturate.c                        | 2 +-
 operations/common/threshold.c                           | 2 +-
 operations/common/tile-seamless.c                       | 2 +-
 operations/common/tile.c                                | 2 +-
 operations/common/unpremultiply.c                       | 2 +-
 operations/common/unsharp-mask.c                        | 2 +-
 operations/common/value-invert.c                        | 2 +-
 operations/common/vignette.c                            | 2 +-
 operations/common/warp.c                                | 2 +-
 operations/common/waterpixels.c                         | 2 +-
 operations/common/watershed-transform.c                 | 2 +-
 operations/common/wavelet-blur-1d.c                     | 2 +-
 operations/common/wavelet-blur.c                        | 2 +-
 operations/common/weighted-blend.c                      | 2 +-
 operations/common/write-buffer.c                        | 2 +-
 operations/core/cache.c                                 | 2 +-
 operations/core/cast-format.c                           | 2 +-
 operations/core/clone.c                                 | 2 +-
 operations/core/convert-format.c                        | 2 +-
 operations/core/crop.c                                  | 2 +-
 operations/core/json.c                                  | 2 +-
 operations/core/load.c                                  | 2 +-
 operations/core/nop.c                                   | 2 +-
 operations/external/exr-load.cpp                        | 2 +-
 operations/external/exr-save.cc                         | 2 +-
 operations/external/ff-load.c                           | 2 +-
 operations/external/ff-save.c                           | 2 +-
 operations/external/jp2-load.c                          | 2 +-
 operations/external/jpg-load.c                          | 2 +-
 operations/external/jpg-save.c                          | 2 +-
 operations/external/lcms-from-profile.c                 | 2 +-
 operations/external/matting-levin-cblas.c               | 2 +-
 operations/external/matting-levin-cblas.h               | 2 +-
 operations/external/matting-levin.c                     | 2 +-
 operations/external/npd.c                               | 2 +-
 operations/external/npy-save.c                          | 2 +-
 operations/external/path.c                              | 2 +-
 operations/external/pixbuf.c                            | 2 +-
 operations/external/png-load.c                          | 2 +-
 operations/external/png-save.c                          | 2 +-
 operations/external/ppm-load.c                          | 2 +-
 operations/external/ppm-save.c                          | 2 +-
 operations/external/raw-load.c                          | 2 +-
 operations/external/rgbe-load.c                         | 2 +-
 operations/external/rgbe-save.c                         | 2 +-
 operations/external/save-pixbuf.c                       | 2 +-
 operations/external/sdl-display.c                       | 2 +-
 operations/external/svg-load.c                          | 2 +-
 operations/external/text.c                              | 2 +-
 operations/external/tiff-load.c                         | 2 +-
 operations/external/tiff-save.c                         | 2 +-
 operations/external/v4l.c                               | 2 +-
 operations/external/vector-fill.c                       | 2 +-
 operations/external/vector-stroke.c                     | 2 +-
 operations/external/webp-load.c                         | 2 +-
 operations/external/webp-save.c                         | 2 +-
 operations/generated/add.c                              | 2 +-
 operations/generated/clear.c                            | 2 +-
 operations/generated/color-burn.c                       | 2 +-
 operations/generated/color-dodge.c                      | 2 +-
 operations/generated/darken.c                           | 2 +-
 operations/generated/difference.c                       | 2 +-
 operations/generated/divide.c                           | 2 +-
 operations/generated/dst-atop.c                         | 2 +-
 operations/generated/dst-in.c                           | 2 +-
 operations/generated/dst-out.c                          | 2 +-
 operations/generated/dst-over.c                         | 2 +-
 operations/generated/dst.c                              | 2 +-
 operations/generated/exclusion.c                        | 2 +-
 operations/generated/gamma.c                            | 2 +-
 operations/generated/hard-light.c                       | 2 +-
 operations/generated/lighten.c                          | 2 +-
 operations/generated/math.rb                            | 2 +-
 operations/generated/multiply.c                         | 2 +-
 operations/generated/overlay.c                          | 2 +-
 operations/generated/plus.c                             | 2 +-
 operations/generated/screen.c                           | 2 +-
 operations/generated/soft-light.c                       | 2 +-
 operations/generated/src-atop.c                         | 2 +-
 operations/generated/src-in.c                           | 2 +-
 operations/generated/src-out.c                          | 2 +-
 operations/generated/src.c                              | 2 +-
 operations/generated/subtract.c                         | 2 +-
 operations/generated/svg-12-blend.rb                    | 2 +-
 operations/generated/svg-12-porter-duff.rb              | 2 +-
 operations/generated/xor.c                              | 2 +-
 operations/seamless-clone/seamless-clone-compose.c      | 2 +-
 operations/seamless-clone/seamless-clone.c              | 2 +-
 operations/seamless-clone/seamless-clone.h              | 2 +-
 operations/transform/module.c                           | 2 +-
 operations/transform/reflect.c                          | 2 +-
 operations/transform/rotate-on-center.c                 | 2 +-
 operations/transform/rotate.c                           | 2 +-
 operations/transform/scale-ratio.c                      | 2 +-
 operations/transform/scale-size-keepaspect.c            | 2 +-
 operations/transform/scale-size.c                       | 2 +-
 operations/transform/scale.c                            | 2 +-
 operations/transform/shear.c                            | 2 +-
 operations/transform/transform-core.c                   | 2 +-
 operations/transform/transform.c                        | 2 +-
 operations/transform/translate.c                        | 2 +-
 operations/workshop/bayer-matrix.c                      | 2 +-
 operations/workshop/bilateral-filter-fast.c             | 2 +-
 operations/workshop/cast-space.c                        | 2 +-
 operations/workshop/demosaic-bimedian.c                 | 2 +-
 operations/workshop/demosaic-simple.c                   | 2 +-
 operations/workshop/ditto.c                             | 2 +-
 operations/workshop/domain-transform.c                  | 2 +-
 operations/workshop/enlarge.c                           | 2 +-
 operations/workshop/external/gluas.c                    | 2 +-
 operations/workshop/external/lens-correct.c             | 2 +-
 operations/workshop/external/line-profile.c             | 2 +-
 operations/workshop/external/v4l2.c                     | 2 +-
 operations/workshop/generated/average.c                 | 2 +-
 operations/workshop/generated/blend-reflect.c           | 2 +-
 operations/workshop/generated/blend.rb                  | 2 +-
 operations/workshop/generated/negation.c                | 2 +-
 operations/workshop/generated/soft-burn.c               | 2 +-
 operations/workshop/generated/soft-dodge.c              | 2 +-
 operations/workshop/generated/subtractive.c             | 2 +-
 operations/workshop/gradient-map.c                      | 2 +-
 operations/workshop/hstack.c                            | 2 +-
 operations/workshop/inpaint.c                           | 2 +-
 operations/workshop/integral-image.c                    | 2 +-
 operations/workshop/linear-sinusoid.c                   | 2 +-
 operations/workshop/rawbayer-load.c                     | 2 +-
 operations/workshop/segment-kmeans.c                    | 2 +-
 operations/workshop/selective-hue-saturation.c          | 2 +-
 operations/workshop/set-space.c                         | 2 +-
 seamless-clone/sc-common.h                              | 2 +-
 seamless-clone/sc-context-private.h                     | 2 +-
 seamless-clone/sc-context.c                             | 2 +-
 seamless-clone/sc-context.h                             | 2 +-
 seamless-clone/sc-outline.c                             | 2 +-
 seamless-clone/sc-outline.h                             | 2 +-
 seamless-clone/sc-sample.c                              | 2 +-
 seamless-clone/sc-sample.h                              | 2 +-
 tests/python/test-gegl-buffer.py                        | 2 +-
 tests/python/test-gegl-color.py                         | 2 +-
 tests/python/test-gegl-format.py                        | 2 +-
 tests/python/test-gegl.py                               | 2 +-
 tests/simple/test-backend-file.c                        | 2 +-
 tests/simple/test-buffer-cast.c                         | 2 +-
 tests/simple/test-buffer-changes.c                      | 2 +-
 tests/simple/test-buffer-extract.c                      | 2 +-
 tests/simple/test-buffer-hot-tile.c                     | 2 +-
 tests/simple/test-buffer-sharing.c                      | 2 +-
 tests/simple/test-buffer-tile-voiding.c                 | 2 +-
 tests/simple/test-buffer-unaligned-access.c             | 2 +-
 tests/simple/test-change-processor-rect.c               | 2 +-
 tests/simple/test-color-op.c                            | 2 +-
 tests/simple/test-convert-format.c                      | 2 +-
 tests/simple/test-format-sensing.c                      | 2 +-
 tests/simple/test-gegl-color.c                          | 2 +-
 tests/simple/test-gegl-rectangle.c                      | 2 +-
 tests/simple/test-gegl-tile.c                           | 2 +-
 tests/simple/test-image-compare.c                       | 2 +-
 tests/simple/test-license-check.c                       | 2 +-
 tests/simple/test-misc.c                                | 2 +-
 tests/simple/test-node-connections.c                    | 2 +-
 tests/simple/test-node-exponential.c                    | 2 +-
 tests/simple/test-node-passthrough.c                    | 2 +-
 tests/simple/test-node-properties.c                     | 2 +-
 tests/simple/test-object-forked.c                       | 2 +-
 tests/simple/test-opencl-colors.c                       | 2 +-
 tests/simple/test-proxynop-processing.c                 | 2 +-
 tests/simple/test-scaled-blit.c                         | 2 +-
 tests/simple/test-serialize.c                           | 2 +-
 tests/simple/test-svg-abyss.c                           | 2 +-
 tests/xml/common.c                                      | 2 +-
 tests/xml/test-load.c                                   | 2 +-
 tests/xml/test-roundtrip.c                              | 2 +-
 tests/xml/test-save.c                                   | 2 +-
 tools/detect_opencl.c                                   | 2 +-
 tools/gegl-tester.c                                     | 2 +-
 tools/gobj2dot.rb                                       | 2 +-
 564 files changed, 568 insertions(+), 568 deletions(-)

commit 89a9fe331918491d909e4007d7c6f5b7e26cdb56
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Jul 11 23:45:38 2018 +0200

    saturation: use babl_model_with_space

 operations/common/saturation.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 93ee127d7303839563cf22d9d44ca0f11a93f54e
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Jul 11 23:45:10 2018 +0200

    opacity: use babl_model_is

 operations/common/opacity.c | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit f801a01fa89568c087b66478f4abe4ca93def589
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Jul 11 23:44:48 2018 +0200

    noise-hurl: use babl_model_is

 operations/common/noise-hurl.c | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit 27ba2d7d9dba926e1970a9f9c0437c75f6d0bdf4
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Jul 11 23:41:20 2018 +0200

    median-blur: use babl_model_is

 operations/common/median-blur.c | 28 ++++++++++++++--------------
 1 file changed, 14 insertions(+), 14 deletions(-)

commit 543ee2e87fdbe512a5b390ef2d1f83ab8e0aae6c
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Jul 11 23:40:19 2018 +0200

    gblur-1d: use babl_model_is

 operations/common/gblur-1d.c | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit 6c53fa444f5d8bd379b6d2f036763d8c4ceb916d
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Jul 11 23:39:02 2018 +0200

    exposure: do model comparisons including space

 operations/common/exposure.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a23c6b08252d31cd89895f4b1d7f6b80ef556acc
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Jul 11 23:38:36 2018 +0200

    box-blur: stop mixing code and declarations

 operations/common/box-blur.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit ce8335bd066eccb12f4d7c7891d7a6bca87e7995
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Jul 11 23:06:38 2018 +0200

    png-save: fix const warning

 operations/external/png-save.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7b2a4848926d8aa008ed657b98bfae3c9861a509
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Jul 11 23:06:09 2018 +0200

    exr-load: use BABL_SPACE_FLAG_EQUALIZE

 operations/external/exr-load.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c693685df03439d4e1fc50ccfb2dd41160b4afe5
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Wed Jul 11 21:56:50 2018 +0200

    Added Slovenian translation

 po/sl.po | 8884
 ++++++++++++++++++--------------------------------------------
 1 file changed, 2595 insertions(+), 6289 deletions(-)

commit dac76e31e074f900a0670226dd0b8e707bc34fd6
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Jul 11 21:42:48 2018 +0200

    gegl: do not case g_param_spec_unref to GDestroyNotify

 gegl/graph/gegl-pad.c | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 9cd8195c177961ffef9980e2771a81a3cdc9f6a8
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Jul 11 20:49:45 2018 +0200

    jpg,png,tif-save: finish porting to babl_space_get_icc

 operations/external/jpg-save.c  | 4 ++--
 operations/external/tiff-save.c | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit c990e0753be2a2caad4a1d7de124bc0ed66af5b1
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Jul 11 20:41:54 2018 +0200

    png,jpg,tif-save: use babl_space_get_icc

 operations/external/jpg-save.c  | 8 +++-----
 operations/external/png-save.c  | 3 +--
 operations/external/tiff-save.c | 8 +++-----
 3 files changed, 7 insertions(+), 12 deletions(-)

commit f0427eddf08954bbebc2cab7a5c357d95d3eb346
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Jul 11 17:10:01 2018 +0200

    icc-save: new operation

 operations/common/Makefile.am |  1 +
 operations/common/icc-save.c  | 81
 +++++++++++++++++++++++++++++++++++++++++++
 po/POTFILES.in                |  1 +
 3 files changed, 83 insertions(+)

commit 947ddd827d57e93660d2e5f0d4c65ce8b655f7a9
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Jul 11 16:24:01 2018 +0200

    Update POTFILES.in

 po/POTFILES.in | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 1ef3bb033ae437fec909c9e773e26e1b87970f87
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Jul 11 16:19:50 2018 +0200

    tests: update tiff-load reference

    All the 4 images load visually same after the space invasion,
    this seems
    like an improvement.

 .../reference/stretch-contrast-hsv.png             | Bin 406837 ->
 410032 bytes
 tests/compositions/reference/tiff-load.png         | Bin 190180 ->
 196534 bytes
 2 files changed, 0 insertions(+), 0 deletions(-)

commit ebebccc4fe6713f59b8060448e88334913c6c89c
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Jul 11 15:56:21 2018 +0200

    tests: update tests using boats.png image

    The PNG file doesn't contain an sRGB chunk and it does dontain a
    gAMA chunk
    meaning the gamma value should be obeyed and the image not treated
    as sRGB.

 tests/compositions/reference/lens-flare.png       | Bin 327275 ->
 456322 bytes
 tests/compositions/reference/stretch-contrast.png | Bin 2921 ->
 2994 bytes
 2 files changed, 0 insertions(+), 0 deletions(-)

commit b675cd1e15d7e1e608c855a0bd2e385e6679e9d6
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Jul 11 14:35:12 2018 +0200

    exr-save: fix order of arguments in chromaticities constructor

 operations/external/exr-save.cc | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit 087b73891e39707d892a8d8daa38a90e082622d8
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Jul 11 14:34:34 2018 +0200

    exr-load: fix order of arguments in chromaticities constructor

 operations/external/exr-load.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b3ca41ac3ffd184b187f3178bf0efb219246d3cb
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Jul 11 14:08:52 2018 +0200

    png-save: do not store ICC profile for sRGB

 operations/external/png-save.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6584576dfa4ddb3f1332d2c98a89f8e9b16a87fe
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Jul 11 13:54:07 2018 +0200

    tiff-save: improve tiff profile embedding

 operations/external/tiff-save.c | 25 ++++++++++++-------------
 1 file changed, 12 insertions(+), 13 deletions(-)

commit 9d833cf6676275daf4a61ae2a808cbf725047fa6
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Jul 11 13:21:13 2018 +0200

    set-space: new op that changes the current space

 operations/workshop/Makefile.am |   3 +-
 operations/workshop/set-space.c | 114
 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 116 insertions(+), 1 deletion(-)

commit 4b5f8049ee8334d11c62140b4bb8226303c72448
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Jul 11 13:20:29 2018 +0200

    cast-space: make it a composer that take only format from aux

 operations/workshop/cast-space.c | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit d02e1cd9162c0c3ff5bb23573be5ebbb76574605
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Jul 11 13:18:24 2018 +0200

    configure: depend on babl 0.1.53

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3e358a17fa3022ff739f014712885bb342d762a9
Author: Francisco Mariano-Neto <fmneto@gmail.com>
Date:   Wed Jul 11 10:28:01 2018 +0000

    Update Brazilian Portuguese translation

 po/pt_BR.po | 9853
 +++++++++++++++++++++++++++++++++++++++++------------------
 1 file changed, 6803 insertions(+), 3050 deletions(-)

commit 1db79d81d75f82716da185a3b9d7ddcb955338e2
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Jul 11 12:10:33 2018 +0200

    png-save: set icc profile before writing info/header

 operations/external/png-save.c | 31 +++++++++++++++++--------------
 1 file changed, 17 insertions(+), 14 deletions(-)

commit 07d96bc9864613912e8e946914fc26047e62b4fb
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Jul 11 09:39:28 2018 +0200

    cast-space: new op in workshop

    Op for reassigning a new space to the image data entering on input.

 operations/workshop/Makefile.am  |   1 +
 operations/workshop/cast-space.c | 133
 +++++++++++++++++++++++++++++++++++++++
 po/POTFILES.in                   |   1 +
 3 files changed, 135 insertions(+)

commit 31b699b966b3283ef22c32ebc2557e7792be2452
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Jul 10 10:29:38 2018 +0200

    tiff-save: export in incoming color space and store ICC

 operations/external/tiff-save.c | 14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

commit dd0512887289d3dc743f78bcfb2ae38d96272139
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Jul 10 09:44:19 2018 +0200

    exr-save: store space in chromaticities

 operations/external/exr-save.cc | 60
 ++++++++++++++++++++++++++++++++++++++---
 1 file changed, 56 insertions(+), 4 deletions(-)

commit 9c671d33c26b16324f6c765fa21cb23989b7d714
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Jul 10 09:40:19 2018 +0200

    bin: color manage display of gegl binary

 bin/mrg-gegl.c | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit ab83e6bb617d19e5583456df58a47d17f8a74f24
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Jul 9 16:52:17 2018 +0200

    png-save: re-enable ICC profile saving

 operations/external/png-save.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 25c0c9c4a1f78782e357865e50e1792782727434
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Jul 9 16:51:03 2018 +0200

    exr-load: set up babl space from chromaticities

 operations/external/exr-load.cpp | 13 ++++++++++++-
 1 file changed, 12 insertions(+), 1 deletion(-)

commit c7e712a1397b4b92c3a66497273222699735859f
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Jul 9 15:01:34 2018 +0200

    png-load: invert gamma loaded from gAMA

 operations/external/png-load.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 12fe7b5d0971022d590de607bf92d5bd4ddda22d
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Jul 9 14:27:30 2018 +0200

    tiff-load: load ICC profile

 operations/external/tiff-load.c | 17 ++++++++++++++++-
 1 file changed, 16 insertions(+), 1 deletion(-)

commit 3ab28ea95af86a22a5be60000c51f0025e467263
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Jul 9 14:15:14 2018 +0200

    png-save: temporarily comment out icc profile saving, pending fixes
    in babl

 operations/external/png-save.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c7d6cc43c99ce3e8b79bfe5aebb3545715d4053c
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Jul 9 13:53:28 2018 +0200

    png-save: support storing non sRGB colorspaces with ICC profile

 operations/external/png-save.c | 18 ++++++++++++++++--
 1 file changed, 16 insertions(+), 2 deletions(-)

commit 4e3e236001ceea372b40888f044ca2edc61a5d8b
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Jul 9 13:51:12 2018 +0200

    png-load: permit loading files with bening errors

 operations/external/png-load.c | 5 +++++
 1 file changed, 5 insertions(+)

commit cab336bb0e423fd47c69eb9db2bb3fd1c5879931
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Jul 8 23:27:08 2018 +0200

    jpg-save: store icc profiles in jpgs

 operations/external/jpg-save.c | 99
 +++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 97 insertions(+), 2 deletions(-)

commit f854eb94ae051a6d368e2cf849f69cc22f9bae76
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Jul 8 21:32:13 2018 +0200

    png-load: suport space construction from primaries

 operations/external/png-load.c | 44
 ++++++++++++++++++++++++++++++++++++++----
 1 file changed, 40 insertions(+), 4 deletions(-)

commit db62d92126b46a7a4fbb55183b3b415d20712ae3
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Jul 8 17:01:37 2018 +0200

    Update Polish translation

 po/pl.po | 639
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 326 insertions(+), 313 deletions(-)

commit 35ed8c3dd14c6ed553c9514e3ace7f43d7f38cf5
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Jul 8 14:20:08 2018 +0200

    jpg-load: load ICC profiles

 operations/external/jpg-load.c | 217
 ++++++++++++++++++++++++++++++++++++++---
 1 file changed, 202 insertions(+), 15 deletions(-)

commit 55e7fb6c034f81b880bd6d94ae2e34f5c8fae273
Author: Snehalata B Shirude <snehalata.shirude@gmail.com>
Date:   Sat Jul 7 18:31:12 2018 +0200

    Added Marathi translation

 po/LINGUAS |    1 +
 po/mr.po   | 7962
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 7963 insertions(+)

commit c4d5e1b18458b0b83933ceaf93500955d04cd568
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Jul 7 18:04:35 2018 +0200

    gegl: revert accidental added makefile

 gegl/property-types/Makefile.am | 2 --
 1 file changed, 2 deletions(-)

commit bfafeb11e117a061e1ea30131a16b1f07c46e7ef
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Jul 7 17:54:13 2018 +0200

    load-png: add support for iCCP chunk

    Load ICC babl space and set it on provided GeglBuffer.

    Running $ gegl png-color-profile-test.png -o output.jpg
    applies the profile and will do processing in this space
    until the jpg save op is reached which specifies working
    on space-less, i.e. sRGB data.

 gegl/property-types/Makefile.am |  2 ++
 operations/external/png-load.c  | 36 ++++++++++++++++++++++++++++++------
 2 files changed, 32 insertions(+), 6 deletions(-)

commit d019735ffc75053ac30b00d26ac052ff42d70f16
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Jul 7 13:08:23 2018 +0200

    gegl: do not convert away from buffers space on view scaling

 gegl/gegl-algorithms.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 4882c453bc4ed6351a714b2f199e54ca7d305641
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 6 16:59:22 2018 +0200

    buffer: do sampler interpolation in buffers space

 gegl/buffer/gegl-sampler-cubic.c   | 1 -
 gegl/buffer/gegl-sampler-linear.c  | 1 -
 gegl/buffer/gegl-sampler-lohalo.c  | 2 --
 gegl/buffer/gegl-sampler-nearest.c | 1 -
 gegl/buffer/gegl-sampler-nohalo.c  | 2 --
 gegl/buffer/gegl-sampler.c         | 4 +++-
 6 files changed, 3 insertions(+), 8 deletions(-)

commit 9116febb85a59f8ffd8cebfa88fda143e606feab
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 6 12:38:42 2018 +0200

    wind: propagate space

 operations/common-gpl3+/wind.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit af5955a7a8e3ac8b96b159fe221c5923db81328d
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 6 12:35:50 2018 +0200

    whirl-pinch: propagate space

 operations/common-gpl3+/whirl-pinch.c | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit 38155faca55327f9fe08c900385be3d813552174
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 6 12:35:42 2018 +0200

    waves: propagate space

 operations/common-gpl3+/waves.c | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit 23e84c7ed5ea7515ace2214ebc267cdabea6c104
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 6 12:35:33 2018 +0200

    video-degradation: propagate space

 operations/common-gpl3+/video-degradation.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3cfbc6f316b113635e42b2fdd016565cb941f52c
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 6 12:35:24 2018 +0200

    tile-glass: propagate space

 operations/common-gpl3+/tile-glass.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6129f79abd9dc4f2302993d3b6fb3b523e5ecd24
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 6 12:35:16 2018 +0200

    supernova: propagate space

 operations/common-gpl3+/supernova.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 8e51c324db05e1373dac358e6498b52081bd5d28
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 6 12:35:09 2018 +0200

    spiral: propagate space

 operations/common-gpl3+/spiral.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 7ef6f4f326a9f2aaf0e9a924c7fb409ef4afd607
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 6 12:35:03 2018 +0200

    softglow: propagate space

 operations/common-gpl3+/softglow.c | 18 ++++++++++--------
 1 file changed, 10 insertions(+), 8 deletions(-)

commit b6fb000a4371a2b2506d9d3769634eb4fc0e59cc
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 6 12:34:04 2018 +0200

    shadows-highlights: propagate space

 operations/common-gpl3+/shadows-highlights-correction.c | 5 +++--
 operations/common-gpl3+/shadows-highlights.c            | 4 ++--
 2 files changed, 5 insertions(+), 4 deletions(-)

commit e3360b2287cdec5b63584ea4b786dfade0435c9f
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 6 12:33:41 2018 +0200

    value-propagate: propagate space

 operations/common-gpl3+/value-propagate.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 3550943e43ffac209fc1cf728b3fe31512a8bf74
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 6 12:32:49 2018 +0200

    ripple: propagate space

 operations/common-gpl3+/ripple.c | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit 1f220232f9ca511fe8aaac0fee0b1ffeeeaa9e0a
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 6 12:17:21 2018 +0200

    red-eye-removal: propagate space

 operations/common-gpl3+/red-eye-removal.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit c311721b589c615184e2beb72dd82961768b9364
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 6 12:17:07 2018 +0200

    polar-coordinates: propagate color space and trc

 operations/common-gpl3+/polar-coordinates.c | 12 +-----------
 1 file changed, 1 insertion(+), 11 deletions(-)

commit 4f455df79a58eb0e88b4e40dd934906c223f264c
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 6 12:16:27 2018 +0200

    oilify: support arbitrary primaries

 operations/common-gpl3+/oilify.c | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

commit 232c785d1f7136f83a267815ebec3a71b4453830
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 6 12:06:27 2018 +0200

    motion-blur-zoom: propagate space

 operations/common-gpl3+/motion-blur-zoom.c | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit 14aa1586581f2ad69332f31300a156ba1f35698f
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 6 11:49:46 2018 +0200

    lens-distortion: propagate space

 operations/common-gpl3+/lens-distortion.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit c9f5af1a53922d8324ab0b3930ce554f8aa38286
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 6 11:49:35 2018 +0200

    mosaic: propagate space

 operations/common-gpl3+/mosaic.c | 16 +++++++++-------
 1 file changed, 9 insertions(+), 7 deletions(-)

commit eb98ebc864482aae9a3816f62ab09fac33ffc53b
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 6 11:49:04 2018 +0200

    motion-blur-circular: propagate space

 operations/common-gpl3+/motion-blur-circular.c | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit f6d1dd07d3efc54dc63357fa40ec1d0c6c4501cb
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 6 11:44:41 2018 +0200

    lens-flare: propagate space

 operations/common-gpl3+/lens-flare.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 88bbbae175b526fcb4265a36f0ca99f1fa983227
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 6 11:42:37 2018 +0200

    illusion: propagate space

 operations/common-gpl3+/illusion.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 383bd3e7f9a0a576359a0098d645bc914649157f
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 6 11:42:23 2018 +0200

    gaussian-blur-selective: propagate space

 operations/common-gpl3+/gaussian-blur-selective.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 4a9a14ecb59228d1ed28ac06223c41dc7f9c61a4
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 6 11:42:12 2018 +0200

    fractal-trace: propagate space

 operations/common-gpl3+/fractal-trace.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 073d7580524925bf3e040eb8245d159dd85d2cb1
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 6 11:36:46 2018 +0200

    engrave: propagate space

 operations/common-gpl3+/engrave.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 0a6e937152746442c7601739b54ab476e86043f7
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 6 11:35:45 2018 +0200

    edge-laplace: propagate space

 operations/common-gpl3+/edge-laplace.c | 19 ++++++++++++-------
 1 file changed, 12 insertions(+), 7 deletions(-)

commit 63a22807bc2ad7b82ebf4dfce8a6edfae98c8baa
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 6 11:35:34 2018 +0200

    emboss: propagate space

 operations/common-gpl3+/emboss.c | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit 87c174ac4645b1f9d08bec4b97f9383f3ff053ed
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 6 11:35:27 2018 +0200

    displace: propagate space

 operations/common-gpl3+/displace.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit a6321e3585edaae41fa561218d9d0f4fae8745ac
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 6 11:30:08 2018 +0200

    edge: propagate space

 operations/common-gpl3+/edge.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 23ee6ee6688102dcadaaf711f666e143105d82d7
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 6 11:23:05 2018 +0200

    deinterlace: propagate space

 operations/common-gpl3+/deinterlace.c | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit 933f64663b02005e3f36ea820e304d4fd6fe9e71
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 6 11:22:04 2018 +0200

    cubism: use space

 operations/common-gpl3+/cubism.c | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit 7d136050e51a8c4405fd3b0956d7dfdc6e190587
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 6 11:19:54 2018 +0200

    color-to-alpha: propagate space

 operations/common-gpl3+/color-to-alpha.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit bfc3c22694a7a6d980eb365c886baed4b682baca
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 6 11:14:54 2018 +0200

    color-exchange: propagate space

 operations/common-gpl3+/color-exchange.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 6cb74c3c749b877a72ab72436e0c316ba65f13e5
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 6 11:11:10 2018 +0200

    channel-mixer: propagate space

 operations/common-gpl3+/channel-mixer.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 32031e5fb399cd2c4464e2b6e9e285e7688b2881
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 6 11:10:42 2018 +0200

    bump-map: deal with space

 operations/common-gpl3+/bump-map.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit fd85614ccdd87e8612ab501ae6ae0551e17ad02a
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 6 11:08:56 2018 +0200

    apply-lens: propagate space

 operations/common-gpl3+/apply-lens.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit bb9f735a9e459a9c8e1d812dfed4f425b093561d
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 6 11:08:47 2018 +0200

    antialias: propagate space

 operations/common-gpl3+/antialias.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit ca9efdd4bbf59966d19c830ae6b45e6965ceda68
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 6 11:00:04 2018 +0200

    stretch-contrast-hsv: improve space usage

 operations/common/stretch-contrast-hsv.c | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

commit 45c7f8402d9854ec88ad406842974b59cd044e0f
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 6 10:37:53 2018 +0200

    waterpixels: propagate space

 operations/common/waterpixels.c | 19 +++++++++++--------
 1 file changed, 11 insertions(+), 8 deletions(-)

commit 00b31fe1bdb0dd6c679c7b0d04bcd4f6c8660674
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 6 10:33:56 2018 +0200

    reinhard05: propagate space

 operations/common/reinhard05.c | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

commit c17a758b0d4b1026da6ea83b36fcb36600219d2e
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 6 10:28:28 2018 +0200

    mantiuk06: propagate space

 operations/common/mantiuk06.c | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

commit a5b84e790f1f33cd7c98b849c96c4ab630d38f94
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 6 00:10:25 2018 +0200

    fattal02: propagate space

 operations/common/fattal02.c | 15 +++++++++------
 1 file changed, 9 insertions(+), 6 deletions(-)

commit 2bd9296aab793ffb90e4548cea269db5a994c40e
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 6 00:08:35 2018 +0200

    exp-combine: propagate space

 operations/common/exp-combine.c | 17 ++++++++++-------
 1 file changed, 10 insertions(+), 7 deletions(-)

commit e0d2f3f30a4d0f1f2fc24683fb8cd4e3e783dfa3
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 6 00:07:11 2018 +0200

    mblur: propagate space

 operations/common/mblur.c | 18 ++++++++++--------
 1 file changed, 10 insertions(+), 8 deletions(-)

commit c8f2daf60ce75d056f6428f4fb4a1de5dfcc6832
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 6 00:06:32 2018 +0200

    edge-sobel: propagate space

 operations/common/edge-sobel.c | 21 +++++++++++++--------
 1 file changed, 13 insertions(+), 8 deletions(-)

commit c09d7936d8f4297470dc436249e83bdb65abc3d8
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 6 00:03:02 2018 +0200

    edge-neon: propagate space

 operations/common/edge-neon.c | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit 13927dc61a724bdae66f33ca4207ee1aa345b26f
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jul 6 00:01:08 2018 +0200

    distance-transform: propagate space

 operations/common/distance-transform.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit a60d8dd0e42eea63a9d186e3e99744f30d1a3b4c
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 23:22:48 2018 +0200

    component-extract: propagate space

 operations/common/component-extract.c | 21 +++++++++++----------
 1 file changed, 11 insertions(+), 10 deletions(-)

commit 2d87c9ed60c480894fe92dd1603ff8ef50f40e6a
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 23:09:48 2018 +0200

    map-relative: propagate space

 operations/common/map-relative.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit f42e0d673fc997ad6e8e99aa775cf60e9ca8b72f
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 23:09:16 2018 +0200

    map-absolute: propagate space

 operations/common/map-absolute.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 9caeb777939402195cd10a879cd552318e9dedba
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 23:07:19 2018 +0200

    matting-global: propagate space

 operations/common/matting-global.c | 21 +++++++++++----------
 1 file changed, 11 insertions(+), 10 deletions(-)

commit 09c6cfcc3638653a276ea018014c76d6c791bf60
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 23:06:04 2018 +0200

    image-gradient: propagate space

 operations/common/image-gradient.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit adfe9164bb37650a1b77a552dc4435a82ccd2230
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 23:02:57 2018 +0200

    motion-blur-linear: propagate BablSpace

 operations/common/motion-blur-linear.c | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

commit ce43089bdd5963baf9d233dc0a6c81e88eff793a
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 23:00:03 2018 +0200

    svg-luminancetoalpha: propagate space

 operations/common/svg-luminancetoalpha.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit a571af73c1e7aece0f42c2f088f00dcdd373b1e3
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 22:58:24 2018 +0200

    stretch-contrast-hsv: propagate space

 operations/common/stretch-contrast-hsv.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 951f29e02e1e0df84ae47367f0af04df80e4c476
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 22:55:29 2018 +0200

    stretch-contrast: propagate space

 operations/common/stretch-contrast.c | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit c472a7aabb0abe640b5cb5d5ecbd044419c21dc4
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 22:53:47 2018 +0200

    noise-cie-lch: propagate space

 operations/common/noise-cie-lch.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 10c701b670ce5725e248275eda5c70b7074479c0
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 22:51:36 2018 +0200

    noise-hsv: propagate space

 operations/common/noise-hsv.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 4aac0817cd5279e6484e27a7dcfeb150ee63caff
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 22:50:24 2018 +0200

    noise-hurl: propagate space

 operations/common/noise-hurl.c | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 9366156ffa3706a446261a5062be44c460c2e523
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 22:49:14 2018 +0200

    noise-rgb: propagate space and use R~G~B~

 operations/common/noise-rgb.c | 13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)

commit 8a4be80813caedddf68e6451ff9dcf68ca82cb86
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 22:47:45 2018 +0200

    svg-hurerotate: propagate BablSpace

 operations/common/svg-huerotate.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 325aaa31b9cd86df3557dc6a3f9880a4ae9c69ca
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 22:46:33 2018 +0200

    noise-reduction: propagate BablSpace and use R~G~B~

 operations/common/noise-reduction.c | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit 3f5ad9feed67aa7b58c0706bca15df3389e904ea
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 22:44:48 2018 +0200

    svg-matrix: propagate BablSpace

 operations/common/svg-matrix.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit d2c16d0b398351ef370788c5c7706f1429832e61
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 22:44:24 2018 +0200

    svg-saturate: propagate BablSpace

 operations/common/svg-saturate.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 29acb70b9b7ec9e94ad57069aa16914e26ad8397
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 22:42:30 2018 +0200

    tile-seamless: propagate BablSpace

 operations/common/tile-seamless.c | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

commit c63a8b49e15330c114fef6bb58c883a940544fc9
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 22:40:25 2018 +0200

    stress: propagate BablSpace

 operations/common/stress.c | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

commit 002e9acb28a59893424c011f99b63e41dcc503e3
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 22:39:01 2018 +0200

    slic: propagate BablSpace

 operations/common/slic.c | 27 +++++++++++++++------------
 1 file changed, 15 insertions(+), 12 deletions(-)

commit 2208c0d97e066eaf597425f08ee7da3f72fc59ce
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 22:38:07 2018 +0200

    wavelet-blur-1d: propagate BablSpace

 operations/common/wavelet-blur-1d.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 7b10a5f3d87b8c07e90aad3ee02908b9b0f74d26
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 22:36:17 2018 +0200

    spherize: propagate BablSpace

 operations/common/spherize.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 16a497ea60eae8412efb488e7c2408d58f91a3c8
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 22:34:18 2018 +0200

    vignette: propagate BablSpace

 operations/common/vignette.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 667ba63704a8460fd1e5657a9780cd14c38b4cf3
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 22:32:35 2018 +0200

    rgb-clip: propagate BablSpace

 operations/common/rgb-clip.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 8227a9daaa82604c1d18ff847f4d30d73aa16787
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 22:30:50 2018 +0200

    pixelize: propagate BablSpace

 operations/common/pixelize.c | 49
 +++++++++++++++++++++++++-------------------
 1 file changed, 28 insertions(+), 21 deletions(-)

commit f5e4e01f5a18be9869ec540f7b01d618dd5dac79
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 22:11:21 2018 +0200

    panorama-projection: propagate BablSpace

 operations/common/panorama-projection.c | 9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

commit 41accb065ae130f1964fdd5e0f736f1c4175453e
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 22:06:33 2018 +0200

    tests: commit updated posterize.xml

 tests/compositions/posterize.xml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4706147009c6698f34f3cbcc261ff48cd922f622
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 22:05:08 2018 +0200

    snn-mean: propagate BablSpace

 operations/common/snn-mean.c | 19 ++++++++++++-------
 1 file changed, 12 insertions(+), 7 deletions(-)

commit 6d827da09abd8d572d2eb344859a02d4f4298fd4
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 22:03:33 2018 +0200

    remap: propagate BablSpace

 operations/common/remap.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit c82aa06e8d864f098a07fcd1c2d47af6fc23dab4
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 22:01:49 2018 +0200

    threshold: propagate BablSpace

 operations/common/threshold.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 1a97251b764e8edfed48579b4fea150ee8da38bc
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 22:00:40 2018 +0200

    value-invert: propaget BablSpace

 operations/common/value-invert.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 0e3fa3e09becc41e59e4fb2c1c6633814fbb65c8
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 21:58:40 2018 +0200

    sepia: propagate BablSpace and use R~G~B~

 operations/common/sepia.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 2a46633ea129cbf5db5536c2fa4a60af3f9c0e1e
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 21:57:51 2018 +0200

    saturation: propagte BablSpace

 operations/common/saturation.c | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit 316c8e1302b647de87fe8f9bf24734f90f90fe3e
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 21:56:00 2018 +0200

    opacity: propagate BablSpace

 operations/common/opacity.c | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

commit 9f4d59d70ce3179bf2ae8fc24f20e86d63e61f4a
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 21:55:23 2018 +0200

    mono-mixer: propagate BablSpace

 operations/common/mono-mixer.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 9ac97fcbb3d6bb76c57c6de0ec4bdd4d268edf92
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 21:54:51 2018 +0200

    mix: propagate BablSpace

 operations/common/mix.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit ba7999120ab5d695c63d0ab8ab8320d59a76f659
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 21:53:26 2018 +0200

    over: propagate BablSpace

 operations/common/over.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit fbf0a925352b93d410ee0c3aab2af54e03f4ce58
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 21:50:08 2018 +0200

    posterize: propage BablSpace, and explicitly request sRGB TRC

    Maybe this should be using R'G'B' instead of R~G~B~ - for consistently
    useful
    in most workflows though using a perceptual TRC makes sense.

 operations/common/posterize.c              |  10 ++++++++++
 tests/compositions/reference/posterize.png | Bin 300303 -> 118630 bytes
 2 files changed, 10 insertions(+)

commit 7aa02f5692a18a05f6b1219b8c90f532ea0b23b4
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 21:24:36 2018 +0200

    little-planet: propagate BablSpace

 operations/common/little-planet.c | 9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

commit f9ccceccb4ff24faed455a1649e343939db03a8a
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 21:23:09 2018 +0200

    median-blur: propagate BablSpace

 operations/common/median-blur.c | 32 ++++++++++++++++----------------
 1 file changed, 16 insertions(+), 16 deletions(-)

commit 50a4d0e6838295be4c4671a11c9712e840b5451b
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 21:19:31 2018 +0200

    mirrors: propagate BablSpace

 operations/common/mirrors.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 6b9e86ade22adce6f4c72dcd45156ac29f91375c
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 20:16:54 2018 +0200

    mean-curvature-blur: propagate BablSpace

 operations/common/mean-curvature-blur.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit bd72b1f4103ae7d9658791a337f769aa5a827971
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 20:15:00 2018 +0200

    invert-gamma: propagate BablSpace

 operations/common/invert-gamma.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit dfb89e5a6f0caf73ec2f84717a344149e9ee887d
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 17:21:01 2018 +0200

    hue-chroma: propagate BablSpace

 operations/common/hue-chroma.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 80fed62ab6c0a50b6bc4a7405242874ff8246058
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 15:57:35 2018 +0200

    grey: propagate BablSpace

 operations/common/grey.c | 13 ++++---------
 1 file changed, 4 insertions(+), 9 deletions(-)

commit a05914704a85c12a75a6b111e711d6c1e69325fb
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 15:52:38 2018 +0200

    gblur-1d: propagate BablSpace

 operations/common/gblur-1d.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 34b9a10bdfcadd6afe98602d517740fc77010538
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 15:50:05 2018 +0200

    exposure: propagate BablSpace

 operations/common/exposure.c | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit e6df830237bc0556cda4661407f3032fc22d90a2
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 15:46:28 2018 +0200

    dither: propagate BablSpace

 operations/common/dither.c | 26 ++++++++++++++++----------
 1 file changed, 16 insertions(+), 10 deletions(-)

commit 90abbacf2b558b25481dcddf0f2030f444bfa9d7
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 15:19:24 2018 +0200

    convolution-matrix: propagate BablSpace

 operations/common/convolution-matrix.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 9afab8abe500d118dfbd4d7048f686f80a2808d8
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 15:18:12 2018 +0200

    contrast_curve: propagate BablSpace

 operations/common/contrast-curve.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 0d9f6d3a0e4f7525df9de60f019c377149085007
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 15:08:16 2018 +0200

    color-warp: propagate BablSpace

 operations/common/color-warp.c | 23 ++++++++++++-----------
 1 file changed, 12 insertions(+), 11 deletions(-)

commit e1db59326c23c29f1f834c6210eaeb40ab9892f0
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 15:04:56 2018 +0200

    color-rotate: propagate BablSpace

 operations/common/color-rotate.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 0178f52d0b523956b52370782073c91bd7789014
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 14:18:18 2018 +0200

    color-overlay: propagate BablSpace

 operations/common/color-overlay.c | 12 ++++--------
 1 file changed, 4 insertions(+), 8 deletions(-)

commit 6048aee4dae138fd75504237f91e17f18a21b0d7
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 13:54:44 2018 +0200

    color-enhance: propagate BablSpace

 operations/common/color-enhance.c | 17 ++++++++++-------
 1 file changed, 10 insertions(+), 7 deletions(-)

commit 6f93ae2ad2db567ebe9ffbe95019e25465cf6e8b
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 13:51:55 2018 +0200

    c2g: propagate BablSpace

 operations/common/c2g.c | 15 ++++++++++-----
 1 file changed, 10 insertions(+), 5 deletions(-)

commit ae90edd3c31c2eb23352a72de4577b5660151c20
Author: Michael Schumacher <schumaml@gmx.net>
Date:   Thu Jul 5 11:52:20 2018 +0000

    tests: use GEGL_THREADS=1 to check if this fixes the mipmap rotate
    output

 tests/mipmap/rotate.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dcd7ef04e3ea7854f8689b649164e0783f2f5956
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 13:51:14 2018 +0200

    brightness-contrast: propagate BablSpace

 operations/common/brightness-contrast.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 1ca31b1e31ad692142d408f535e77d4c9106ea7d
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 13:44:48 2018 +0200

    box-blur: propagate BablSpace

 operations/common/box-blur.c | 28 ++++++++++++++++------------
 1 file changed, 16 insertions(+), 12 deletions(-)

commit 7a44050f0497737faa4959ad85fc6d90e8369703
Author: Michael Schumacher <schumaml@gmx.net>
Date:   Thu Jul 5 11:44:50 2018 +0000

    tests: use GEGL_THREADS=1 to check if this fixes the mipmap rotate
    output

 tests/mipmap/rotate-crop.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 879681c31f8fed0b7a1f94131fc8b550efb00762
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 13:42:44 2018 +0200

    bilateral-filter: propagate BablSpace

 operations/common/bilateral-filter.c | 19 ++++++++++++-------
 1 file changed, 12 insertions(+), 7 deletions(-)

commit 1bdbb41e24365a27a34f293fb8a0e95dcf104cb8
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 13:38:42 2018 +0200

    alien-map: propagate BablSpace

 operations/common/alien-map.c | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit ab4698daccf7beee63cb2fea426068b80b6730b3
Author: Ell <ell_se@yahoo.com>
Date:   Thu Jul 5 06:22:10 2018 -0400

    Issue #90 - Functions for Green and Blue check boxes are swapped ...

    ... in Convolution Matrix dialog box

    The effect of the "green" and "blue" properties of
    gegl:convolution-matrix was swapped.

 operations/common/convolution-matrix.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit dee66ccee9f66f742a170c4b042f12dda58cb38b
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jul 5 00:26:41 2018 +0200

    transform: do not rely on space in invalidated_by_change

 operations/transform/transform-core.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit b39d25f6e71854fc8c4b0cd9f5470c5f09bddc41
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Jul 4 22:45:28 2018 +0200

    operations/transform: initialize samplers with space

 operations/transform/transform-core.c | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

commit 78df1dda98ad7bd23a5d27f2574e3d3f33e3f97d
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Jul 4 19:46:16 2018 +0200

    operations: pass space on in generated ops

 operations/generated/add.c                 | 8 ++++++--
 operations/generated/clear.c               | 7 +++++--
 operations/generated/color-burn.c          | 7 +++++--
 operations/generated/color-dodge.c         | 7 +++++--
 operations/generated/darken.c              | 7 +++++--
 operations/generated/difference.c          | 7 +++++--
 operations/generated/divide.c              | 8 ++++++--
 operations/generated/dst-atop.c            | 7 +++++--
 operations/generated/dst-in.c              | 7 +++++--
 operations/generated/dst-out.c             | 7 +++++--
 operations/generated/dst-over.c            | 7 +++++--
 operations/generated/dst.c                 | 7 +++++--
 operations/generated/exclusion.c           | 7 +++++--
 operations/generated/gamma.c               | 8 ++++++--
 operations/generated/hard-light.c          | 7 +++++--
 operations/generated/lighten.c             | 7 +++++--
 operations/generated/math.rb               | 8 ++++++--
 operations/generated/multiply.c            | 8 ++++++--
 operations/generated/overlay.c             | 7 +++++--
 operations/generated/plus.c                | 7 +++++--
 operations/generated/screen.c              | 7 +++++--
 operations/generated/soft-light.c          | 7 +++++--
 operations/generated/src-atop.c            | 7 +++++--
 operations/generated/src-in.c              | 7 +++++--
 operations/generated/src-out.c             | 7 +++++--
 operations/generated/src.c                 | 7 +++++--
 operations/generated/subtract.c            | 8 ++++++--
 operations/generated/svg-12-blend.rb       | 7 +++++--
 operations/generated/svg-12-porter-duff.rb | 7 +++++--
 operations/generated/xor.c                 | 7 +++++--
 30 files changed, 156 insertions(+), 60 deletions(-)

commit 3ca88100ff31b9beddcba364cfa8c911f695cd21
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Jul 4 19:45:57 2018 +0200

    operations: pass space on in transform ops

 operations/transform/transform-core.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 1e28d685f2ad25134022891697be56d7040fd1d9
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Jul 4 19:45:38 2018 +0200

    gegl: pass space on in operation base classes

 gegl/operation/gegl-operation-area-filter.c     |  4 +++-
 gegl/operation/gegl-operation-point-composer.c  |  8 +++++++-
 gegl/operation/gegl-operation-point-composer3.c | 10 +++++++++-
 gegl/operation/gegl-operation-point-filter.c    |  4 +++-
 gegl/operation/gegl-operation-temporal.c        |  3 ++-
 5 files changed, 24 insertions(+), 5 deletions(-)

commit 9cc17e1578d5598a73cdfe032aff0efb29abc1d8
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Jul 4 19:43:11 2018 +0200

    gegl: add gegl_operation_get_source_space

    For use in prepare when rigging up babl formats aware of BablSpace
    the buffer flowing through the graph has.

 gegl/operation/gegl-operation.c | 9 +++++++++
 gegl/operation/gegl-operation.h | 3 +++
 2 files changed, 12 insertions(+)

commit 31e4a694658a346332abc4d7d7d2490a20d8d4f7
Author: Alan Mortensen <alanmortensen.am@gmail.com>
Date:   Wed Jul 4 19:38:13 2018 +0200

    Updated Danish translation

 po/da.po | 158
 ++++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 107 insertions(+), 51 deletions(-)

commit 40b484535ba296c6475683b0a5c60d737a6e255c
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Jul 4 19:31:03 2018 +0200

    brightness-contrast: add comment about prepare not needed

    Though for illustrating generically how to write GEGL ops, it
    is good to have in this example.

 operations/common/brightness-contrast.c | 4 ++++
 1 file changed, 4 insertions(+)

commit b3b18d5ed55b2dd1cf6fbccfb719074e7cdcca13
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Jul 4 19:30:37 2018 +0200

    spherize: use parent class' prepare

 operations/common/spherize.c | 8 --------
 1 file changed, 8 deletions(-)

commit 48f8baa07a872e4bb16ea59ae15db73c5dcef889
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Jul 4 19:27:07 2018 +0200

    tile-paper: user parent class' prepare

 operations/common-gpl3+/tile-paper.c | 8 --------
 1 file changed, 8 deletions(-)

commit 77acde2a9186bba64df62bb016cd650e1c6b8e44
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Jul 4 19:26:47 2018 +0200

    lens-distortion: user parent class' prepare

 operations/common-gpl3+/lens-distortion.c | 8 --------
 1 file changed, 8 deletions(-)

commit a25d1d5f6deb0c4ad14218b6184850f18b45a110
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Jul 4 19:26:30 2018 +0200

    fractal-trace: user parent class' prepare

 operations/common-gpl3+/fractal-trace.c | 8 --------
 1 file changed, 8 deletions(-)

commit 8f3be410e5a9e24c9ba71a41cfe43585311755ca
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Jul 4 19:26:18 2018 +0200

    cartoon: use parent class' prepare

 operations/common-gpl3+/cartoon.c | 8 --------
 1 file changed, 8 deletions(-)

commit 79fd315f3df779a29db4623f6a07f3cb9553bd19
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Jul 4 19:22:48 2018 +0200

    gegl: make filter base class default to RGBA formats

 gegl/operation/gegl-operation-filter.c | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 905f83f4d1b62561b052529fd6cfe5ce7e31137e
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Jul 4 19:07:40 2018 +0200

    tests: update mipmap tests for new unsharp defaults

 tests/mipmap/unsharp-crop-reference.png | Bin 15894 -> 14698 bytes
 tests/mipmap/unsharp-reference.png      | Bin 74954 -> 92440 bytes
 2 files changed, 0 insertions(+), 0 deletions(-)

commit 3d9f63154718efd129f063eb2f35f0f871a348dd
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Jul 4 19:00:59 2018 +0200

    weighted-blend: use parent class' prepare

 operations/common/weighted-blend.c | 10 ----------
 1 file changed, 10 deletions(-)

commit 55bc4579585a8b3978db0cc8c8e97b70dafdb8d0
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Jul 4 18:59:16 2018 +0200

    newsprint: use parent class' prepare

 operations/common/newsprint.c | 8 --------
 1 file changed, 8 deletions(-)

commit 5115f856d573b5596b578a76ffeeeec83d32829b
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Jul 4 18:57:32 2018 +0200

    color-temperature: use parent class' prepare

 operations/common/color-temperature.c | 9 ---------
 1 file changed, 9 deletions(-)

commit 3bf01fd7e8e39169c1577fa72b7c1d2a2f745d81
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Jul 4 17:20:59 2018 +0200

    panorama-projection: remove little-planet toggle

 operations/common/panorama-projection.c | 110
 ++------------------------------
 1 file changed, 6 insertions(+), 104 deletions(-)

commit 3340762cd75190e61bbfa751cc65cca21ddaeb81
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Jul 4 15:24:46 2018 +0200

    little-planet: add new op that does stereographic projection

    Made by copying and simplifying the panorama-projection op.

 operations/common/Makefile.am     |   1 +
 operations/common/little-planet.c | 498
 ++++++++++++++++++++++++++++++++++++++
 po/POTFILES.in                    |   1 +
 3 files changed, 500 insertions(+)

commit b1e78907a0252d7b37a7a68b72156bec286db715
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Jul 4 02:10:28 2018 +0200

    post-release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e786ee8f5a357c7a153ef9f1a76b61e2604960f7
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Jul 4 02:09:36 2018 +0200

    release 0.4.4

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 690699bf61e0842ddea576b21121f88895f014a7
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Jul 4 01:56:49 2018 +0200

    unsharp-mask: merge in changes from unsharp-mask-plus

 operations/common/unsharp-mask.c        |  77 +++++++++++++-
 operations/workshop/Makefile.am         |   1 -
 operations/workshop/unsharp-mask-plus.c | 171
 --------------------------------
 po/POTFILES.in                          |   1 -
 4 files changed, 72 insertions(+), 178 deletions(-)

commit 85d1b72d9b2cfc1cf9e81bd1e940b9b52badf7ef
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Jul 4 01:35:19 2018 +0200

    unsharp-mask-plus: improved default values

 operations/workshop/unsharp-mask-plus.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 18fa8fe54a21bcc67b9d2b9a711dbb89e70ae691
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Jul 4 01:12:04 2018 +0200

    unsharp-mask-plus: disable parts of graph when threhold=0

 operations/workshop/unsharp-mask-plus.c | 66
 +++++++++++++++++++++++++++++++++
 1 file changed, 66 insertions(+)

commit 09bdd95849268954c6357e692281d68a8304de60
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Jul 3 23:19:36 2018 +0200

    workshop: add unsharp-mask-plus in workshop

    Improvement to unsharp mask that slightly blurs thresholding mask
    of threhold property, this improves visual fidelity of many
    results for high values of thresholding, relevant for #82.

 operations/workshop/Makefile.am         |   1 +
 operations/workshop/unsharp-mask-plus.c | 105
 ++++++++++++++++++++++++++++++++
 po/POTFILES.in                          |   1 +
 3 files changed, 107 insertions(+)

commit b1b2cc8553a41eaf9bb63a5c57ca6e9b5338f8d3
Author: Ell <ell_se@yahoo.com>
Date:   Tue Jul 3 09:18:11 2018 -0400

    buffer: in swap backend, mark returned queued tiles as stored

    In GeglTileBackendSwap, when returning a tile that's still queued
    for writing in response to a GET command (in which case the
    returned tile is a duplicate of the queued tile), mark the tile as
    stored before returning it.  Duplicate tiles are initially
    considered dirty.

 gegl/buffer/gegl-tile-backend-swap.c | 3 +++
 1 file changed, 3 insertions(+)

commit 30e6ac769d8e73146dd95b6e77af6df647cfca8c
Author: Andrea Veri <andrea.veri@gmail.com>
Date:   Tue Jul 3 09:57:16 2018 +0000

    Drop newlines between tags

 gegl.doap | 20 +++++---------------
 1 file changed, 5 insertions(+), 15 deletions(-)

commit 1a4e00ff9f73c59621f2d21a3eae2c3ad4f2ae60
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Mon Jul 2 18:52:01 2018 +0000

    Typo + syntax fix

 docs/NEWS.txt | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit b1a6e94ed420d8620ec0721f996b0f1d24c7758d
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Jul 2 20:25:05 2018 +0200

    workshop: fix babl format in pixel-duster.h

 operations/workshop/pixel-duster.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 866a67b67b9b962d45d9d50d415a4f3128b8fb68
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Jul 2 15:58:53 2018 +0200

    depend on babl-0.1.52

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 02992ca8a749eac4aa2d6885e64e865104976052
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Jul 2 15:57:36 2018 +0200

    NEWS: update

 docs/NEWS.txt | 39 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)

commit c884049d2835f60ed216a09362ec9740225bfce4
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Jul 2 10:14:24 2018 +0200

    workshop: remove discardable protoype op enlarge2

    It consumes too much time during build of docs/operations when
    workshop is
    enabled.

 operations/workshop/Makefile.am |   1 -
 operations/workshop/enlarge2.c  | 278
 ----------------------------------------
 2 files changed, 279 deletions(-)

commit efb5e5059bc5d9a6b3bfe4a2abd3d5caf22a8427
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Jul 2 09:27:52 2018 +0200

    tests: update clones reference

 tests/compositions/reference/clones.png | Bin 723387 -> 724878 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

commit ff8278f674763b9d31ed0dcba7321cdd46296d0c
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Jul 2 09:27:40 2018 +0200

    tests: update contrast curve reference

 tests/compositions/reference/contrast-curve.png | Bin 265342 ->
 265335 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

commit 7fe8beabedf82d83565d1eb66dfe14d65d5e16c2
Author: Ell <ell_se@yahoo.com>
Date:   Sat Jun 30 17:29:21 2018 -0400

    buffer: use gegl_tile_read_{lock,unlock}() when reading tiles

    Use the new gegl_tile_read_lock() and gegl_tile_read_unlock()
    functions, added in the previous commit, before/after reading from
    a tile in a potentially-multithreaded context.

    See the previous commit for an explanation of why this is
    necessary.

    Note, in particular, that this may make 1x1 gegl_buffer_get()s
    (and NEAREST gegl_buffer_sample()) more expensive, however, NEAREST
    sampler objects amortize the cost of these functions by only
    locking/unlocking the sampler's hot-tile when switching tiles.  As
    a result, a concurrent write to the same buffer may block while the
    sampler object is alive.  We assume that buffers may not be
    written-to while there are active sampler objects constructed for
    them (which can already lead to stale data in the samplers).

 gegl/buffer/gegl-buffer-access.c     | 14 ++++++++++++--
 gegl/buffer/gegl-buffer-iterator.c   |  8 ++++++++
 gegl/buffer/gegl-sampler-nearest.c   | 20 +++++++++++++++++---
 gegl/buffer/gegl-tile-handler-zoom.c | 16 +++++++++++++---
 4 files changed, 50 insertions(+), 8 deletions(-)

commit 301b798b4b2d4a113a547df7ba29e6621a06357a
Author: Ell <ell_se@yahoo.com>
Date:   Sat Jun 30 17:02:34 2018 -0400

    buffer: add gegl_tile_read_{lock,unlock}()

    Currently, we don't manage read access to tile data -- code that
    reads from a tile simply calls gegl_tile_get_data(), and assumes
    the returned pointer is valid throghout.  This, however, might not
    be the case in general, in a multithreaded context:

    Suppose tiles A and B share the same data.  Thread 1 begins reading
    tile A through the pointer returned by gegl_tile_get_data().
    Thread 2 then locks tile A for writing (intending to write to a
    portion of the tile that doesn't overlap the portion thread 1 is
    reading).  Since the tile's data is shared, thread 2 unclones the
    data before writing, and so the data thread 1 is reading is now
    solely owned by tile B.  At this point, two things can go wrong:
    a concurrent write operation to tile B can overwrite the data
    thread 1 is reading (which supposedly belongs to tile A), or,
    tile B can be destroyed, freeing the data thread 1 is reading.

    To fix this, we add the gegl_tile_read_lock() and
    gegl_tile_read_unlock() functions, which "lock" the tile for read
    access.  Code that reads tile data should call these functions
    before/after reading from the tile, if the read may happen in a
    multithreaded context.  Note that in spite of the functions' names,
    they don't actually block execution in general.  Instead, they make
    sure that if gegl_tile_lock() is called on a cloned tile while it's
    being read, the function will block until reading is done before
    uncloning the tile.

    One exception to the above are clones of the global empty tile, for
    which we avoid the said blocking altogether, since their data may
    never end up being owned by a single, mutable tile.

    Using gegl_tile_lock/unlock() before/after writing, and
    gegl_tile_read_lock/unlock() before/after reading, guarantees that
    the following combinations of concurrent tile operations are safe:

      - Read/read.

      - Read/duplicate.

      - Duplicate/duplicate.

      - Non-overlapping read/write.

      - Non-overlapping write/write.

 gegl/buffer/gegl-buffer-private.h     | 15 ++++--
 gegl/buffer/gegl-tile-handler-empty.c |  5 +-
 gegl/buffer/gegl-tile.c               | 88
 ++++++++++++++++++++++++++---------
 gegl/buffer/gegl-tile.h               | 10 ++++
 4 files changed, 89 insertions(+), 29 deletions(-)

commit 199bf87a2e4e9cc1b33bfa4b1657b03bc718cbd7
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Mon Jul 2 02:56:03 2018 +0300

    Update Russian translation

 po/ru.po | 680
 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 386 insertions(+), 294 deletions(-)

commit e03bfba6cfe19898dcf6d12dd1d59594e701980d
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Jul 1 19:18:08 2018 +0200

    Update Polish translation

 po/pl.po | 21 +++++++++++++++++----
 1 file changed, 17 insertions(+), 4 deletions(-)

commit d89034395bbf2db03722ee7589daf6f963f8b528
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Jul 1 18:35:05 2018 +0200

    POTFILES.in: add absolute.c

 po/POTFILES.in | 1 +
 1 file changed, 1 insertion(+)

commit b8751cee227a1cab6569070d861d4a2a93874670
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Jul 1 18:29:59 2018 +0200

    unsharp-mask: issue #82 add threshold property

    Add the neccesary internal nodes to do also do threshold, and
    improvement to
    this would be to detect the threshold=0.0 case and skip doing
    per-pixel
    processing for that case.

    This does the same math as the legacy GIMP unsharp-mask plugin:

        {
          gint value;
          gint diff = *s - *d;

          /* do thresholding */
          if (abs (2 * diff) < threshold)
            diff = 0;

          value = *s++ + amount * diff;
          *d++ = CLAMP (value, 0, 255);
        }

 operations/common/unsharp-mask.c | 25 +++++++++++++++++++------
 1 file changed, 19 insertions(+), 6 deletions(-)

commit 20e41737feb9a94b09add25d9d7b19fce3232084
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Jul 1 17:52:07 2018 +0200

    threshold: change format from linear to perceptual

    When used as parameters in UIs and scripts it is natural to treat
    0.5 as gray,
    this prepares for use of gegl:threshold in gegl:unsharp-mask

 operations/common/threshold.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 98ed1d61cb6f59298765d9ff80e8f1a9ec353169
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Jul 1 17:51:54 2018 +0200

    absolute: add new op gegl:abs

 operations/common/Makefile.am |  1 +
 operations/common/absolute.c  | 87
 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 88 insertions(+)

commit 4af8785a8a343e0395e2caa373126a1476c52638
Author: Ell <ell_se@yahoo.com>
Date:   Sun Jul 1 07:28:28 2018 -0400

    buffer: eliminate empty mipmapped tile generation; fix potential leak

    When all the lower-level tiles of a mipmapped tile are NULL *or*
    empty, avoid generating the mipmapped tile altogether, and let the
    empty tile handler return an empty tile (previously, this would
    only happen when all lower-level tiles were NULL.)  If the
    mipmapped tile already exists, make sure to unref it before
    returning NULL, to avoid leaking it.

 gegl/buffer/gegl-tile-handler-zoom.c | 25 ++++++++++++++++++++-----
 1 file changed, 20 insertions(+), 5 deletions(-)

commit 4161757959f656399f7be1ef505174e81e27d12c
Author: Ell <ell_se@yahoo.com>
Date:   Sun Jul 1 06:56:41 2018 -0400

    buffer: fix empty tile uncloning rollback

    When uncloning an empty tile, make sure to always mark it as non-
    empty, even if we end up rolling-back to the original buffer, since
    it may subsequently be written to.

    Also, add description for the GeglTile::is_zero_tile member.

 gegl/buffer/gegl-buffer-private.h | 5 ++++-
 gegl/buffer/gegl-tile.c           | 3 ++-
 2 files changed, 6 insertions(+), 2 deletions(-)

commit bfc3283fdab386165c7e962c4a5fbd3cfca882f6
Author: Michael Schumacher <schumaml@gmx.net>
Date:   Sat Jun 30 14:27:30 2018 +0000

    tests: Prevent parallel make check

 tests/Makefile.am | 3 +++
 1 file changed, 3 insertions(+)

commit 1770ec6128a84c6f8ec44121947600849c8b682e
Author: Ell <ell_se@yahoo.com>
Date:   Sat Jun 30 04:54:44 2018 -0400

    buffer: fix gegl-tile-source.h when included in C++ files

 gegl/buffer/gegl-tile-source.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 90a2dce87e3e961c444b44f0d902222a4a4ce2de
Author: Ell <ell_se@yahoo.com>
Date:   Sat Jun 30 03:44:04 2018 -0400

    perf: disable non-nearest gegl_buffer_sample() tests

    Since commit 26f13cbfe9aaaa8c176162e54fdbb8af6876538e,
    gegl_buffer_sample() has gotten much slower for non-nearest
    samplers; the corresponding tests in perf/test-samplers take
    forever as a result.  Let's simply disable them (note that the
    tests for gegl_sampler_get() and gegl_sampler_get_fun(), which is
    what performance-critical code should use anyway, are still enabled
    for all samplers.)

 perf/test-samplers.c | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 8c23828022dd7051225c1f013a0cf667ecbf5b5a
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Tue Jun 26 21:01:14 2018 +0000

    Update Ukrainian translation

 po/uk.po | 1952
 +++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 1173 insertions(+), 779 deletions(-)

commit a541d7dba15fe82ecf5f9f62cd7eb0aa5c09fbcb
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Jun 24 18:48:13 2018 +0200

    Update Polish translation

 po/pl.po | 105
 ++++++++++++++++++++++++++-------------------------------------
 1 file changed, 44 insertions(+), 61 deletions(-)

commit ebeede51d86244ad80478684331201a61dae9bcb
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jun 21 14:10:51 2018 +0200

    unsharp-mask: rename human readable name to "Sharpen (Unsharp Mask)"

    For some relevant discussion, see gimp#1671

 operations/common/unsharp-mask.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7604cdf910c8f330c49b77f72232f9b0ae2d1556
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Jun 21 12:36:11 2018 +0200

    unsharp-mask: change UI labels

    Make the UI labels read 'Radius' and 'Amount' like the legacy
    unsharp-mask
    plug-ins parameters. The meaning of this radius is still a
    standard-deviation
    of the underlying gaussian blur and not a perceptual radius of
    influence in
    pixels. gimp#1671

 operations/common/unsharp-mask.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit be9fffff9ad6fa8b5c4aebeb541261ff30975bd4
Author: Ell <ell_se@yahoo.com>
Date:   Thu Jun 21 03:43:24 2018 -0400

    gegl-stats: add read/write swap stats

    Add boolean "swap-reading" and "swap-writing" properties to
    GeglStats, indicating whether data is currently being read-from/
    written-to the tile swap, respectively.

    Add "swap-read-total" and "swap-write-total" properties to
    GeglStats, indicating the total amount of data read-from/written-to
    the tile swap, respectively.  These values are reset when calling
    gegl_stats_reset().

 gegl/buffer/gegl-tile-backend-swap.c | 67
 +++++++++++++++++++++++++++++++-----
 gegl/buffer/gegl-tile-backend-swap.h | 12 +++++--
 gegl/gegl-stats.c                    | 51 +++++++++++++++++++++++++++
 3 files changed, 118 insertions(+), 12 deletions(-)

commit e08b3e0376c0e44dbe1bd68d34615d22122e5cb1
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Jun 19 17:32:46 2018 +0200

    pixelize: fix portability of integer overflow casting

    Use gint64 instead of long, since on windows long still means 32bit,
    ref comment from massimo in issue #78

 operations/common/pixelize.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fa819748659360fd5e10155a787e6fca31d77bbb
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Jun 19 17:05:01 2018 +0200

    pixelize: avoid integer overflow when choosing code paths

    For block sizes larger than 65535 the wrong code paths get chosen
    since the squared size is larger than 32bit. Casting the values
    compared to longs fixes issue #78 -
    https://gitlab.gnome.org/GNOME/gegl/issues/78

 operations/common/pixelize.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6be0a86583f9c10c7710c96c21c261e4227c4727
Author: Ell <ell_se@yahoo.com>
Date:   Sun Jun 17 14:44:11 2018 -0400

    recursive-transform: merge back recursive-transform-plus changes

    ... which add support for applying multiple transformations
    simultaneously, by specifiying a semicolon-separated list of
    matrices through the "transform" property.

    Note that, currently, the "fade-color" and "fade-opacity" properties
    are applied to all transforms; in the future, we might want to add
    per-transform fade properties.  This can be done without breaking
    backward-compatibility, and the global fade properties can still be
    useful.

 operations/common/recursive-transform.c        | 286 ++++++++++++------
 operations/workshop/Makefile.am                |   1 -
 operations/workshop/recursive-transform-plus.c | 392
 -------------------------
 po/POTFILES.in                                 |   1 -
 4 files changed, 203 insertions(+), 477 deletions(-)

commit ba2635c6f2362963470a95098bc910a10d695767
Author: Ell <ell_se@yahoo.com>
Date:   Sun Jun 17 00:45:41 2018 -0400

    transform: don't leak sampler object when using a NEAREST sampler

 operations/transform/transform-core.c | 3 +++
 1 file changed, 3 insertions(+)

commit 46e6588dcd5d270234b4d39bd0abd2bbc4a00c7f
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jun 15 12:48:34 2018 +0200

    svg-luminancetoalpha: add "needs-alpha" metadata

 operations/common/svg-luminancetoalpha.c | 1 +
 1 file changed, 1 insertion(+)

commit 674e83d7d71776381b1423b0debc14d3d09a13f9
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Jun 15 12:45:57 2018 +0200

    color-to-alpha: add "needs-alpha" meta-data

    As a hint that can be checked for in GIMP and other
    applications. Always making
    sure that the layer has alpha before running ops with this meta-data
    key set
    should remove the possibility of running the filter without adding
    alpha for
    ops where doing so clearly would be non-sensical.

 operations/common-gpl3+/color-to-alpha.c | 2 ++
 1 file changed, 2 insertions(+)

commit 6184ce430f04180eb2e9f245a3b8b8b618f1471e
Author: Marco Ciampa <ciampix@posteo.net>
Date:   Tue Jun 12 11:40:33 2018 +0200

    Updated Italian translation

 po/it.po | 124
 ++++++++++++++++++++++++++++++++++++++++++++++-----------------
 1 file changed, 92 insertions(+), 32 deletions(-)

commit 80f9a22ee3efd9ebbcf91b950d09d0957709dceb
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Jun 10 16:06:02 2018 +0200

    Update Polish translation

 po/pl.po | 37 +++++++++++++++++++++++++++++++++++--
 1 file changed, 35 insertions(+), 2 deletions(-)

commit 30e4c7e3262100791b6fc9f68ae7f54b17f97c94
Author: Ell <ell_se@yahoo.com>
Date:   Wed Jun 6 01:55:17 2018 -0400

    workshop: fix Makefile.am

 operations/workshop/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5bddaf64b8ed353c0fce91e88c23e2628e8c3ec3
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Wed Jun 6 02:12:27 2018 +0300

    po: add selective-hue-saturation

 po/POTFILES.in | 1 +
 1 file changed, 1 insertion(+)

commit afdfb6124b7c588028aa860d92dd6425e984d284
Author: Miroslav Talasek <miroslav.talasek@seznam.cz>
Date:   Wed Jun 6 02:03:49 2018 +0300

    Add Selective Hue-Saturation operation to the workshop

 operations/workshop/Makefile.am                |   3 +-
 operations/workshop/selective-hue-saturation.c | 177
 +++++++++++++++++++++++++
 2 files changed, 179 insertions(+), 1 deletion(-)

commit 3efcb8496e299f30443edae6059a82b58483b102
Author: Ell <ell_se@yahoo.com>
Date:   Tue Jun 5 11:35:30 2018 -0400

    recursive-transform: reverse node disconnection order

    When updating the graph, reverse the node disconnection order, to
    minimize the number of invalidations.

 operations/common/recursive-transform.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 52a5da6526e89c7b7167dce9db2060bb7287b65e
Author: Ell <ell_se@yahoo.com>
Date:   Tue Jun 5 11:14:45 2018 -0400

    recursive-transform-plus: fix gegl:over node count; reverse
    disconnection

    Fix the number of gegl:over nodes per iteration.  There was
    accidentally one less than necessary, breaking the op when using
    the maximal number of transformations.

    Reverse the order in which nodes are disconnected when updating the
    graph, to reduce the number of invalidations.

 operations/workshop/recursive-transform-plus.c | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit 694264a59c3d1906c8eade2c2e0b9a67d4d51c43
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Jun 5 15:32:55 2018 +0200

    Update Polish translation

 po/pl.po | 34 ++++++++++++++++++++++++++++++----
 1 file changed, 30 insertions(+), 4 deletions(-)

commit 9829bc22e85526d789c4e80c05949d4c6202a207
Author: Ell <ell_se@yahoo.com>
Date:   Tue Jun 5 03:41:19 2018 -0400

    recursive-transform-plus: new operation in workshop

    gegl:recursive-transform-plus is an extension of
    gegl:recursive-transform, allowing multiple transformations to be
    applied simultaneously.  The transformation matrices are specified
    through the "transform" property, as before, separated by
    semicolons.

    The intent is to eventually merge this back into
    gegl:recursive-transform.

 operations/workshop/Makefile.am                |   1 +
 operations/workshop/recursive-transform-plus.c | 392
 +++++++++++++++++++++++++
 po/POTFILES.in                                 |   1 +
 3 files changed, 394 insertions(+)

commit fa5a637d24ff1ad68639f5ab6d0444704ca86863
Author: Dimitris Spingos (Δημήτρης Σπίγγος)
<dmtrs32@gmail.com>
Date:   Mon Jun 4 17:41:00 2018 +0300

    Update Greek translation

 po/el.po | 434
 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 214 insertions(+), 220 deletions(-)

commit 190a81b4a7c70c208ec624bdc5187b003d2e4774
Author: Ell <ell_se@yahoo.com>
Date:   Sun Jun 3 17:57:07 2018 -0400

    recursive-transform: watch gegl:opacity child nodes

 operations/common/recursive-transform.c | 1 +
 1 file changed, 1 insertion(+)

commit 6931adcd7cb5474c2c00e6086b00f0c7fa4b7e5c
Author: orbea <orbea@fredslev.dk>
Date:   Fri Jun 1 14:05:34 2018 -0700

    Fix build with slibtool.

    When building gegl with slibtool instead of libtool the build fails.

      /usr/bin/ld: cannot find -lpoly2tri-c

    I bisected this issue to the follow commit and it appears to be a gegl
    issue.

    https://gitlab.gnome.org/GNOME/gegl/commit/73c5eba7ce11beba0e164fd27156ee224774da18

 operations/seamless-clone/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 27bacf33130df6cce645c5bb66162e4ada3797e0
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed May 30 10:52:36 2018 +0200

    Update Polish translation

 po/pl.po | 424
 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 209 insertions(+), 215 deletions(-)

commit 6412075f6acd3dc2ad78ae888f02684b509553b7
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Mon May 28 14:03:34 2018 +0000

    Tweak operation's name to make it more specific, since domain
    transform has multiple applications in computer graphics

 operations/workshop/domain-transform.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 41d857ad8001230b274bf76a29b5ffef958fa767
Author: Tobias <tobias.jakobs@gmail.com>
Date:   Fri May 25 14:34:42 2018 +0000

    Update test-gegl-node.py: fight http and replace it with https

 tests/python/test-gegl-node.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 60fdc06ec81a46c4a0df311ddab1a8881d5e2ddc
Author: Ell <ell_se@yahoo.com>
Date:   Thu May 24 10:45:32 2018 -0400

    buffer: trim cache when changing cache size

    When the GeglConfig::tile-cache-size property is changed, trim the
    tile cache, so that any excess data is moved to the swap.

 gegl/buffer/gegl-tile-handler-cache.c | 15 ++++++++++++++-
 gegl/gegl-init.c                      |  2 +-
 2 files changed, 15 insertions(+), 2 deletions(-)

commit 42643fb061064a06d0e893954f36ce7f82bcb666
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed May 23 20:49:12 2018 +0200

    docs: remove some references to bugzilla

 docs/Makefile.am  |  2 +-
 docs/bugzilla.txt | 14 --------------
 docs/index.txt.in | 11 ++++-------
 3 files changed, 5 insertions(+), 22 deletions(-)

commit 48d883ade52092b6511f5ac71fea8a3e5444aaee
Merge: 395307d21 7a4fd4639
Author: Øyvind "pippin" Kolås <pippin@gimp.org>
Date:   Tue May 22 17:23:58 2018 +0000

    Merge branch 'wip/rishi/issue-72' into 'master'

    gegl: Ensure that the "threads" property gets installed on big
    machines

    See merge request GNOME/gegl!1

commit 7a4fd46392f5e01cdd60bf69cbd993deba1847d6
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Tue May 22 14:35:54 2018 +0200

    gegl: Ensure that the "threads" property gets installed on big
    machines

    ... where the value of g_get_num_processors exceeds GEGL_MAX_THREADS.

    Spotted by Massimo Valentini.

    Fallout from 03f83003760d1b19de06e08b80143bc70156f45e

    https://gitlab.gnome.org/GNOME/gegl/issues/72

 gegl/gegl-config.c | 1 +
 1 file changed, 1 insertion(+)

commit 395307d213d85360ae12a5812f8d877c89164594
Author: Alan Mortensen <alanmortensen.am@gmail.com>
Date:   Sat May 19 17:38:10 2018 +0200

    Updated Danish translation

 po/da.po | 455
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 236 insertions(+), 219 deletions(-)

commit a4e6a63b8f45e247d397f6c390d904d99d666e37
Author: Rūdolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Sat May 19 14:36:54 2018 +0000

    Update Latvian translation

 po/lv.po | 1750
 ++++++++++++++++++++++++++------------------------------------
 1 file changed, 728 insertions(+), 1022 deletions(-)

commit 923b4390bc3d43f07ef31d4db16c0551d78963d0
Author: Ell <ell_se@yahoo.com>
Date:   Thu May 17 13:04:28 2018 -0400

    convert-format: perform copy in GeglOperationFilter::process()

    When the input and output formats are different, perform the copy
    (and hence the conversion) from the input buffer to the output
    buffer in GeglOperationFilter::process(), rather than
    GeglOperation::process(), so that it's parallelized.

 operations/core/convert-format.c | 48
 +++++++++++++++++++++++++---------------
 1 file changed, 30 insertions(+), 18 deletions(-)

commit 1de2e18baa76ce9d2861687640f7c9d127eec928
Author: Ell <ell_se@yahoo.com>
Date:   Wed May 16 13:50:17 2018 -0400

    fractal-trace: remove call to deprecated gegl_buffer_sample_cleanup()

    ... which is a NOP, and the op already uses a sampler object
    anyway.

 operations/common-gpl3+/fractal-trace.c | 2 --
 1 file changed, 2 deletions(-)

commit bd9ee42380a0c997294dd06e4a8f35c9a099d11b
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed May 16 13:44:00 2018 +0200

    post-release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b16c1641126fd1ac0363845e1fc30c1f3c50fa1b
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed May 16 13:32:57 2018 +0200

    release 0.4.2

 configure.ac |   2 +-
 perf/joblist | 126
 -----------------------------------------------------------
 2 files changed, 1 insertion(+), 127 deletions(-)

commit c994b32ebc82d75966c4503bd29e3cbecaf548a5
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed May 16 13:25:31 2018 +0200

    perf: Makefile-tests fix for building with 0.4

 perf/Makefile-tests | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 8f6e74c85635e22f00a8ce0009def5cc93bca4b0
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed May 16 00:25:04 2018 +0200

    NEWS: mention performance improvement to panorama-projection

 docs/NEWS.txt | 23 ++++++++++++-----------
 1 file changed, 12 insertions(+), 11 deletions(-)

commit 865c85096e5f1e93604cc59775c88250e446afe8
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed May 16 00:06:32 2018 +0200

    NEWS: update

 docs/NEWS.txt | 42 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)

commit d11becf349658ea6bd50ac9e8f6f3bc6bde91a64
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue May 15 21:45:31 2018 +0200

    configure: default CFLAGS to -Ofast

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 4bbb77183333b5a701a5f99f01faa11a03d57c23
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue May 15 21:44:37 2018 +0200

    configure: depend on babl 0.1.48

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1e2f7cbba76a478ef7bb8286e38fd8f25600995f
Author: Ell <ell_se@yahoo.com>
Date:   Tue May 15 14:11:01 2018 -0400

    buffer: improve thread-safety of tile-storage hot-tile manipulation

    When inspecting the tile-storage's hot-tile, during a 1x1
    gegl_buffer_{get,set}(), there is a window during which another
    thread can replace the storage's hot-tile, dropping the current
    hot-tile's reference, allowing it to be trimmed out from the
    cache and freed, leaving us we a dangling pointer.

    Add gegl_tile_storage_{steal,try_steal}_hot_tile(), which
    atomically swap the storage's hot-tile with NULL, returning the
    original tile, and gegl_tile_storage_take_hot_tile(), which
    atomically sets the storage's hot-tile if it's NULL, and use these
    functions to safely query and replace the storage's hot-tile.

    This change does have a negative impact on the performance of 1x1
    gegl_buffer_{get,set}() (as well as NEAREST gegl_buffer_sample()),
    although it doesn't affect independent NEAREST samplers, since they
    maintain a local hot-tile.

 gegl/buffer/gegl-buffer-access.c      | 20 ++++++----
 gegl/buffer/gegl-buffer.c             | 14 ++-----
 gegl/buffer/gegl-tile-handler-cache.c | 17 ++-------
 gegl/buffer/gegl-tile-storage.c       | 71
 +++++++++++++++++++++++++++++++++++
 gegl/buffer/gegl-tile-storage.h       |  6 +++
 5 files changed, 97 insertions(+), 31 deletions(-)

commit c8eb73eb761ee3b7a393fbb785117db0c96f98f8
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue May 15 11:36:53 2018 +0200

    buffer: speed up NEAREST gegl_buffer_sample

    For the nearest neighbor case, use gegl_buffer_get with a 1x1
    rectangle instead
    of a temporary sampler.

 gegl/buffer/gegl-sampler.c | 47
 +++++++++++++++++++++++++++++++++++-----------
 1 file changed, 36 insertions(+), 11 deletions(-)

commit 662619ff34e0bb094eba656df15f52705a8f9dc5
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon May 14 12:06:27 2018 +0200

    workshop/gluas: use samplers for aux/in buffer sampling

 operations/workshop/external/gluas.c | 25 +++++++++++++++++++------
 1 file changed, 19 insertions(+), 6 deletions(-)

commit 1a27e46d30f04ad9a8e37f63e893ce688f6230be
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon May 14 10:59:39 2018 +0200

    workshop: make more use of GeglSampler in inpainting ops

 operations/workshop/enlarge.c      | 15 +++++------
 operations/workshop/enlarge2.c     | 16 ++++++------
 operations/workshop/pixel-duster.h | 51
 +++++++++++++++++++++-----------------
 3 files changed, 45 insertions(+), 37 deletions(-)

commit fa702369ad30bafe82a86b171776e3e24a276675
Author: Ell <ell_se@yahoo.com>
Date:   Mon May 14 02:47:14 2018 -0400

    plasma: don't use a sampler + fix + speedup

    gegl:plasma uses a sampler, created at the start of the operation,
    to sample the output buffer, after having written to it.  This
    should be avoided, since the sampler may return outdated cached
    data (at least in theory).  Use gegl_buffer_get() instead.

    When the subdivided region is small enough, the op switches to use
    a linear buffer, instead of directly using the output buffer, to
    speed processing up.  However, the op only writes to the linear
    buffer, while still reading from the output buffer, which both
    produces (subtly) wrong results, and is slower than necessary.  Fix
    this by reading from the linear buffer, when in use.

    Update reference hash.

 operations/common-gpl3+/plasma.c | 66
 ++++++++++++++++++++++++++++------------
 1 file changed, 47 insertions(+), 19 deletions(-)

commit 3a0872de4d1419718f1488c178c6ec9864bf0456
Author: Ell <ell_se@yahoo.com>
Date:   Sun May 13 18:18:12 2018 -0400

    lens-distortion: use sampler object instead of gegl_buffer_sample()

 operations/common-gpl3+/lens-distortion.c | 26 +++++++++++++++-----------
 1 file changed, 15 insertions(+), 11 deletions(-)

commit 5eff6d66ddd1c6ed4fd9cadd800b61e4135095ba
Author: Ell <ell_se@yahoo.com>
Date:   Sun May 13 17:55:20 2018 -0400

    plasma: use sampler object instead of gegl_buffer_sample()

 operations/common-gpl3+/plasma.c | 27 +++++++++++----------------
 1 file changed, 11 insertions(+), 16 deletions(-)

commit db77965496059868499286461cbffbbe4a779afd
Author: Ell <ell_se@yahoo.com>
Date:   Sun May 13 18:09:26 2018 -0400

    cubism: use sampler object instead of gegl_buffer_sample()

 operations/common-gpl3+/cubism.c | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit 26f13cbfe9aaaa8c176162e54fdbb8af6876538e
Author: Ell <ell_se@yahoo.com>
Date:   Sun May 13 17:05:19 2018 -0400

    buffer: don't use cached sampler for gegl_buffer_sample[_at_level]()

    The use of a per-buffer cached sampler is problematic, especially
    since the cached sampler may cache stale data after the buffer is
    modified.  Avoiding this requires careful use of
    gegl_buffer_sample_cleanup().  On the one hand, when using
    gegl_buffer_sample[_at_level]() for one-off samples in loosely-
    coupled code, this effectively means calling
    gegl_buffer_sample_cleanup() before/after each sample, defeating
    the purpose of caching the sampler in the first place.  On the
    other hand, when performing multiple samples in performance-
    critical code, using a sampler object is much more efficient
    anyway.

    Remove the per-buffer cached sampler, and simply use a per-call
    temporary sampler in gegl_buffer_sample[_at_level]().  Advise users
    to use gegl_buffer_sampler_new[_at_level]() to create a sampler
    object instead when performance is a concern.

    Deprecate gegl_buffer_sample_cleanup(), which is not necessary
    anymore, and keep it as a NOP for now.

 gegl/buffer/gegl-buffer-private.h |  7 ----
 gegl/buffer/gegl-buffer.c         |  2 --
 gegl/buffer/gegl-buffer.h         | 23 +++++++-----
 gegl/buffer/gegl-sampler.c        | 74
 +++++----------------------------------
 4 files changed, 24 insertions(+), 82 deletions(-)

commit 4982977a70002b6de5e51db63b09caafcad49c39
Author: Jordi Mas <jmas@softcatala.org>
Date:   Sun May 13 21:20:30 2018 +0200

    Update Catalan translation

 po/ca.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 53e0672121a77249f32db16c96c837ba7bf19e73
Author: Sebastian Pipping <sebastian@pipping.org>
Date:   Sun May 13 18:32:33 2018 +0200

    Run ff-load-save image tests only when gegl-video is around

 tests/ff-load-save/Makefile.am | 2 ++
 1 file changed, 2 insertions(+)

commit 9d93353541e4acca1a2a1e7eda1cc72612869a9f
Author: Jordi Mas <jmas@softcatala.org>
Date:   Sat May 12 19:20:51 2018 +0200

    Update Catalan translation

 po/ca.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit b577b2e2784ad600536107586bd6dffb079e7c01
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Fri May 11 18:47:37 2018 +0000

    Update Ukrainian translation

 po/uk.po | 401
 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 216 insertions(+), 185 deletions(-)

commit c3b9eca35241b43f86429b022562bba5d5b328d6
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Wed May 9 15:07:31 2018 +0200

    build: Abort as soon as autoreconf fails

    ... as suggested in the autogen.sh template given in:
    https://wiki.gnome.org/Projects/GnomeCommon/Migration

    https://bugzilla.gnome.org/show_bug.cgi?id=795901

 autogen.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6a96ca56dca372616c91e29881bb142351864b6f
Author: Jehan <jehan@girinstud.io>
Date:   Tue May 8 00:38:31 2018 +0200

    configure: remove some obsolete autoconf variables.

    Not sure when these OPENRAW_(LIBS|CFLAGS) date from, but these are not
    referencing any useful value anymore, neither is this used in any way.

 configure.ac | 4 ----
 1 file changed, 4 deletions(-)

commit 2896800b5e7d0c656710c70fdea57098032f3ccc
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun May 6 15:09:03 2018 +0200

    ff-save: update another occurance of CODEC_FLAG_GLOBAL_HEADER

 operations/external/ff-save.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a2dd56d3200aeafdecbc40c58eeef3d43a5fadcc
Author: Franz Brausse <brausse@informatik.uni-trier.de>
Date:   Sun May 6 13:40:30 2018 +0200

    operations/external/ff-save: ffmpeg-2.3-2.7 compat; minimum lav{f,c}
    versions configure.ac mandates

 operations/external/ff-save.c | 2 ++
 1 file changed, 2 insertions(+)

commit 8f2545886ce3be8f1b1229bddcfa5af3216110d3
Author: Franz Brausse <brausse@informatik.uni-trier.de>
Date:   Sun May 6 13:38:09 2018 +0200

    operations/external/ff-save: ffmpeg-4.0 compat; fixes #795625

 operations/external/ff-save.c | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

commit 1263d1e8dba0c8f4da8665bc3fbfc9f35c303c65
Author: Ell <ell_se@yahoo.com>
Date:   Sat May 5 02:29:24 2018 -0400

    buffer: emit "changed" signal upon GeglTileBackendBuffer VOID command

    When voiding a buffer tile through a GeglTileBackendBuffer, in
    response to a GEGL_TILE_VOID command, emit an appropriate "changed"
    signal on the underlying buffer.

 gegl/buffer/gegl-tile-backend-buffer.c | 116
 ++++++++++++++++++++-------------
 1 file changed, 71 insertions(+), 45 deletions(-)

commit 8681bf105e683aa41bbf132f3ac0989f1d5a6a22
Author: Ell <ell_se@yahoo.com>
Date:   Fri May 4 12:40:31 2018 -0400

    noise-rgb: gummify + fix

    When the op's "independent" property is FALSE, only the value of
    the "red" property (and not "green" and "blue") affects the output,
    using the same noise value for all channels.  Use GUM to hide the
    "green" and "blue" properties in this case, and to change the label
    of the "red" property to "value".

    Fix output when "independent" is FALSE, and "green" or "blue" are
    0 (previously, there would be no noise applied to the green/blue
    channels, respectively.)

 operations/common/noise-rgb.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 1008a506a8c9e43eb9bc0415c3612bbe50c840f6
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu May 3 22:39:55 2018 +0200

    panorama-projection: re-enable autothreading

    The on demand COW of tiles from preceding commit makes auto-
    threading faster than single threaded rendering.

 operations/common/panorama-projection.c | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 417221a05e59fc857a2dee07f6bafe49af5ecd6d
Author: Ell <ell_se@yahoo.com>
Date:   Thu May 3 16:12:44 2018 -0400

    operation: use GeglTileBackendBuffer in
    gegl_operation_context_dup_input_maybe_copy()

    In gegl_operation_context_dup_input_maybe_copy(), use a
    GeglTileBackendBuffer, backed by the input buffer, as the backend
    for the local-copy buffer, instead of copying the required portion
    of the input buffer into the local-copy buffer.  This allows input-
    buffer tiles to be COWed on-demand, instead of upfront, into the
    local-copy, which can significantly improve performance if the op's
    get_required_for_output() returns a larger region than actually
    necessary (in particular, if it always returns the entire input
    extents).  This also allows using the local-copy optimization when
    processing a level > 0.

    Leave the original version #if 0-ed, since it may be useful for
    testing.

 gegl/operation/gegl-operation-context.c | 169
 +++++++++++++++++++-------------
 1 file changed, 101 insertions(+), 68 deletions(-)

commit d67dc06639df55eb2f8cd9bb64e20608b5421d27
Author: Ell <ell_se@yahoo.com>
Date:   Thu May 3 16:06:26 2018 -0400

    buffer: add GeglTileBackendBuffer

    GeglTileBackendBuffer is a tile backend that loads/stores its tiles
    from/to an underlying GeglBuffer.

 gegl/buffer/Makefile.am                |   2 +
 gegl/buffer/gegl-tile-backend-buffer.c | 299
 +++++++++++++++++++++++++++++++++
 gegl/buffer/gegl-tile-backend-buffer.h |  56 ++++++
 3 files changed, 357 insertions(+)

commit e751ab33b2d95c43c5b2e8482049b9ad09669520
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu May 3 12:11:54 2018 +0200

    panorama-projection: opt out of base-class multi-threading

    The base class duplicates the input buffers, which for a
    panorama is expensive.

    Even avoiding copies is not enough to make it fast, we
    need to make multiple samplers on the same buffer fast.

 operations/common/panorama-projection.c | 3 +++
 1 file changed, 3 insertions(+)

commit 3557811a5527bccbfef2006046a05047b6edd480
Author: Ell <ell_se@yahoo.com>
Date:   Wed May 2 15:03:04 2018 -0400

    buffer: prevent mipmapped tiles from being voided during
    reconstruction

    While fetching a partially damaged mipmapped tile, make sure that
    fetching its lower-level tiles, during the mipmapped tile's
    reconstruction, doesn't cause the tile to be voided and dropped
    from the cache.  This can happen if the tile handler responsible
    for the lower-level tile rewrites its contents (as can happen, for
    example, with a GimpTileHandlerValidate), causing the corresponding
    porition of the pyramid to be voided.

    We prevent the mipmapped tile from being voided by clearing its
    damaged region before fetching each lower-level tile, so that any
    damage to the lower-level tile can never cause the entire mipmapped
    tile to be damaged.

 gegl/buffer/gegl-tile-handler-zoom.c | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 03956f66fd8c03adb226179c13844ad3b73010d5
Author: Dimitris Spingos (Δημήτρης Σπίγγος)
<dmtrs32@gmail.com>
Date:   Mon Apr 30 12:31:22 2018 +0300

    Update Greek translation

 po/el.po | 338
 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 203 insertions(+), 135 deletions(-)

commit 8b3e333b74fdf0ae00ab55a1e40f3452540de911
Author: Marco Ciampa <ciampix@posteo.net>
Date:   Sun Apr 29 15:47:05 2018 +0200

    Updated Italian translation

 po/it.po | 459
 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 246 insertions(+), 213 deletions(-)

commit 60ae8750710f308d857fcc3cc0d6c04657e90f5b
Author: Ell <ell_se@yahoo.com>
Date:   Fri Apr 27 10:26:13 2018 -0400

    Bug 795597 - gegl crashes for a race ...

    ... between disposing a GeglTileHandlerChain and storing a tile
    (trimming the cache)

    Add gegl_tile_handler_cache_{connect,disconnect}(), which add/
    remove the cache to the global cache queue.  Cache handlers are
    connected upon construction, and disconnected upon destruction.
    While a cache is disconnected, it may not be accessed while
    trimming unrelated caches.

    In GeglTileStore, disconnect the cache before destroying the
    storage, so that other threads trimming an unrelated cache
    concurrently may not interfere with destruction.

 gegl/buffer/gegl-tile-handler-cache.c | 36
 +++++++++++++++++++++++++++++------
 gegl/buffer/gegl-tile-handler-cache.h |  3 +++
 gegl/buffer/gegl-tile-storage.c       | 15 +++++++++++++++
 3 files changed, 48 insertions(+), 6 deletions(-)

commit 2e6f34798918167797e7287d9501d0cd6cd1dd0d
Author: Ell <ell_se@yahoo.com>
Date:   Thu Apr 26 15:23:58 2018 -0400

    gegl: handle UINT properties in gegl-xml and gegl-serialize

    Commit 1d6e841d78b3634fa186e6dde87b6fec126fed9f changed the type of
    seed properties from INT to UINT, so we need to add UINT handling
    in XML and chain strings.

 gegl/gegl-serialize.c | 41 +++++++++++++++++++++++++++++++++++------
 gegl/gegl-xml.c       | 12 ++++++++++++
 2 files changed, 47 insertions(+), 6 deletions(-)

commit b1b7ee0e742fab0a4a42438530c200b43030692c
Author: Ell <ell_se@yahoo.com>
Date:   Thu Apr 26 14:18:49 2018 -0400

    operations: implement GeglOperationAreaFilter::get_abyss_policy() ...

    ... in various operations

    This guarantees that their required/invalidated rectangles are
    calculated correctly regardless of the used abyss policy.  See the
    previous commit.

 operations/common-gpl3+/edge.c         | 16 ++++++++++++++--
 operations/common-gpl3+/ripple.c       | 21 ++++++++++++++++-----
 operations/common-gpl3+/waves.c        | 22 +++++++++++++++++-----
 operations/common/convolution-matrix.c | 17 +++++++++++++++--
 4 files changed, 62 insertions(+), 14 deletions(-)

commit ad9790d6d28b0ac6ccf481260aca27f4dded74fe
Author: Ell <ell_se@yahoo.com>
Date:   Thu Apr 26 14:09:40 2018 -0400

    operation: add GeglOperationAreaFilter::get_abyss_policy() vfunc

    Add a GeglOperationAreaFilter::get_abyss_policy() virtual function,
    which subclasses can override to specify which abyss policy is used
    when reading the input buffer.

    Modify get_required_for_output() and get_invalidated_by_change() to
    take the abyss policy into account.  In particular, when using the
    LOOP abyss policy, wrap the rectangle around the input bounds, so
    that the correct input area is processed, and the correct output
    area is invalidated.

 gegl/operation/gegl-operation-area-filter.c | 89
 +++++++++++++++++++++++++++--
 gegl/operation/gegl-operation-area-filter.h | 11 +++-
 2 files changed, 92 insertions(+), 8 deletions(-)

commit 3655f18bb2330059f47105561c332fad13edd1d0
Author: Ell <ell_se@yahoo.com>
Date:   Thu Apr 26 13:43:22 2018 -0400

    operation: fix area-filter bounding-box and invlidated-by-change calc.

    In GeglOperationAreaFilter, reverse the use of the left/right and
    top/bottom area parameters in get_bounding_box() and
    get_invalidated_by_change(), since these parameters specify the
    extra area needed when transforming an output region to an input
    region, while the above functions transform an input region to an
    output region.

 gegl/operation/gegl-operation-area-filter.c | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

commit 58c917f830a6c06c4670d29d87d7f511af00073b
Author: Ell <ell_se@yahoo.com>
Date:   Thu Apr 26 09:10:50 2018 -0400

    spherize: fix license notice

    GPL => LGPL

 operations/common/spherize.c | 19 +++++++++----------
 1 file changed, 9 insertions(+), 10 deletions(-)

commit de242a85344ed5ef2c28db693c76a5d8add7cf81
Author: Ell <ell_se@yahoo.com>
Date:   Thu Apr 26 09:07:28 2018 -0400

    color-overlay: fix license notice

    GPL => LGPL

 operations/common/color-overlay.c | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit 8a39e80bcdbd66e64daaef26daea4134b34e4b5d
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Apr 26 14:41:24 2018 +0200

    post release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f6caafacf3d8c176049de5c6680f8065bcfe9af9
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Apr 25 03:10:09 2018 +0200

    release 0.4.0

    The 0.4.x series will be the stable series for use with GIMP-2.10, and
    maintained - likely with back ported ops from 0.5.0.

 configure.ac  | 10 +++++-----
 docs/NEWS.txt | 27 +++++++++++++++++++++++++++
 po/Makevars   |  2 +-
 3 files changed, 33 insertions(+), 6 deletions(-)

commit e816106c3878d503d2ed4bbfc28d75ef8a9d4632
Author: Ell <ell_se@yahoo.com>
Date:   Thu Apr 26 05:27:29 2018 -0400

    spherize: move from workshop to common

 operations/common/Makefile.am              | 1 +
 operations/{workshop => common}/spherize.c | 5 ++---
 operations/workshop/Makefile.am            | 3 +--
 po/POTFILES.in                             | 2 +-
 4 files changed, 5 insertions(+), 6 deletions(-)

commit bcaeb621aaab4de12cea542709ba139d4deacb9f
Author: Ell <ell_se@yahoo.com>
Date:   Thu Apr 26 05:23:02 2018 -0400

    recursive-transform: move from workshop to common

 operations/common/Makefile.am                         | 1 +
 operations/{workshop => common}/recursive-transform.c | 0
 operations/workshop/Makefile.am                       | 1 -
 po/POTFILES.in                                        | 2 +-
 4 files changed, 2 insertions(+), 2 deletions(-)

commit 618dc6e3d44dc8a0457386fb24871d25a24faec0
Author: Ell <ell_se@yahoo.com>
Date:   Thu Apr 26 05:19:59 2018 -0400

    color-overlay: move from workshop to common

 operations/common/Makefile.am                   | 1 +
 operations/{workshop => common}/color-overlay.c | 6 +++---
 operations/workshop/Makefile.am                 | 1 -
 po/POTFILES.in                                  | 2 +-
 4 files changed, 5 insertions(+), 5 deletions(-)

commit 92af3a22b4db2196e3645cb35e89a1a2df75fa1e
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Wed Apr 25 19:29:41 2018 +0000

    Update Swedish translation

 po/sv.po | 64
 +++++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 41 insertions(+), 23 deletions(-)

commit 2d691f75b179485bc0db9527d41670a552f39b04
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Apr 25 20:34:53 2018 +0200

    Update Polish translation

 po/pl.po | 66
 ++++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 44 insertions(+), 22 deletions(-)

commit 7d96ec67c338e6c6f70b335e5903f54de223b131
Author: Jon Nordby <jononor@gmail.com>
Date:   Tue Apr 24 14:39:51 2018 +0200

    ppm-load: Port to GIO

 operations/external/ppm-load.c | 131
 +++++++++++++++++++++++++++++++----------
 1 file changed, 100 insertions(+), 31 deletions(-)

commit 73a429b37de25ee8f30510dc9247224e05c28a54
Author: Jon Nordby <jononor@gmail.com>
Date:   Tue Apr 24 12:55:09 2018 +0200

    jp2-load: Fix warning

    Documentation says buf==0 and bufsize==0 should be used
    when buffer should be grown automatically. In version
    2.0.14+ using a negative number writes to stderr a warning like:
    YOUR CODE IS RELYING ON DEPRECATED FUNCTIONALTIY IN THE JASPER LIBRARY

    Ref
    https://github.com/mdadams/jasper/commit/634ce8e8a5accc0fa05dd2c20d42b4749d4b2735

 operations/external/jp2-load.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 92643721312f7ec76f437a6cfc09cdb537903007
Author: Simon Budig <simon@budig.de>
Date:   Wed Apr 25 02:00:15 2018 +0200

    ripple: actually allow m/n == 0, fix a division by zero issue.

 operations/common-gpl3+/ripple.c | 22 +++++++++++++++-------
 1 file changed, 15 insertions(+), 7 deletions(-)

commit 3e4a92438932de6fb128a3c2deabe4781a70249e
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Apr 25 00:29:09 2018 +0200

    panorama-projection: use abs instead of fabs for and integer value

    As reported by clang

 operations/common/panorama-projection.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 39503b30c69ba2acf60f627d28c5a14f2cd20247
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Tue Apr 24 16:36:00 2018 +0000

    Add Ukrainian translation

 po/LINGUAS |    1 +
 po/uk.po   | 7784
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 7785 insertions(+)

commit f48bc78e494dd5aa4ed2d32f416a1230c11524b0
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Apr 22 20:54:41 2018 +0200

    stretch-contrast: add a perceptual property

    For bug #791530 this adds a boolean property that acts like the
    gamma hack,
    providing a way to stretch contrast. A better UI/API would be to
    have a more
    configurable operation to stretch components, covering color enhance,
    as well
    as contrast stretching.

 operations/common/stretch-contrast.c | 30 ++++++++++++++++++++++--------
 1 file changed, 22 insertions(+), 8 deletions(-)

commit fb00e687c3031933298260182b74016065bddb57
Author: Simon Budig <simon@budig.de>
Date:   Tue Apr 24 11:46:49 2018 +0200

    ripple: fix handling of phase offset for triangle/sawtooth case

 operations/common-gpl3+/ripple.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit d5dc307ab54a9d4dbde7cc54f8010512e0fecbbd
Author: Simon Budig <simon@budig.de>
Date:   Tue Apr 24 01:20:00 2018 +0200

    ripple: some reworking

    - add options for abyss policy, implement real tileable mode

 operations/common-gpl3+/ripple.c | 83
 ++++++++++++++++++++++++++++++++++------
 1 file changed, 71 insertions(+), 12 deletions(-)

